2008-03-28  Richard Hughes  <richard@hughsie.com>

	==== Version 2.22.1 ====

2008-03-26  Richard Hughes  <richard@hughsie.com>

	* src/gpm-notify.c: (gpm_notify_perhaps_recall),
	(gpm_notify_low_capacity), (gpm_notify_inhibit_lid):
	Don't show some notifications under GDM. Fixes #108075

2008-03-26  Richard Hughes  <richard@hughsie.com>

	* src/gpm-prefs-core.c: (prefs_setup_battery):
	Fix a critical warning in gnome-power-preferences. Fixes #524449

2008-03-19  Richard Hughes  <richard@hughsie.com>

	* src/gpm-info.c: (gpm_statistics_get_parameters):
	The graph colors are used inconsistently between the various graphs.
	Patch by Jérôme Guelfucci <jerome.guelfucci@gmail.com>, many thanks.
	Fixes #517914

2008-03-19  Richard Hughes  <richard@hughsie.com>

	* src/gpm-brightness-kbd.c: (gpm_brightness_kbd_get_hw):
	GetBrightness returns a INT not a UINT, so fix the keyboard brightness.
	Patch by Sjoerd Simons <sjoerd@luon.net>, many thanks.
	Fixes #523152

2008-03-16  Richard Hughes  <richard@hughsie.com>

	* src/gpm-sound.c: (gpm_sound_gst_bus_cb), (gpm_sound_init):
	We never change state of the playbin back to NULL when playing a sound
	event.
	This as multiple problems :
	- lock indefinitely the mixer when using ALSA as gstreamer audio sink :
	- Create an HUGE leak when using pulsaudio as gstreamer audio sink and for
	  some reasons pulsaudio crash, or you terminate the stream in pavucontrol.

	Patch by Florent Mertens <outpourav@yahoo.fr>, and slightly tweaked by
	me. Fixes #522336

2008-03-16  Richard Hughes  <richard@hughsie.com>

	* applets/brightness/brightness-applet.c:
	(gpm_applet_create_popup):
	* data/gpm-feedback-widget.glade:
	g-p-m should set a window type hint for the brightness feedback window.
	That makes it easier for compositors like Compiz to properly animate
	the window.
	Patch by Danny Baumann <dannybaumann@web.de>, many thanks. Fixes #522236

2008-03-16  Richard Hughes  <richard@hughsie.com>

	* data/sounds/Makefile.am:
	* src/gpm-button.c: (emit_button_pressed):
	* src/gpm-sound.c: (gpm_sound_force):
	* src/gpm-sound.h:
	Remove the lid sounds (originally for debugging). Everbody hates them.

2008-03-12  Richard Hughes  <richard@hughsie.com>

	* src/gpm-main.c: (gpm_exit), (main):
	This is was removed from gpm-main.c, but GpmManager breaks,
	What the users sees is that GPM can no longer cause a session kill.
	Found by Ted Gould, many thanks. (#521686)

2008-03-12  Richard Hughes  <richard@hughsie.com>

	* src/gpm-manager.c: (gpm_manager_action_suspend),
	(gpm_manager_action_hibernate):
	Remove some dead code.

2008-03-12  Richard Hughes  <richard@hughsie.com>

	* src/gpm-cell-array.c: (gpm_cell_array_collection_changed):
	Don't try to generate a config_id when we have no primary batteries.
	Fixes a segfault in gdm2 (#522078)

2008-03-10  Richard Hughes  <richard@hughsie.com>

	* configure.ac:
	Post release version increment to 2.22.1

2008-03-10  Richard Hughes  <richard@hughsie.com>

	==== Version 2.22.0 ====

2008-03-04  David Zeuthen  <davidz@redhat.com>

	* src/gpm-prefs-core.c: (conf_key_changed_cb): Update the slider
	when the value in gconf changes. This fixes a bug when using the
	brightness applet and the slider isn't updated. Fixes bug #520411.

2008-02-19  Richard Hughes  <richard@hughsie.com>

	* src/gpm-engine.c: (gpm_engine_get_icon):
	Only get the state if the collection item is present, to avoid lots of
	printing of 'percentage zero, something's gone wrong'.
	Should be no functional change.

2008-02-19  Richard Hughes  <richard@hughsie.com>

	* applets/brightness/brightness-applet.c: (gpm_applet_draw_cb):
	The brightness applet leaks memory, and appears to be because it leaks
	references like mad; this can be seen pretty easily by running xrestop
	and opening/closing the slider.
	Free the gc to avoid the leak, fixes #514590 (Matthias Clasen)

2008-02-19  Richard Hughes  <richard@hughsie.com>

	* libdbus-glib/libdbus-monitor-session.c:
	* libdbus-glib/libdbus-monitor-system.c:
	* libdbus-glib/libdbus-proxy.c:
	* libdbus-glib/libdbus-watch.c:
	* libhal-glib/libhal-gdevice.c:
	* libhal-glib/libhal-gdevicestore.c:
	* libhal-glib/libhal-gmanager.c:
	* libidletime/libidletime.c:
	* src/gpm-ac-adapter.c:
	* src/gpm-backlight.c:
	* src/gpm-brightness-kbd.c:
	* src/gpm-brightness-lcd.c:
	* src/gpm-button.c:
	* src/gpm-cell-array.c:
	* src/gpm-cell-unit.h:
	* src/gpm-cell.c:
	* src/gpm-conf.c:
	* src/gpm-control.c:
	* src/gpm-dpms.c:
	* src/gpm-engine.c:
	* src/gpm-idle.c:
	* src/gpm-inhibit.c:
	* src/gpm-light-sensor.c:
	* src/gpm-manager.c:
	* src/gpm-notify.c:
	* src/gpm-phone.c:
	* src/gpm-prefs-core.c:
	* src/gpm-prefs-server.c:
	* src/gpm-refcount.c:
	* src/gpm-screensaver.c:
	* src/gpm-statistics-core.c:
	* src/gpm-tray-icon.c:
	Remove non-required trailing commas.

2008-02-19  Richard Hughes  <richard@hughsie.com>

	* libdbus-glib/libdbus-proxy.c: (dbus_proxy_finalize):
	* libdbus-glib/libdbus-watch.c: (dbus_watch_finalize):
	* src/gpm-cell-array.c: (gpm_cell_array_finalize):
	* src/gpm-cell.c: (gpm_cell_finalize):
	* src/gpm-engine.c: (gpm_engine_finalize):
	* src/gpm-graph-widget.c: (gpm_graph_widget_finalize):
	* src/gpm-refcount.c: (gpm_refcount_finalize):
	Add some missing finaliser calls.

2008-02-19  Richard Hughes  <richard@hughsie.com>

	* libhal-glib/libhal-gdevice.c: (hal_gdevice_get_udi):
	* libhal-glib/libhal-gdevicestore.c: (hal_gdevicestore_find_udi):
	* src/gpm-array.c: (gpm_array_get), (gpm_array_copy),
	(gpm_array_copy_append), (gpm_array_interpolate):
	* src/gpm-brightness-kbd.c: (gpm_brightness_kbd_get_step):
	* src/gpm-brightness-lcd.c: (gpm_brightness_lcd_get_step):
	* src/gpm-cell-array.c: (gpm_cell_array_get_cell),
	(gpm_cell_array_get_description):
	* src/gpm-screensaver.c: (gpm_screensaver_add_throttle):
	Fix some return types.

2008-02-19  Richard Hughes  <richard@hughsie.com>

	* autogen.sh:
	* configure.in:
	Rename configure.in to configure.ac

2008-02-14  Richard Hughes  <richard@hughsie.com>

	==== Version 2.21.92 ====

2008-02-03  Richard Hughes  <richard@hughsie.com>

	* src/gpm-cell.c: (gpm_cell_get_id):
	Add the forward slash, which is the thing that caused #514077.

2008-02-03  Richard Hughes  <richard@hughsie.com>

	* src/gpm-cell.c: (gpm_cell_get_id):
	Filter out invalid characters in the model and serial numbers else
	we may get an invalid id and fail to do the time profiling.
	Fixes #514077.

2008-01-27  Jaap Haitsma  <jaap@haitsma.org>

	reviewed by: Richard Hughes

	* configure.in:
	* data/gnome-power-manager.desktop.in:
	* data/gnome-power-manager.desktop.in.in:
	* data/gnome-power-preferences.desktop.in:
	* data/gnome-power-preferences.desktop.in.in:
	* data/gnome-power-statistics.desktop.in:
	* data/gnome-power-statistics.desktop.in.in:
	Automatically put version in desktop files
	Fixes bug #512267

2008-01-24  Richard Hughes  <richard@hughsie.com>

	* data/icons/clean_svg_icons.sh:
	Add a script inspired from Nicu Buculei that saves the svg files as
	plain svg and vacuumed. The size difference is pretty huge.

	* data/icons/scalable/apps/gnome-brightness-applet.svg:
	* data/icons/scalable/apps/gnome-inhibit-applet.svg:
	* data/icons/scalable/apps/gnome-power-manager.svg:
	* data/icons/scalable/status/gpm-brightness-kbd-disabled.svg:
	* data/icons/scalable/status/gpm-brightness-kbd-invalid.svg:
	* data/icons/scalable/status/gpm-brightness-lcd-disabled.svg:
	* data/icons/scalable/status/gpm-brightness-lcd-invalid.svg:
	* data/icons/scalable/status/gpm-inhibit-invalid.svg:
	* data/icons/scalable/status/gpm-phone-000.svg:
	* data/icons/scalable/status/gpm-phone-030.svg:
	* data/icons/scalable/status/gpm-phone-060.svg:
	* data/icons/scalable/status/gpm-phone-100.svg:
	Resave as plain vacuumed svg to save over 2Mb from the tarball and
	installed size.

2008-01-21  Richard Hughes  <richard@hughsie.com>

	* src/gpm-cell.c: (gpm_cell_refresh_hal_all):
	Notify if the cell capacity is zero, not >0 && <50.

2008-01-17  simon.zheng  <simon.zheng@sun.com>

	* src/gpm-prefs-core.c: (prefs_setup_battery):
	Fix #510068. Mess up checkbox widget name, let's change to the correct one.

2008-01-14  simon.zheng  <simon.zheng@sun.com>

	* src/gpm-prefs-core.c: (prefs_setup_ac), (prefs_setup_battery):
	Add shutdown to lid actions. When suspend and hibernate aren't
	supported on some systems, shutdown may be the third choice.

2008-01-07  simon.zheng  <simon.zheng@sun.com>

	* src/gpm-sound.c: (gpm_sound_play):
	Modify some typo to get correct wav file, fix #507789.

2008-01-02  Richard Hughes  <richard@hughsie.com>

	* src/gpm-cell.c: (gpm_cell_refresh_hal_all):
	HAL isn't being helpful here and setting battery.rechargeable.is_discharging
	and battery.rechargeable.is_charging without setting battery.is_rechargeable.
	Work around the brokenness here for now.

2007-12-30  Richard Hughes  <richard@hughsie.com>

	* src/gpm-main.c: (main):
	Manually poke gtk, it seems gtk_get_option_group isn't good enough any
	more. This fixes the warning:
	gtk_icon_theme_get_for_screen: assertion 'GDK_IS_SCREEN (screen)' failed

2007-12-29  simon.zheng  <simon.zheng@sun.com>

	* applets/brightness/GNOME_BrightnessApplet.server.in.in:
	* applets/brightness/Makefile.am:
	* applets/inhibit/GNOME_InhibitApplet.server.in.in:
	* applets/inhibit/Makefile.am:
	Since applet binary can't be run by users directly, move them
	from "bindir" to "libexecdir" referring to gnome-panel source.

2007-12-24  simon.zheng  <simon.zheng@sun.com>

	* src/gpm-manager.c: (gpm_manager_action_hibernate):
	When doing hibernation, event should be GPM_EVENT_HIBERNATE instead of
	GPM_EVENT_SUSPEND.

2007-12-21  Richard Hughes  <richard@hughsie.com>

	* data/gnome-power-manager.schemas.in:
	* src/gpm-conf.h:
	* src/gpm-tray-icon.c: (gpm_tray_icon_enable_context_menu),
	(gpm_tray_icon_popup_menu_cb), (conf_key_changed_cb),
	(gpm_tray_icon_init):
	Here is a gnome-power-manager patch that adds a show_context_menu gconf key.
	If we turn that off in the gdm session, we not only get rid of the
	preferences ui, but also the possibly unwanted help (brings up yelp,
	and may offer ways to bring up a browser) and about (has a link).

	Patch from Matthias Clasen <matthias.clasen@gmail.com>, many thanks.

2007-12-21  Richard Hughes  <richard@hughsie.com>

	* src/gpm-main.c: (main):
	Drop unused gnome client from main.c

	The GnomeClient usage in main.c is a noop currently (commented out
	code, and a "die" callback that does not seem useful)

	Patch from Jani Monoses <jani@ubuntu.com>, many thanks.

also do GOption parsing via gtk and drop gnome_program_init()
2007-12-21  simon.zheng  <simon.zheng@sun.com>

	* src/gpm-engine.c: (gpm_engine_recalculate_state_icon):
	Avoid printing NULL string in the case of "icon == NULL".

2007-12-16  Richard Hughes  <richard@hughsie.com>

	* configure.in:
	Post release version increment to 2.21.2

2007-12-16  Richard Hughes  <richard@hughsie.com>

	==== Version 2.21.1 ====

2007-12-14  Richard Hughes  <richard@hughsie.com>

	* applets/inhibit/inhibit-applet.c: (gpm_applet_get_icon),
	(gpm_applet_check_size), (gpm_applet_draw_cb),
	(gpm_applet_change_background_cb), (gpm_applet_click_cb),
	(watch_connection_cb), (gpm_inhibit_applet_init):
	Revert to the old version of the applet for now as mclasens patch
	causes a 100% hang on startup.

2007-12-13  simon.zheng  <simon.zheng@sun.com>

	* man/Makefile.am:
	* man/gnome-power-statistics.sgml:
	Add a new manpage for gnome-power-statistics by referring
	to gnome-power-preferences's manpage.

2007-12-12  simon.zheng  <simon.zheng@sun.com>

	* libdbus-glib/libdbus-proxy.c: (dbus_proxy_disconnect):
	Avoid printing NULL point when daemon runs in debug pattern
	without HAL.

2007-12-11  Richard Hughes  <richard@hughsie.com>

	* help/C/gnome-power-manager.xml:
	Correcting documentation policy according to the UI.
	Patch from Bob Mauchin <zebob.m@pengzone.org>, many thanks.

2007-12-11  Richard Hughes  <richard@hughsie.com>

	* help/C/gnome-power-manager.xml:
	Lots of the GConf keys are out of date or have been removed, so they
	need to be updated.
	Patch from Bob Mauchin <zebob.m@pengzone.org>, many thanks.

2007-12-11  Richard Hughes  <richard@hughsie.com>

	* help/C/gnome-power-manager.xml:
	Correct version string to:
	In GNOME Power Manager 2.16 and newer...
	Patch from Bob Mauchin <zebob.m@pengzone.org>, many thanks.

2007-12-11  Richard Hughes  <richard@hughsie.com>

	* help/Makefile.am:
	Update help/Makefile.am to reflect changes made to the documentation
	and figures.
	Patch from Bob Mauchin <zebob.m@pengzone.org>, many thanks.

2007-11-28  Rodrigo Moya <rodrigo@gnome-db.org>

	* src/gpm-notify.c (gpm_notify_sleep_failed): use _NEVER for sleep
	problems notification, so that the user can always see it.

2007-11-18  Richard Hughes  <richard@hughsie.com>

	* src/gpm-cell-array.c: (gpm_st_cell_array):
	* src/gpm-cell.c: (gpm_st_cell):
	* src/gpm-self-test.c: (gpm_st_warning):
	* src/gpm-self-test.h:
	Try to pass make distcheck on a desktop machine.

2007-11-17  Josselin Mouette <joss@malsain.org>

	reviewed by: Richard Hugues

	* configure.in: document that --enable-checkfg is for Ubuntu 
	systems, not Debian. Fixes #497328.

2007-11-16  simon.zheng  <simon.zheng@sun.com>

	* src/gpm-backlight.c: (gpm_backlight_brightness_evaluate_and_set):
	Avoid float computation error, fixes #497298.

2007-11-15  Gabor Kelemen  <kelemeng@gnome.hu>

	* src/gpm-manager.c:
	* src/gpm-inhibit.c:
	* src/gpm-info.c: Make log messages more translator/user-friendly. Fixes #474973

2007-11-14  Richard Hughes  <richard@hughsie.com>

	* src/gpm-srv-brightness-kbd.c: (button_pressed_cb):
	Use the correct enumerated type for the button press.
	From the ubuntu patch archive.

2007-11-14  Richard Hughes  <richard@hughsie.com>

	* tools/gnome-power-cmd.sh:
	Fix bashisms in the command script. From the ubuntu patch archive.

2007-11-14  Richard Hughes  <richard@hughsie.com>

	* src/gpm-graph-widget.c: (gpm_graph_widget_get_y_label_max_width),
	(gpm_graph_widget_draw_graph):
	Work out the size of the label text to avoid truncating numbers in
	other locales. Fixes #496367

2007-11-09  Richard Hughes  <richard@hughsie.com>

	* src/gpm-notify.c: (gpm_notify_inhibit_lid):
	Make the warning a bit more sane when a program has inihibited.

2007-11-09  Richard Hughes  <richard@hughsie.com>

	* src/gpm-button.c: (gpm_button_filter_x_events),
	(gpm_button_grab_keystring), (gpm_button_button_key):
	Properly process the GdkXEvent so we don't hide the GtkStatusIcon
	when we compile with --enable-xevents.
	The bug of icon not appearing happened because addition of
	notification-area-applet generates an X Event for notification-manager
	ownership change, and the bug in gpm_button_filter_x_events didn't allow
	gtktrayicon-x11.c to see the event due to the propagation stopping from
	GDK_FILTER_REMOVE being returned on all non-keypresses.
	This is a slightly modied patch from Mart Raudsepp, many thanks.
	Fixes #413360

2007-11-02  Richard Hughes  <richard@hughsie.com>

	* data/gnome-power-manager.schemas.in:
	* data/gpm-prefs.glade:
	* src/gpm-backlight.c: (gpm_backlight_brightness_evaluate_and_set):
	* src/gpm-conf.h:
	* src/gpm-prefs-core.c: (prefs_setup_battery):
	Don't have a slider for brightness reduction on battery - it confuses
	too many people. Switch to a checkbox and leave gconf for power users
	to tweak this if they want. Fixes #489176

2007-11-02  Richard Hughes  <richard@hughsie.com>

	* src/gpm-cell-array.c: (phone_device_removed_cb):
	Check to see if we have a gnome-phone-manager device before we unref
	it - I've a sneaking suspicion gnome-phone-manager is telling us
	Remove before Added at session start, although we certainly shouldn't
	crash out in this case. Hopefully fixes #484516

2007-11-02  Richard Hughes  <richard@hughsie.com>

	* configure.in:
	Post release version increment - better late than never.

2007-11-01  Richard Hughes  <richard@hughsie.com>

	* src/Makefile.am:
	Fix make distcheck... OOps.

2007-11-01  Richard Hughes  <richard@hughsie.com>

	* docs/dbus-interface.html:
	* src/Makefile.am:
	* src/gpm-light-sensor.c: (gpm_light_sensor_get_absolute),
	(gpm_light_sensor_calibrate), (gpm_light_sensor_get_relative),
	(gpm_light_sensor_finalize), (gpm_light_sensor_has_hw),
	(gpm_light_sensor_poll_cb), (gpm_light_sensor_init):
	* src/gpm-self-test.c: (main):
	* src/gpm-webcam.c:
	* src/gpm-webcam.h:
	Rip out GpmWebcam - it's pretty crack, and I'm getting some odd
	bugreports about flashing webcam lights and brightness levels changing.

2007-10-16  Richard Hughes  <richard@hughsie.com>

	* src/gpm-manager.c: (idle_do_sleep):
	Always pass an error into gpm_control_ functions, else we can't detect
	if the method failed or if it just timed out.
	Patch from David Zeuthen, many thanks.

2007-10-13  Richard Hughes  <richard@hughsie.com>

	* src/gpm-manager.c: (gpm_manager_action_suspend),
	(gpm_manager_action_hibernate), (manager_policy_do),
	(gpm_manager_suspend), (gpm_manager_hibernate),
	(gpm_manager_reboot), (gpm_manager_shutdown), (idle_do_sleep),
	(idle_changed_cb):
	Check for inhibit in more places. Needed for gnome-packagekit work.

2007-10-05  Richard Hughes  <richard@hughsie.com>

	* applets/inhibit/inhibit-applet.c: (gpm_applet_uninhibit),
	(gpm_applet_set_icon), (gpm_applet_check_size),
	(gpm_applet_draw_cb), (gpm_applet_change_background_cb),
	(gpm_applet_click_cb), (watch_connection_cb),
	(gpm_inhibit_applet_init):
	Apply a patch from Matthias Clasen to improve the icon drawing.
	Slightly modified by me. Fixes #483826.

2007-10-05  Richard Hughes  <richard@hughsie.com>

	* src/gpm-manager.c: (gpm_manager_action_suspend),
	(gpm_manager_action_hibernate), (idle_do_sleep):
	Apply a patch from David Zeuthen:
	OK, so it turns out we're getting a D-Bus timeout. Actually g-p-m got
	codepaths to handle this but the call site passes NULL for the
	GError so we never get to examine this and properly handle timeouts.
	This patch takes care of that. I've tested and it works. Fixes rh:312761

2007-10-05  Richard Hughes  <richard@hughsie.com>

	* libhal-glib/libhal-gpower.c: (hal_gpower_suspend),
	(hal_gpower_pm_method_void), (hal_gpower_enable_power_save):
	* src/gpm-brightness-lcd.c: (gpm_brightness_lcd_get_hw),
	(gpm_brightness_lcd_set_hw):
	Use the correct DBUS return types now HAL enforces the return type.
	Based on a patch from David Zeuthen. Many thanks.

2007-09-17  Richard Hughes  <richard@hughsie.com>

	==== Version 2.20.0 ====

2007-09-13  Alex Jones  <alex@weej.com>

	reviewed by: Richard Hughes

	* applets/inhibit/GNOME_InhibitApplet.server.in.in,
	* applets/brightness/GNOME_BrightnessApplet.server.in.in:
	Add bonobo:environment and bugzilla:other_binaries oaf attributes.
	Fixes Bug 470481 – Inhibit applet does not work after first login.

2007-09-06  Richard Hughes  <richard@hughsie.com>

	* src/gpm-profile.c: (gpm_profile_delete_data),
	(gpm_profile_load_data):
	Fix a build error pointed out by Ken VanDine.

2007-09-04  Richard Hughes  <richard@hughsie.com>

	==== Version 2.19.92 ====

2007-08-21  Richard Hughes  <richard@hughsie.com>

	* src/gdb-efence.gdb:
	* src/gdb-underfence.gdb:
	* src/valgrind.supp:
	Add some checker scripts.

2007-08-21  Richard Hughes  <richard@hughsie.com>

	* help/C/gnome-power-manager.xml:
	Correct a lot of grammar mistakes. Fixes #468509
	Patch from Bruce Cowan <bruce.cowan@dsl.pipex.com>, many thanks.

2007-08-21  Richard Hughes  <richard@hughsie.com>

	* src/gpm-main.c: (main):
	Make this description proper English.

	* src/gpm-info.c: (gpm_statistics_get_data_types),
	(gpm_statistics_get_event_log), (gpm_statistics_get_data):
	List the time before the accuracy for clarity.

	* src/gpm-statistics-core.c:
	Rework the descriptions to fix #468825

2007-08-19  Richard Hughes  <richard@hughsie.com>

	* src/gpm-prefs.c:
	* src/gpm-statistics.c:
	We have to use gtk_init with the new tooltip API.

2007-08-15  Stéphane Raimbault  <stephane.raimbault@gmail.com>

	* data/gnome-power-manager.schemas.in:
	Typo 'the the'. Fixes bug #467094

2007-08-15  Richard Hughes  <richard@hughsie.com>

	* po/POTFILES.in:
	Make check work again by removing removed files.

	* data/Makefile.am:
	Make intltool a little happier.

	* src/gdb-gpm.sh:
	* src/massif-gpm.sh:
	* src/profile-gpm.sh:
	* src/valgrind-gpm.sh:
	* src/run-gpm.sh:
	Move into one tool.

2007-08-14  Jaap Haitsma  <jaap@haitsma.org>

	* applets/brightness/Makefile.am:
	* applets/brightness/brightness-applet.h: 
	* applets/brightness/brightness-applet.c:
	(gpm_applet_update_tooltip), (gpm_brightness_applet_init):
	Removed brightness-applet.h as we do not need to export anything.
	Use new tooltip object of GTK 2.12
 
	* applets/inhibit/Makefile.am:
	* applets/inhibit/inhibit-applet.h:
	* applets/inhibit/inhibit-applet.c: (gpm_applet_update_tooltip),
	(gpm_inhibit_applet_init):
	Removed inhibit-applet.h as we do not need to export anything.
	Use new tooltip object of GTK 2.12

	* configure.in: bump GTK requirement to 2.11 and glib to 2.13
	Fixes bug #462347

2007-08-14  Jaap Haitsma  <jaap@haitsma.org>

	* MAINTAINERS: Update to new format

2007-08-03  Jani Monoses  <jani@ubuntu.com>

	* src/gpm-notify.c:
	Replace gnome_url_show() with calls to gnome-open or xdg-open.
	* src/gpm-common.h:
	* src/gpm-common.c:
	* src/gpm-statistics.c:
	* src/gpm-prefs.c:
	* src/gpm-tray-icon.c:
	Replace gnome_help_display() with calls to gnome-open.
	* src/gpm-statistics.c:
	* src/gpm-prefs.c:
	* src/gpm-self-test.c:
	* test/gpm-inhibit-test.c:
	Drop gnome_program_init(), handle "destroy" signal in the test window.

2007-07-31  Richard Hughes  <richard@hughsie.com>

	* src/gpm-stock-icons.h:
	Use the correct icon for the right click drop down.

2007-07-31  Jaap Haitsma  <jaap@haitsma.org>

	* src/gpm-cell-array.c: (gpm_st_cell_array): make "make distcheck" work
	on laptop with multiple batteries. Fixes bug #462109

2007-07-31  Jaap Haitsma  <jaap@haitsma.org>

	* data/gnome-power-preferences.desktop.in:
	* data/sounds/Makefile.am:
	Oops missed something more of previous two commits

2007-07-31  Jaap Haitsma  <jaap@haitsma.org>

	* src/gpm-stock-icons.c: deleted not needed anymore
	* src/gpm-stock-icons.h: removed function prototypes

2007-07-31  Jaap Haitsma  <jaap@haitsma.org>

	* applets/brightness/GNOME_BrightnessApplet.server.in.in:
	* applets/brightness/Makefile.am:
	* applets/brightness/brightness-applet.c:
	(gpm_brightness_applet_init):
	* applets/inhibit/GNOME_InhibitApplet.server.in.in:
	* applets/inhibit/Makefile.am:
	* applets/inhibit/inhibit-applet.c: (gpm_inhibit_applet_init):
	* configure.in:
	* data/gnome-power-manager.desktop.in:
	* data/gnome-power-statistics.desktop.in:
	* data/icons/16x16/Makefile.am:
	* data/icons/16x16/actions/Makefile.am:
	* data/icons/16x16/apps/Makefile.am:
	* data/icons/16x16/status/Makefile.am:
	* data/icons/22x22/Makefile.am:
	* data/icons/22x22/actions/Makefile.am:
	* data/icons/22x22/apps/Makefile.am:
	* data/icons/22x22/status/Makefile.am:
	* data/icons/24x24/Makefile.am:
	* data/icons/24x24/actions/Makefile.am:
	* data/icons/24x24/apps/Makefile.am:
	* data/icons/24x24/status/Makefile.am:
	* data/icons/48x48/Makefile.am:
	* data/icons/48x48/actions/Makefile.am:
	* data/icons/48x48/apps/Makefile.am:
	* data/icons/48x48/status/Makefile.am:
	* data/icons/generate_24x24_icons.sh:
	* data/icons/generate_48x48_icons.sh:
	* data/icons/scalable/Makefile.am:
	* data/icons/scalable/actions/Makefile.am:
	* data/icons/scalable/apps/Makefile.am:
	* data/icons/scalable/apps/gnome-brightness-applet.svg:
	* data/icons/scalable/apps/gnome-inhibit-applet.svg:
	* data/icons/scalable/apps/gnome-power-manager.svg:
	* data/icons/scalable/gpm-brightness-kbd-disabled.svg:
	* data/icons/scalable/gpm-brightness-kbd-invalid.svg:
	* data/icons/scalable/gpm-brightness-lcd-disabled.svg:
	* data/icons/scalable/gpm-brightness-lcd-invalid.svg:
	* data/icons/scalable/gpm-inhibit-invalid.svg:
	* data/icons/scalable/gpm-phone-000.svg:
	* data/icons/scalable/gpm-phone-030.svg:
	* data/icons/scalable/gpm-phone-060.svg:
	* data/icons/scalable/gpm-phone-100.svg:
	* data/icons/scalable/status/Makefile.am:
	* src/Makefile.am:
	* src/gpm-main.c: (gpm_exit), (main):
	* src/gpm-stock-icons.c:
	* src/gpm-stock-icons.h:
	Use application specific icons in the recommended way. Fixes bug #449274

2007-07-30  Jaap Haitsma  <jaap@haitsma.org>

	* applets/brightness/GNOME_BrightnessApplet.xml:
	* applets/inhibit/GNOME_InhibitApplet.xml:
	Use gtk-about icon i.s.o. deprecated gnome-stock-about

2007-07-29  Richard Hughes  <richard@hughsie.com>

	* configure.in: Post release bump to 2.19.7

2007-07-29  Richard Hughes  <richard@hughsie.com>

	==== Version 2.19.6 ====

2007-07-29  Richard Hughes  <richard@hughsie.com>

	* src/gpm-phone.c: (gpm_st_phone):
	Connecting the phone for the self test requires manual intervention,
	it's not automatic.

2007-07-26  Richard Hughes  <richard@hughsie.com>

	* src/gpm-brightness-lcd.c: (gpm_brightness_lcd_set_hw),
	(gpm_brightness_lcd_dim_hw_step), (gpm_brightness_lcd_dim_hw),
	(gpm_brightness_lcd_get), (gpm_brightness_lcd_up),
	(gpm_brightness_lcd_down), (gpm_brightness_lcd_init):
	Try to discover the laptop backlight type by checking the backlight
	state before we try and set it. Fixes #436717
	If this breaks for people with 2.19.6, I'll revert it for 2.20.

2007-07-26  Richard Hughes  <richard@hughsie.com>

	* src/gpm-phone.c: (gpm_phone_num_batteries_changed):
	Ignore second coldplug, which can happen if you run make check and
	g-p-m at the same time.

2007-07-26  Richard Hughes  <richard@hughsie.com>

	* data/gpm-feedback-widget.glade:
	* src/gpm-feedback-widget.c: (gpm_feedback_show),
	(gpm_feedback_display_value):
	Apply a patch from Cosimo Cecchi <anarki@lilik.it> to fix the position
	and the style of the brightness widget. Fixes #405421

2007-07-26  Richard Hughes  <richard@hughsie.com>

	* data/gnome-power-manager.schemas.in:
	* src/gpm-conf.h:
	* src/gpm-control.c: (gpm_control_suspend),
	(gpm_control_hibernate):
	Split up the lock/gnome_keyring options into lock/gnome_keyring_suspend
	and lock/gnome_keyring_hibernate to fix #459747.
	We default to off for suspend and on for hibernate.

2007-07-25  Richard Hughes  <richard@hughsie.com>

	* data/icons/scalable/gpm-phone-000.svg:
	* data/icons/scalable/gpm-phone-030.svg:
	* data/icons/scalable/gpm-phone-060.svg:
	* data/icons/scalable/gpm-phone-100.svg:
	Better hi-res icons.

2007-07-25  Richard Hughes  <richard@hughsie.com>

	* src/gpm-cell-array.c: (gpm_cell_array_get_description):
	* src/gpm-cell.c: (gpm_cell_set_phone_index),
	(phone_device_refresh_cb):
	Monitor phone AC state, so we can put the charging state in the tooltip.

2007-07-25  Richard Hughes  <richard@hughsie.com>

	* src/gpm-cell-unit.c: (gpm_cell_unit_get_kind_localised):
	Correct title case in mobile phone text.

2007-07-25  Richard Hughes  <richard@hughsie.com>

	* src/gpm-cell.c: (gpm_cell_refresh_hal_all),
	(hal_device_property_modified_cb), (gpm_cell_set_type),
	(gpm_cell_set_hal_udi), (gpm_cell_set_phone_index),
	(gpm_cell_get_icon), (gpm_cell_print), (gpm_cell_get_description),
	(phone_device_refresh_cb), (gpm_cell_init), (gpm_cell_finalize):
	* src/gpm-phone.c: (gpm_phone_coldplug), (gpm_phone_get_present),
	(gpm_phone_get_percentage), (gpm_phone_get_on_ac),
	(gpm_phone_get_num_batteries), (gpm_phone_battery_state_changed),
	(gpm_phone_num_batteries_changed), (gpm_phone_dbus_connect),
	(gpm_phone_dbus_disconnect), (phone_device_refresh_cb),
	(gpm_st_phone):
	Add in checks for the object type, and also remember to disconnect the
	signal when GpmCell is unref'ed, else we segfault on phone connect,
	disconnect, connect.

2007-07-25  Richard Hughes  <richard@hughsie.com>

	* src/gpm-cell.c: (phone_device_refresh_cb):
	Correct the function type to correct a crash.

2007-07-25  Richard Hughes  <richard@hughsie.com>

	* src/gpm-manager.c: (manager_policy_do):
	Pass the reason on. Needed to debug #456489

2007-07-25  Richard Hughes  <richard@hughsie.com>

	* libhal-glib/libhal-gpower.c: (hal_gpower_filter_error),
	(hal_gpower_suspend), (hal_gpower_pm_method_void):
	Fix a potential crasher after resume.

2007-07-25  Richard Hughes  <richard@hughsie.com>

	* src/gpm-cell-array.c: (gpm_cell_array_update),
	(phone_device_added_cb):
	Only do the percentage override if we have enough data on a primary
	battery. Pretty major bugfix, not sure why we haven't hit this.

	* src/gpm-cell-unit.c: (gpm_cell_unit_get_icon),
	(gpm_cell_unit_get_kind_localised):
	Use the percentage, not the charge level. Also add translation.

	* src/gpm-cell.c: (gpm_cell_refresh_hal_all),
	(hal_device_property_modified_cb), (gpm_cell_set_hal_udi),
	(gpm_cell_set_phone_index), (phone_device_refresh_cb):
	* src/gpm-cell.h:
	Support the correct methods to update the icon when the phone device
	changes.

2007-07-25  Richard Hughes  <richard@hughsie.com>

	* src/Makefile.am:
	* src/gpm-cell.c:
	* src/gpm-cell-array.c: (gpm_cell_array_index_udi),
	(gpm_cell_array_coldplug), (phone_device_added_cb),
	(phone_device_removed_cb), (gpm_cell_array_init),
	(gpm_cell_array_finalize):
	Add support for GpmPhone devices. These show as laptop batteries for
	now, soon to be fixed.

	* src/gpm-marshal.list:
	* src/gpm-phone.c: (gpm_phone_coldplug),
	(gpm_phone_battery_state_changed),
	(gpm_phone_num_batteries_changed), (gpm_phone_class_init),
	(gpm_phone_dbus_connect), (gpm_phone_dbus_disconnect),
	(gpm_st_mainloop_wait), (gpm_st_phone):
	Listen for the correct signals, and add the correct GpmCell device.

	* src/gpm-self-test.c: (main):
	* src/gpm-self-test.h:
	Add the phone self-checks.

2007-07-24  Richard Hughes  <richard@hughsie.com>

	* applets/inhibit/inhibit-applet.c:
	(gpm_inhibit_applet_dbus_disconnect):
	Drop the inhibit when gnome-power-manager disconnects from the bus.

2007-07-24  Richard Hughes  <richard@hughsie.com>

	* src/gpm-cell.c: (gpm_st_cell):
	Fix a memory leak. 14 bytes.

	* src/gpm-main.c: (main):
	Don't unref the context, it makes valgrind unhappy.

	* src/gpm-profile.c: (gpm_profile_delete_data),
	(gpm_profile_load_data), (gpm_st_profile):
	Add some more tests.

2007-07-24  Richard Hughes  <richard@hughsie.com>

	* src/gpm-profile.c: (gpm_profile_get_nonzero_accuracy_percent),
	(gpm_profile_save_percentage), (gpm_profile_delete_data),
	(gpm_profile_use_guessing), (gpm_profile_init), (reset_profile),
	(gpm_st_profile):
	* src/gpm-profile.h:
	* src/gpm-self-test.c: (main):
	Fix the profile test. Also default to estimating the 5-95% data for
	unknown profile data.

2007-07-23  Richard Hughes  <richard@hughsie.com>

	* po/POTFILES.skip:
	The following files contain translations and are currently not in use.
	Please consider adding these to the POTFILES.in file, located in the
	po/ directory:
		applets/brightness/GNOME_BrightnessApplet.server.in
		applets/inhibit/GNOME_InhibitApplet.server.in

2007-07-23  Richard Hughes  <richard@hughsie.com>

	* src/gpm-self-test.c:
	* src/gpm-self-test.h:
	Oops. Actually add the main files.

2007-07-23  Richard Hughes  <richard@hughsie.com>

	* src/Makefile.am:
	* src/gpm-phone.c:
	* src/gpm-phone.h:
	Add initial gnome-phone-manager support. Untested.

2007-07-23  Richard Hughes  <richard@hughsie.com>

	* src/gpm-cell-array.c: (gpm_cell_array_add_hal_udi),
	(gpm_cell_array_coldplug), (hal_new_capability_cb),
	(hal_device_added_cb):
	* src/gpm-cell.c: (gpm_cell_set_type), (gpm_cell_set_hal_udi),
	(gpm_st_cell):
	* src/gpm-cell.h:
	Rename some methods to allow gnome-phone-manager integration.

2007-07-23  Richard Hughes  <richard@hughsie.com>

	* po/POTFILES.in:
	* src/Makefile.am:
	* src/gpm-array-float.c: (gpm_st_array_float):
	* src/gpm-array.c: (gpm_st_array):
	* src/gpm-cell-array.c: (gpm_cell_array_perhaps_recall_cb),
	(gpm_st_cell_array):
	* src/gpm-cell-unit.c: (gpm_st_cell_unit):
	* src/gpm-cell.c: (gpm_cell_perhaps_recall_cb),
	(gpm_cell_get_battery), (gpm_st_cell):
	* src/gpm-common.c: (gpm_st_common):
	* src/gpm-graph-widget.c: (close_handler), (clicked_passed_cb),
	(clicked_failed_cb), (create_graph_window), (wait_for_input),
	(gpm_st_title_graph), (gpm_st_graph_widget):
	* src/gpm-inhibit.c: (inhibit), (uninhibit), (has_inhibit),
	(gpm_st_inhibit):
	* src/gpm-profile.c: (gpm_st_profile):
	* src/gpm-webcam.c: (gpm_st_webcam):
	* test/Makefile.am:
	* test/gpm-selftest-hal-devices.fdi:
	* test/gpm-st-array-float.c:
	* test/gpm-st-array.c:
	* test/gpm-st-cell-array.c:
	* test/gpm-st-cell-unit.c:
	* test/gpm-st-cell.c:
	* test/gpm-st-common.c:
	* test/gpm-st-graph-widget.c:
	* test/gpm-st-inhibit.c:
	* test/gpm-st-main.c:
	* test/gpm-st-main.h:
	* test/gpm-st-profile.c:
	* test/gpm-st-webcam.c:
	* test/install-fdi.sh:
	Move the tests into src/ to be able to to run make check.

2007-07-23  Richard Hughes  <richard@hughsie.com>

	* data/icons/48x48/Makefile.am:
	* data/icons/scalable/Makefile.am:
	* data/icons/scalable/gpm-phone-000.svg:
	* data/icons/scalable/gpm-phone-030.svg:
	* data/icons/scalable/gpm-phone-060.svg:
	* data/icons/scalable/gpm-phone-100.svg:
	More icons...

2007-07-23  Richard Hughes  <richard@hughsie.com>

	* data/icons/24x24/Makefile.am:
	More phone icons.

2007-07-23  Richard Hughes  <richard@hughsie.com>

	* data/icons/16x16/Makefile.am:
	* data/icons/22x22/Makefile.am:
	Add some more phone icons.

	* src/gpm-control.c: (gpm_control_shutdown), (gpm_control_suspend),
	(gpm_control_hibernate):
	Only do gpm_control_convert_hal_error if false.

2007-07-22  Richard Hughes  <richard@hughsie.com>

	* src/gpm-control.c: (gpm_control_convert_hal_error),
	(gpm_control_shutdown), (gpm_control_suspend),
	(gpm_control_hibernate):
	Convert the HAL error to a localised error to avoid a crash in GDM.

2007-07-22  Richard Hughes  <richard@hughsie.com>

	* libhal-glib/libhal-gpower.c: (hal_gpower_suspend),
	(hal_gpower_pm_method_void), (hal_gpower_enable_power_save):
	Be more careful with errors. retval != 0 doesn't mean that an error
	is set.

2007-07-21  Richard Hughes  <richard@hughsie.com>

	* data/gnome-power-manager.schemas.in:
	* src/gpm-manager.c: (idle_changed_cb):
	* src/gpm-srv-screensaver.c: (update_lid_throttle):
	Remove a broken string that we don't ever use. Fixes #459099

	* src/gpm-profile.c: (gpm_profile_save_percentage):
	* test/gpm-st-profile.c: (gpm_st_profile):
	Add some more tests.

2007-07-20  Gabor Kelemen  <kelemeng@gnome.hu>

	* src/gpm-info.c:
	Add translator comment before the occurrences of the Q_ macro.
	Fixes #458609.

2007-07-20  Richard Hughes  <richard@hughsie.com>

	* src/gpm-notify.c: (gpm_notify_low_capacity):
	Correct some broken UI test. Invalid isn't a great word to use.

2007-07-20  Richard Hughes  <richard@hughsie.com>

	* src/gpm-info.c: (gpm_statistics_get_parameters):
	Correct some broken UI text. Fixes #458613

2007-07-20  Richard Hughes  <richard@hughsie.com>

	* src/gpm-profile.c: (gpm_profile_print),
	(gpm_test_profile_save_percentage):
	OOps. Don't recurse.

	* test/gpm-st-main.c: (main):
	* test/gpm-st-profile.c: (gpm_st_profile):
	Correct test, and make more specific. Test now passes.

2007-07-19  Richard Hughes  <richard@hughsie.com>

	* src/gpm-profile.c: (gpm_profile_print),
	(gpm_profile_get_data_time_percent),
	(gpm_profile_set_zero_accuracy_average),
	(gpm_profile_set_average_no_accuracy),
	(gpm_profile_save_percentage), (gpm_test_profile_save_percentage),
	(gpm_profile_test_force_discharging):
	* src/gpm-profile.h:
	Add new functionality. It doesn't work.

2007-07-19  Richard Hughes  <richard@hughsie.com>

	* libhal-glib/libhal-gpower.c: (hal_gpower_enable_power_save):
	Don't unref the error, we pass it back.

2007-07-19  Richard Hughes  <richard@hughsie.com>

	* src/gpm-info.c: (gpm_statistics_get_parameters):
	* src/gpm-profile.c: (gpm_profile_get_data_time_percent):
	Correct the colours to be more bold, and support the extrapolated data.

2007-07-19  Richard Hughes  <richard@hughsie.com>

	* test/gpm-st-main.c: (main):
	Rearrange some tests.

2007-07-19  Richard Hughes  <richard@hughsie.com>

	* src/gpm-engine.c: (gpm_engine_get_summary):
	Add better wording when accuracy is truely zero.

2007-07-19  Richard Hughes  <richard@hughsie.com>

	* help/C/gnome-power-manager.xml:
	* src/gpm-main.c:
	* src/gpm-prefs.c:
	* src/gpm-statistics.c:
	* test/gpm-inhibit-test.c:
	* tools/gnome-power-cmd.sh:
	Update some more API to match the docs.

2007-07-18  William Jon McCann  <mccann@jhu.edu>

	* data/gnome-power-manager.service.in (Name):
	Use the service name from the spec so we can activate
	in gdm greeter.

2007-07-18  Richard Hughes  <richard@hughsie.com>

	* src/gpm-main.c: (main):
	Log to syslog if name is already taken.

2007-07-18  Richard Hughes  <richard@hughsie.com>

	* src/gpm-debug.c: (gpm_syslog_internal), (gpm_error_real):
	Log to syslog when we exit because of an error.

2007-07-18  Richard Hughes  <richard@hughsie.com>

	* src/gpm-main.c: (main):
	Temporarily don't do the system bus check for gdm session activation.

2007-07-18  Richard Hughes  <richard@hughsie.com>

	* src/gpm-control.c: (gpm_control_reboot):
	Typo buildfix.

2007-07-18  Richard Hughes  <richard@hughsie.com>

	* libhal-glib/libhal-gpower.c: (hal_gpower_suspend),
	(hal_gpower_pm_method_void), (hal_gpower_hibernate),
	(hal_gpower_shutdown), (hal_gpower_reboot):
	* libhal-glib/libhal-gpower.h:
	* src/gpm-control.c: (gpm_control_shutdown), (gpm_control_reboot),
	(gpm_control_suspend), (gpm_control_hibernate):
	Propogate the error from hal to the session DBUS.

	* src/gpm-profile.c: (gpm_profile_get_nonzero_accuracy_percent),
	(gpm_profile_set_zero_accuracy_average),
	(gpm_profile_save_percentage):
	Try setting profile code from average. Nothing works yet.

2007-07-18  Richard Hughes  <richard@hughsie.com>

	* src/gpm-cell-array.c: (control_sleep_action_cb),
	(gpm_cell_array_init), (gpm_cell_array_finalize):
	Rescan the cell array when we resume as the primary battery may have
	been changed or removed. This hopefully fixes the big where the wrong
	profile is used when the battery is swapped whilst hibernating.

	* src/gpm-profile.c: (gpm_profile_init):
	Cosmetic whitespace fix.

	* test/gpm-st-main.c: (main):
	Uncomment the test so we do the whole suite.

2007-07-18  Richard Hughes  <richard@hughsie.com>

	* applets/inhibit/inhibit-applet.c:
	* applets/inhibit/inhibit-applet.h:
	Cosmetic changes.

	* applets/brightness/brightness-applet.c:
	* applets/brightness/brightness-applet.h:
	Watch the session bus for g-p-m, which prevents a race at startup.

	* applets/inhibit/Makefile.am:
	* data/icons/16x16/Makefile.am:
	* data/icons/22x22/Makefile.am:
	* data/icons/24x24/Makefile.am:
	* data/icons/48x48/Makefile.am:
	* data/icons/scalable/Makefile.am:
	* data/icons/scalable/gpm-inhibit-invalid.svg:
	* docs/icon-naming.txt:
	Add another icon to signify the inhibit applet is unable to connect.

2007-07-16  Richard Hughes  <richard@hughsie.com>

	* docs/icon-naming.txt:
	* src/gpm-cell-array.c: (gpm_cell_array_get_description):
	* src/gpm-cell-unit.c: (gpm_cell_unit_get_icon),
	(gpm_cell_unit_get_kind_string), (gpm_cell_unit_set_kind):
	* src/gpm-cell-unit.h:
	* src/gpm-engine.c: (gpm_engine_delayed_refresh),
	(gpm_engine_get_summary), (gpm_engine_get_icon), (gpm_engine_init),
	(gpm_engine_start), (gpm_engine_finalize):
	* src/gpm-engine.h:
	* src/gpm-manager.c: (gpm_engine_charge_low_cb),
	(gpm_engine_charge_critical_cb):
	* src/gpm-tray-icon.c: (gpm_tray_icon_activate_cb):
	* src/gpm-warnings.c: (gpm_warnings_get_state):
	* test/gpm-st-idletime.c: (gpm_st_idletime):
	* test/gpm-st-main.c: (main):
	Add the initial phone code for mobile phone support.
	No backend stuff yet, I need to write the backend stuff before it will
	work.

2007-07-16  Richard Hughes  <richard@hughsie.com>

	* src/gpm-info.c: (gpm_statistics_get_parameters):
	Add the guessed data into the key.

	* src/gpm-sound.c: (gpm_sound_init):
	Fix the build. Fixes #457414.

2007-07-12  Bastien Nocera  <hadess@hadess.net>

	* src/gpm-sound.c: (gpm_sound_play), (gpm_sound_init):
	Try to use gconfaudiosink, and set the profile, so that
	right output is used when playing an alert sound, use
	g_build_filename to create the URI for playbin to play

2007-07-10  Richard Hughes  <richard@hughsie.com>

	* src/gpm-backlight.c: (idle_changed_cb):
	Don't show the brightness UI on idle dim. Fixes #455148

2007-07-10  Theppitak Karoonboonyanan  <thep@linux.thai.net>

	* src/gpm-notify.c: (gpm_notify_sleep_failed):
	Add translation comment for "quirk website". Fixes #455499.

2007-07-09  Richard Hughes  <richard@hughsie.com>

	* Makefile.am:
	* configure.in:
	* libidletime/Makefile.am:
	* libidletime/libidletime.c:
	* libidletime/libidletime.h:
	* test/Makefile.am:
	* test/gpm-st-idletime.c:
	* test/gpm-st-main.c: (gpm_st_success), (main):
	* test/gpm-st-main.h:
	Add libidletime for querying IDLETIME.

2007-07-05  Richard Hughes  <richard@hughsie.com>

	* src/gpm-profile.c: (control_sleep_action_cb), (gpm_profile_init),
	(gpm_profile_finalize):
	Use GpmControl to notify GpmProfile when a suspend is about to happen,
	or when it has just happened so the data valid flag is made false.
	This stops oddball readings where the percentage time is used when
	the machine is a sleep state. The profile code now waits for the start
	of the next complete percentage point. Fixes #453853
	Many thanks to Christopher Halse Rogers for the excellent debugging.

	* test/Makefile.am:
	Now we are using gpm-control in gpm-profile, pull it in as a dep.

2007-07-05  Richard Hughes  <richard@hughsie.com>

	* src/gpm-manager.c: (gpm_manager_finalize):
	Fix a small memory leak on exit.

2007-07-04  Richard Hughes  <richard@hughsie.com>

	* src/gpm-profile.c:
	* src/gpm-tray-icon.c:
	Remove duplicate includes.

2007-07-04  Richard Hughes  <richard@hughsie.com>

	* configure.in: Post release bump to 2.19.6

2007-07-04  Richard Hughes  <richard@hughsie.com>

	==== Version 2.19.5 ====

2007-07-04  Richard Hughes  <richard@hughsie.com>

	* test/gpm-st-main.c: (main):
	Don't mark text translatable. This program is not installed, and is not
	used by end users. Fixes #453721

2007-07-04  Richard Hughes  <richard@hughsie.com>

	* src/gpm-cell-unit.h:
	Lower the value of GPM_CELL_UNIT_MIN_CHARGED_PERCENTAGE to 60 to cope
	with really broken batteries, or when using smapi-tools. Fixes #411932

2007-07-04  Richard Hughes  <richard@hughsie.com>

	* src/gpm-notify.c: (notify_general_clicked_cb),
	(gpm_notify_perhaps_recall), (gpm_notify_sleep_failed):
	Provide a link to the quirk self-help site when sleep fails.
	Fixes #442425

2007-07-04  Richard Hughes  <richard@hughsie.com>

	* help/C/gnome-power-manager.xml:
	Fix power units confusion. Fixes #423289

2007-07-04  Richard Hughes  <richard@hughsie.com>

	* data/sounds/gpm-suspend-failure.wav:
	Use a more professional warning sound. Fixes #406144

2007-07-01  Richard Hughes  <richard@hughsie.com>

	* src/gpm-array-float.c: (gpm_array_float_free):
	* src/gpm-main.c: (main):
	* test/gpm-st-array-float.c: (gpm_st_array_float):
	* test/gpm-st-cell-array.c: (gpm_st_cell_array):
	* test/gpm-st-cell.c: (gpm_st_cell):
	* test/gpm-st-hal-device.c: (gpm_st_hal_device):
	Fix some memory leaks.

2007-07-01  Richard Hughes  <richard@hughsie.com>

	* libdbus-glib/libdbus-proxy.c: (dbus_proxy_connect),
	(dbus_proxy_disconnect), (dbus_proxy_get_proxy):
	* libhal-glib/libhal-gpower.c: (hal_gpower_has_support):
	* src/gpm-array.c: (gpm_array_get):
	Don't push debugging text to stderr.

	* src/gpm-inhibit.c: (gpm_inhibit_error_quark),
	(gpm_inhibit_un_inhibit):
	* src/gpm-inhibit.h:
	Set an error when we return false for the UnInhibit.

	* test/gpm-st-array-float.c: (gpm_st_array_float):
	* test/gpm-st-array.c: (gpm_st_array):
	* test/gpm-st-cell-array.c: (gpm_st_cell_array):
	* test/gpm-st-cell-unit.c: (gpm_st_cell_unit):
	* test/gpm-st-cell.c: (gpm_st_cell):
	* test/gpm-st-common.c: (gpm_st_common):
	* test/gpm-st-graph-widget.c: (clicked_passed_cb),
	(clicked_failed_cb), (gpm_st_title_graph), (gpm_st_graph_widget):
	* test/gpm-st-hal-device.c: (gpm_st_hal_device):
	* test/gpm-st-hal-devicestore.c: (gpm_st_hal_devicestore):
	* test/gpm-st-hal-manager.c: (gpm_st_hal_manager):
	* test/gpm-st-hal-power.c: (gpm_st_hal_power):
	* test/gpm-st-inhibit.c: (uninhibit), (gpm_st_inhibit):
	* test/gpm-st-main.c: (gpm_st_start), (gpm_st_end), (gpm_st_title),
	(gpm_st_success), (gpm_st_failed), (gpm_st_run_test), (main):
	* test/gpm-st-main.h:
	* test/gpm-st-profile.c: (gpm_st_profile):
	* test/gpm-st-proxy.c: (gpm_st_proxy):
	* test/gpm-st-webcam.c: (gpm_st_webcam):
	Try a better infrastructure for the self tests. It's better. Trust me.

2007-06-29  Richard Hughes  <richard@hughsie.com>

	* data/gnome-power-manager.schemas.in:
	* src/gpm-conf.h:
	* src/gpm-inhibit.c: (gpm_inhibit_inhibit),
	(gpm_inhibit_un_inhibit):
	* src/gpm-manager.c: (manager_policy_do), (has_inhibit_changed_cb),
	(gpm_manager_init):
	* src/gpm-notify.c: (gpm_notify_inhibit_lid):
	* src/gpm-notify.h:
	* src/gpm-stock-icons.h:
	Add functionality so that g-p-m warns the user when manually inhibited
	and the lid action on battery is suspend or hibernate. Fixes #452244

2007-06-26  Richard Hughes  <richard@hughsie.com>

	* src/gpm-webcam.c: (gpm_webcam_get_brightness):
	If the webcam brightness capture fails we exit because the image
	generated in ~/.gnome2/gnome-power-manager/webcam.png has zero length.
	Patch by nadir@users.sourceforge.net, many thanks. Fixes #451241.

2007-06-25  Richard Hughes  <richard@hughsie.com>

	* src/gpm-engine.c: (gpm_engine_get_summary):
	Don't mention profiles (instead use 'time'), and remove the warning as
	users are not going to know what to do. Fixes #450362

2007-06-25  Richard Hughes  <richard@hughsie.com>

	* src/gpm-array.c: (gpm_array_add):
	Don't do crazy things when adding points. We already do clever things
	to remove points, so just add them.

	* src/gpm-statistics-core.c: (gpm_statistics_refresh_data):
	Increase the size of the gaussian array to further smooth the data.

	* test/gpm-st-array.c: (gpm_st_array):
	Correct a typo. We should never not add, even when zero.

2007-06-25  Richard Hughes  <richard@hughsie.com>

	* src/gpm-profile.c: (gpm_profile_register_percentage):
	Don't try to save the 100% profile point, which can happen the moment
	the percentage charge hits 100% from 99% a split second before being
	marked as non-discharging.

2007-06-24  Richard Hughes  <richard@hughsie.com>

	* test/gpm-selftest-hal-devices.fdi:
	Match on any primary battery, rather than a specific UDI.

2007-06-24  Richard Hughes  <richard@hughsie.com>

	* test/gpm-st-graph-widget.c: (gpm_st_graph_widget):
	* test/gpm-st-main.c: (main):
	Don't stop running the interactive test after the graph check.

2007-06-24  Richard Hughes  <richard@hughsie.com>

	* src/gpm-graph-widget.c:
	Fix the event dot stacking.

	* src/gpm-info.c:
	* src/gpm-info.h:
	Monitor and log powersave events.

	* src/gpm-graph-widget.h:
	* src/gpm-statistics-core.c: (gpm_statistics_refresh_events):
	* test/gpm-st-graph-widget.c: (gpm_st_graph_widget):
	Allow clearing of the event data.

2007-06-24  Richard Hughes  <richard@hughsie.com>

	* src/gpm-graph-widget.c: (gpm_graph_widget_auto_range):
	Cosmetic adjustments to ranging for time.

2007-06-24  Richard Hughes  <richard@hughsie.com>

	* src/gpm-main.c: (main):
	* tools/gnome-power-bugreport.sh:
	Report the installed g-p-m version in bugreports.

2007-06-24  Richard Hughes  <richard@hughsie.com>

	* src/gpm-info.c:
	Move the colour defines here.

	* src/gpm-statistics-core.c: (gpm_statistics_refresh_data):
	* src/gpm-graph-widget.h:
	Allow the graph data to be cleared, so rename the function to create.

	* test/gpm-st-graph-widget.c: (gpm_st_graph_widget):
	* test/gpm-st-main.c: (gpm_st_failed):
	Add lots more tests.

	* src/gpm-graph-widget.c:
	Fix the no-legend bug, and the autoranging bugs. We need more
	unit-tests, but this should fix the most glaring errors.

2007-06-24  Gabor Kelemen  <kelemeng@gnome.hu>
	* src/gpm-main.c:
	* src/gpm-statistics.c:
	* src/gpm-prefs.c: use g_option_context_set_translation_domain to translate
	application description. Closes bug #450154.

2007-06-24  Richard Hughes  <richard@hughsie.com>

	* src/gpm-graph-widget.c:
	* src/gpm-graph-widget.h:
	Rip out some unused API.

	* test/Makefile.am:
	* test/gpm-st-graph-widget.c:
	* test/gpm-st-main.c: (main):
	* test/gpm-st-main.h:
	Add a self test module for the graph. It's incomplete, and already
	shows numerous bugs with the graphing code. More to come.

2007-06-23  Richard Hughes  <richard@hughsie.com>

	* src/gpm-info.c: (gpm_statistics_get_parameters):
	Correct axis label, the unit is already encoded in the value.

2007-06-19  Jaap Haitsma  <jaap@haitsma.org>

	* src/gpm-main.c: (main):
	Add g_set_application_name
	* src/gpm-trayicon.c: (gpm_tray_icon_show_about_cb):
	Make about dialog work with GTK 2.12
	Add website label. Closed #448570

2007-06-17  Richard Hughes  <richard@hughsie.com>

	* data/gnome-power-manager.schemas.in:
	* src/gpm-conf.h:
	* src/gpm-manager.c: (gpm_manager_init):
	Add a special key to detect if the gconf schema has been correctly
	installed. I'm getting more and more bugreports from people compiling
	g-p-m from source, but not installing the default schema and thus
	getting odd unreproducable crashes.

2007-06-17  Stéphane Raimbault  <stephane.raimbault@gmail.com>

	* src/gpm-info.c: (gpm_statistics_add_events_typical):
        Allow different translations for the same string in two different
	contexts. Closed #413642.

2007-06-15  Richard Hughes  <richard@hughsie.com>

	* src/gpm-button.c: (emit_button_pressed):
	Only do the sound if we configured sound effects to be on.

	* src/gpm-sound.c: (gpm_sound_play), (gpm_sound_force),
	(gpm_sound_finalize), (gpm_sound_init):
	Do the sounds in-process, rather than executing gst-launch.

2007-06-15  Richard Hughes  <richard@hughsie.com>

	* data/sounds/Makefile.am:
	* src/gpm-button.c: (emit_button_pressed), (gpm_button_init),
	(gpm_button_finalize):
	* src/gpm-sound.c: (gpm_sound_force):
	* src/gpm-sound.h:
	Emit a sound when the lid state changes, which I need for debugging.

2007-06-14  Richard Hughes  <richard@hughsie.com>

	* src/gpm-idle.c: (gpm_idle_init):
	Initialise a variable to maybe fix #446496.

2007-06-14  Richard Hughes  <richard@hughsie.com>

	* applets/brightness/brightness-applet.c (gpm_applet_get_icon):
        Use the new invalid icon when g-p-m is not running. Fixes #433367

	* applets/brightness/brightness-applet.c
	(gpm_brightness_applet_dbus_connect):
	Refresh the value when g-p-m re-appears back on the bus, so the value
	on the slider is correct.

2007-06-14  Richard Hughes  <richard@hughsie.com>

	* docs/backlight-interactions.svg:
	Add this useful diagram.

2007-06-14  Richard Hughes  <richard@hughsie.com>

	* data/icons/16x16/Makefile.am:
	* data/icons/22x22/Makefile.am:
	* data/icons/24x24/Makefile.am:
	* data/icons/48x48/Makefile.am:
	* data/icons/scalable/Makefile.am:
	* data/icons/scalable/gpm-brightness-kbd-invalid.svg:
	* data/icons/scalable/gpm-brightness-lcd-invalid.svg:
	* docs/icon-naming.txt:
	Add some new icons so we can tell the difference between no hardware
	and no gnome-power-manager.

2007-06-14  Richard Hughes  <richard@hughsie.com>

	* src/gpm-conf.c: (gpm_conf_init):
	* src/gpm-conf.h:
	* src/gpm-screensaver.c: (gconf_key_changed_cb):
	* src/gpm-screensaver.h:
	Watch the gnome-screensaver keys to fix #422124.

2007-06-13  Richard Hughes  <richard@hughsie.com>

	* src/gpm-engine.c: (gpm_engine_get_summary):
	Make wording better.

2007-06-13  Richard Hughes  <richard@hughsie.com>

	* configure.in: Post release bump to 2.19.4

2007-06-13  Richard Hughes  <richard@hughsie.com>

	==== Version 2.19.3 ====

2007-06-13  Richard Hughes  <richard@hughsie.com>

	* src/gpm-cell-array.c: (gpm_cell_array_emit_system_action),
	(gpm_cell_array_percent_changed):
	* src/gpm-engine.c: (gpm_engine_get_summary):
	* src/gpm-profile.c: (gpm_profile_get_accuracy_average):
	* src/gpm-profile.h:
	Don't try to do the policy action when the average accuracy is low.
	This should solve the problem where g-p-m shuts down when the profile
	is very new, and g-p-m has not "seen" the lower states.
	Should fix #446895 and other duplicates.

	* src/gpm-array-float.c: (gpm_array_float_get_average):
	* src/gpm-array-float.h:
	* test/gpm-st-array-float.c: (gpm_st_array_float):
	Add code to compute the average of a float list.

	* test/gpm-selftest-hal-devices.fdi:
	Use BAT0.

	* test/gpm-st-cell.c: (gpm_cell_get_battery), (gpm_st_cell):
	* test/gpm-st-main.c: (gpm_st_failed), (main):
	Stop the checks when an error happens.

	* test/install-fdi.sh:
	Restart HAL to get the new fdi set.

2007-06-13  Richard Hughes  <richard@hughsie.com>

	* data/gnome-power-manager.schemas.in:
	* src/gpm-conf.h:
	Add in /apps/gnome-power-manager/general/debug for the future.

2007-06-07  Gabor Kelemen  <kelemeng@gnome.hu>

	* applets/brightness/GNOME_BrightnessApplet.server.in.in:
	* applets/inhibit/GNOME_InhibitApplet.server.in.in: Mark descriptions for translation.
	  Fixes #445173

2007-06-06  Richard Hughes  <richard@hughsie.com>

	* src/gpm-main.c: (main):
	* src/gpm-webcam.c: (gpm_webcam_get_image):
	Do the gst_init where we have argv.

2007-06-02  Richard Hughes  <richard@hughsie.com>

	* src/gpm-graph-widget.c: (gpm_graph_widget_draw_graph):
	Give more room to the y-axis labels as sometimes the text does not fit.
	Ideally we should make this auto-range, but this will do for now.

2007-06-01  Richard Hughes  <richard@hughsie.com>

	* data/gpm-prefs.glade:
	* src/gpm-prefs-core.c: (prefs_setup_ac), (prefs_setup_battery):
	Move the headings around, and also include a dim-on-idle checkbox for
	each battery-ac state.

	* src/gpm-common.c: (gpm_discrete_to_fraction):
	* src/gpm-common.h:
	* test/gpm-st-common.c: (gpm_st_common):
	Add a new function and test it.

	* src/gpm-backlight.c: (gpm_backlight_init):
	* src/gpm-brightness-kbd.c:
	(adjust_kbd_brightness_according_to_ambient_light):
	* src/gpm-light-sensor.c: (gpm_light_sensor_get_absolute),
	(gpm_light_sensor_calibrate), (gpm_light_sensor_get_relative),
	(gpm_light_sensor_poll_cb), (gpm_light_sensor_init):
	* src/gpm-light-sensor.h:
	* src/gpm-webcam.c:
	Add in functionality so we can get relative brightness readings after
	an initial calibration has been done.

2007-05-25  Richard Hughes  <richard@hughsie.com>

	* src/gpm-manager.c: (gpm_engine_charge_critical_cb):
	Don't segfault if the schema is invalid.

2007-05-23  Richard Hughes  <richard@hughsie.com>

	* src/gpm-backlight.c: (gpm_backlight_set_brightness):
	Just set the AC brightness when we adjust the brightness applet.
	We might do something cleverer in the future.

2007-05-22  Richard Hughes  <richard@hughsie.com>

	* data/gnome-power-manager.schemas.in:
	* src/gpm-backlight.c: (gpm_backlight_brightness_evaluate_and_set),
	(gpm_backlight_notify_system_idle_changed), (idle_changed_cb),
	(gpm_backlight_init):
	* src/gpm-conf.h:
	Make the brightness dim code "learn" to take longer to dim if you keep
	undimming the screen shortly after auto-dimming it.

2007-05-22  Richard Hughes  <richard@hughsie.com>

	* data/gnome-power-manager.schemas.in:
	Correct key typo.

2007-05-22  Richard Hughes  <richard@hughsie.com>

	* data/gnome-power-manager.schemas.in:
	Change default of /apps/gnome-power-manager/general/network_sleep to
	false, as we now do the system action in pm-utils.
	The code will be ripped out altogether closer to 2.20.

2007-05-22  Richard Hughes  <richard@hughsie.com>

	* po/POTFILES.in:
	* src/Makefile.am:
	* src/gpm-cell-array.c: (gpm_cell_array_percent_changed),
	(gpm_cell_charging_changed_cb), (gpm_cell_discharging_changed_cb),
	(gpm_cell_array_init), (gpm_cell_array_finalize):
	* src/gpm-engine.c: (gpm_engine_get_icon), (gpm_engine_init),
	(gpm_engine_finalize):
	* src/gpm-warning.c:
	* src/gpm-warning.h:
	* src/gpm-warnings.c: (gpm_warnings_get_state_csr),
	(gpm_warnings_get_state_time), (gpm_warnings_get_state_percentage),
	(gpm_warnings_get_state), (gpm_warnings_constructor),
	(gpm_warnings_finalize), (gconf_key_changed_cb),
	(gpm_warnings_class_init), (gpm_warnings_init), (gpm_warnings_new):
	* src/gpm-warnings.h:
	* test/Makefile.am:
	Rename the gpm_warning module to gpm_warnings to avoid aliasing the
	gpm_warning debugging command. Fixes build on Solaris, #440409

2007-05-22  Richard Hughes  <richard@hughsie.com>

	* applets/brightness/brightness-applet.c:
	(gpm_brightness_applet_dbus_connect):
	* data/gnome-power-manager.schemas.in:
	* data/gpm-prefs.glade:
	* src/gpm-backlight.c: (gpm_backlight_sync_policy),
	(gpm_common_sum_scale),
	(gpm_backlight_brightness_evaluate_and_set), (conf_key_changed_cb),
	(ac_adapter_changed_cb), (button_pressed_cb),
	(gpm_backlight_notify_system_idle_changed), (idle_changed_cb),
	(sensor_changed_cb), (gpm_backlight_finalize),
	(gpm_backlight_init):
	* src/gpm-brightness-lcd.c: (gpm_brightness_lcd_dim_hw),
	(gpm_brightness_lcd_set_std), (gpm_brightness_lcd_init):
	* src/gpm-brightness-lcd.h:
	* src/gpm-cell-array.c: (gpm_cell_array_get_time_until_action):
	* src/gpm-conf.h:
	* src/gpm-cpufreq.c: (gpm_cpufreq_sync_policy),
	(conf_key_changed_cb):
	* src/gpm-engine.c: (conf_key_changed_cb), (gpm_engine_init):
	* src/gpm-info.c: (gpm_info_init):
	* src/gpm-light-sensor.c: (gpm_light_sensor_get),
	(gpm_light_sensor_poll_cb):
	* src/gpm-manager.c: (gpm_manager_sync_policy_sleep),
	(idle_do_sleep), (lid_button_pressed), (ac_adapter_changed_cb),
	(manager_critical_action_do), (conf_key_changed_cb),
	(gpm_engine_charge_critical_cb), (gpm_engine_charge_action_cb),
	(gpm_manager_init):
	* src/gpm-prefs-core.c: (gpm_prefs_icon_radio_cb),
	(conf_key_changed_cb), (prefs_setup_notification),
	(prefs_setup_ac), (prefs_setup_battery), (prefs_setup_ups):
	* src/gpm-sound.c: (conf_key_changed_cb), (gpm_sound_init):
	* src/gpm-srv-brightness-kbd.c: (conf_key_changed_cb),
	(ac_adapter_changed_cb):
	* src/gpm-srv-screensaver.c: (screensaver_auth_request_cb):
	* src/gpm-statistics-core.c: (conf_key_changed_cb),
	(gpm_statistics_checkbox_events_cb),
	(gpm_statistics_refresh_axis_labels),
	(gpm_statistics_refresh_data),
	(gpm_statistics_type_combo_changed_cb),
	(gpm_statistics_populate_graph_types), (gpm_statistics_init):
	* src/gpm-tray-icon.c: (conf_key_changed_cb), (gpm_tray_icon_init):
	* src/gpm-warning.c: (gpm_warning_init):
	* test/gpm-st-webcam.c: (gpm_st_webcam):
	Rework the brightness interactions, and rename a large part of the
	gconf schemas. Currently unfinished.

2007-05-21  Benjamin Canou <benjamin@benjamin-laptop>

	* applets/brightness/brightness-applet.c: (gpm_applet_draw_cb),
	(gpm_applet_change_background_cb), (gpm_applet_update_popup_level),
	(gpm_applet_plus_cb), (gpm_applet_scroll_cb),
	(gpm_applet_theme_change_cb), (gpm_applet_stop_scroll_events_cb),
	(gpm_brightness_applet_init):
	Correct drawing code to handle themes with panel background picture.
	Correct max value from 99% to 100%.
	Correct tooltip behaviour.

2007-05-21  Richard Hughes  <richard@hughsie.com>

	* src/gpm-debug.c: (gpm_error_real):
	Still exit, even if we are not debugging. Fixes #438838

2007-05-18  Richard Hughes  <richard@hughsie.com>

	* data/gnome-power-manager.schemas.in:
	* data/gpm-prefs.glade:
	* src/gpm-backlight.c: (gpm_backlight_set_brightness),
	(sensor_changed_cb), (gpm_backlight_finalize),
	(gpm_backlight_init):
	* src/gpm-conf.h:
	* src/gpm-light-sensor.c: (gpm_light_sensor_get_hw),
	(gpm_light_sensor_get), (gpm_light_sensor_constructor),
	(gpm_light_sensor_finalize), (gpm_light_sensor_class_init),
	(gpm_light_sensor_has_hw), (gpm_light_sensor_poll_cb),
	(conf_key_changed_cb), (gpm_light_sensor_init),
	(gpm_light_sensor_new):
	* src/gpm-light-sensor.h:
	* src/gpm-prefs-core.c: (prefs_setup_general), (gpm_prefs_init):
	* src/gpm-prefs-server.h:
	Make the ambient light sensor do something interesting, and remove the
	UI from the prefs program. We should just choose good defaults, and
	then just learn what the user wants.

2007-05-18  Richard Hughes  <richard@hughsie.com>

	* applets/brightness/brightness-applet.c:
	* src/Makefile.am:
	* src/dbus/xdg-power-management-core.xml:
	* src/gpm-backlight.c: (gpm_backlight_init):
	* src/gpm-engine.c: (gpm_engine_start):
	* src/gpm-light-sensor.c: (gpm_light_sensor_init):
	* src/gpm-manager.c: (gpm_manager_get_preferences_options),
	(gpm_manager_init), (gpm_manager_finalize):
	* src/gpm-manager.h:
	* src/gpm-prefs-core.c: (gpm_dbus_method_int),
	(prefs_setup_ambient), (gpm_prefs_init):
	* src/gpm-prefs-server.c: (gpm_prefs_server_get_capability),
	(gpm_prefs_server_set_capability), (gpm_prefs_server_class_init),
	(gpm_prefs_server_init), (gpm_prefs_server_new):
	* src/gpm-prefs-server.h:
	Move the capabilities detection to the daemon, don't try to second guess
	the information in the prefs tool.

2007-05-17  Richard Hughes  <richard@hughsie.com>

	* src/gpm-backlight.c: (idle_changed_cb):
	* src/gpm-idle.c: (session_idle_changed_cb),
	(powersave_idle_changed_cb), (gpm_idle_init):
	* src/gpm-idle.h:
	Dim the screen after a few seconds.

2007-05-17  Richard Hughes  <richard@hughsie.com>

	* applets/brightness/Makefile.am:
	* applets/brightness/brightness-applet.c:
	* applets/brightness/brightness-applet.h:
	Use DbusWatch.

	* libdbus-glib/Makefile.am:
	* libdbus-glib/libdbus-proxy.c: (dbus_proxy_disconnect):
	* libdbus-glib/libdbus-watch.c:
	Add new class, not wrapping the proxy. Simple.

	* src/gpm-idle.c: (gpm_idle_init):
	* src/gpm-screensaver.c:
	* src/gpm-screensaver.h:
	Add idle reporting for powersave.

2007-05-17  Richard Hughes  <richard@hughsie.com>

	* applets/brightness/brightness-applet.c: (gpm_applet_get_icon),
	(gpm_applet_check_size), (gpm_applet_draw_cb),
	(gpm_applet_destroy_popup_cb), (gpm_applet_update_tooltip),
	(gpm_applet_update_popup_level), (gpm_applet_plus_cb),
	(gpm_applet_minus_cb), (gpm_applet_slide_cb),
	(gpm_applet_key_press_cb), (gpm_applet_scroll_cb),
	(gpm_applet_create_popup), (gpm_applet_popup_cb),
	(gpm_applet_dialog_about_cb), (gpm_applet_destroy_cb),
	(brightness_changed_cb), (gpm_brightness_applet_init),
	(gpm_applet_bonobo_cb):
	Don't reduce the brightness when clicking on the icon. Fixes #428401

	* src/gpm-backlight.c: (conf_key_changed_cb):
	Emit BrightnessChanged events when the conf key changes.

2007-05-17  Richard Hughes  <richard@hughsie.com>

	* Makefile.am:
	* applets/brightness/Makefile.am:
	* applets/brightness/brightness-applet.c:
	(gpm_applet_get_brightness), (gpm_applet_set_brightness),
	(update_level), (destroy_cb), (gpm_brightness_applet_init):
	* applets/brightness/brightness-applet.h:
	* applets/inhibit/Makefile.am:
	* applets/inhibit/inhibit-applet.c: (gpm_applet_inhibit),
	(gpm_applet_uninhibit), (gpm_applet_has_inhibit), (click_cb),
	(destroy_cb), (gpm_inhibit_applet_init):
	* applets/inhibit/inhibit-applet.h:
	* configure.in:
	* libgpm-glib/Makefile.am:
	* libgpm-glib/libgpm.c:
	* libgpm-glib/libgpm.h:
	* src/Makefile.am:
	* src/gpm-common.h:
	* src/gpm-main.c:
	* src/gpm-manager.c:
	* src/gpm-notify.c:
	* src/gpm-prefs-core.c:
	* src/gpm-profile.c:
	* src/gpm-statistics-core.c:
	* src/gpm-tray-icon.c:
	* test/Makefile.am:
	* test/gpm-st-inhibit.c: (inhibit), (uninhibit), (has_inhibit),
	(gpm_st_inhibit):
	* test/gpm-st-proxy.c:
	Remove libgpm, it's only used properly in one place. Also lets us solve
	the brghtness bug easily (to follow).

2007-05-15  Richard Hughes  <richard@hughsie.com>

	* src/gpm-profile.c: (gpm_profile_load_data):
	Create the data directory with the correct permissions.

	* test/gpm-st-webcam.c: (gpm_st_webcam):
	Oops. Actually add this file.

2007-05-14  Richard Hughes  <richard@hughsie.com>

	* data/gnome-power-manager.schemas.in:
	* src/gpm-webcam.c:
	* src/gpm-webcam.h:
	* test/Makefile.am:
	* test/gpm-st-main.c:
	* test/gpm-st-main.h:
	Make some more changes to the webcam module, and add a self-test
	section that just gets an image.

2007-05-14  Richard Hughes  <richard@hughsie.com>

	* data/gpm-prefs.glade:
	* src/gpm-conf.h:
	* src/gpm-light-sensor.c:
	More fixes.

2007-05-14  Richard Hughes  <richard@hughsie.com>

	* data/gnome-power-manager.schemas.in:
	Fix type.

2007-05-14  Richard Hughes  <richard@hughsie.com>

	* configure.in:
	* data/gnome-power-manager.schemas.in:
	* data/gpm-prefs.glade:
	* src/Makefile.am:
	* src/gpm-light-sensor.c:
	* src/gpm-webcam.c:
	* src/gpm-webcam.h:
	Add initial code to use a webcam as a brightness sensor.

2007-05-14  Richard Hughes  <richard@hughsie.com>

	* configure.in: Post release bump to 2.19.3

2007-05-14  Richard Hughes  <richard@hughsie.com>

	==== Version 2.19.2 ====

2007-05-14  Richard Hughes  <richard@hughsie.com>

	* src/gpm-graph-widget.c:
	Make 400% sure we can't dereference a null pointer.

2007-05-14  Richard Hughes  <richard@hughsie.com>

	* data/gnome-power-manager.schemas.in:
	Change the /apps/gnome-power-manager/battery/event_when_closed
	key to default to true. This means that if you shut the lid and then
	remove the AC power then the system will by default suspend.
	This may make systems that have dodgey lid reporting to immediatly
	suspend when removed from AC, but we can blacklist (or fix) them as
	they are reported. Fixes fedora:214404

2007-05-13  Richard Hughes  <richard@hughsie.com>

	* src/gpm-dpms.c: (gpm_dpms_init):
	Add a note about the DPMS polling, and default to once every 10 seconds
	rather than once every 500ms as this wakes up X a lot.

2007-05-13  Richard Hughes  <richard@hughsie.com>

	* src/gpm-array.c: (gpm_array_check_max_and_size), (gpm_array_add):
	Abstract out a method, should be no logic changes.

2007-05-13  Richard Hughes  <richard@hughsie.com>

	* src/gpm-load.c: (gpm_load_get_current), (gpm_load_init):
	Fix a build failure with -Werror, where we were ignoring the return
	value of gpm_load_get_cpu_values, possibly leading to uninitialised
	values of the counters.
	Thanks to Ed Catmur <ed@catmur.co.uk> for the patch. Fixes #437920.

2007-05-09  Richard Hughes  <richard@hughsie.com>

	* src/gpm-brightness-lcd.c: (gpm_brightness_lcd_dim_hw_step):
	If we failed the last brightness set command, don't keep trying;
	This fixes a long "hang" when we resume from suspend when on PPC,
	although the real problem is the HAL method dying for some reason.

2007-05-09  Richard Hughes  <richard@hughsie.com>

	* src/gpm-graph-widget.c: (gpm_graph_widget_init):
	Comment out pango_context_set_base_gravity as this requires pango 1.16
	when FC6 only supports version 1.14

2007-05-09  Richard Hughes  <richard@hughsie.com>

	* tools/gnome-power-bugreport.sh:
	Add process information for HAL and g-p-m so I can see what is running.

2007-05-09  Richard Hughes  <richard@hughsie.com>

	* src/gpm-engine.c: (gpm_engine_icon_clear_delay),
	(gpm_engine_recalculate_state_icon):
	Don't send the action for the icon to clear for a few seconds so that
	any notification can be shown pointing to the icon. Fixes #437042

2007-05-08  Richard Hughes  <richard@hughsie.com>

	* src/dbus/xdg-power-management-stats.xml:
	Add a comment about adding a type field.

	* src/gpm-graph-widget.c: (gpm_graph_widget_draw_event_dots):
	Fix a potential crasher where the wrong event data was being processed.

2007-05-07  Richard Hughes  <richard@hughsie.com>

	* applets/brightness/brightness-applet.c: (update_level):
	Don't chicken out when brightness access fails in the addon.
	Continue to try to connect, hopefully trying to fix #436704.

2007-05-07  Richard Hughes  <richard@hughsie.com>

	* src/gpm-dpms.c: (x11_sync_server_dpms_settings), (x11_get_mode),
	(x11_set_mode), (sync_settings), (gpm_dpms_init):
	DPMSCapable() can never change for a given display, so cache the
	result and cut our wakeups in half. Change modified from a similar patch
	by Adam Jackson <ajax@redhat.com>, many thanks.

2007-05-04  Richard Hughes  <richard@hughsie.com>

	* src/gpm-button.c: (coldplug_buttons), (hal_daemon_start_cb),
	(hal_daemon_stop_cb), (gpm_button_init):
	Reconnect the buttons after HAL has been restarted.

2007-05-04  Richard Hughes  <richard@hughsie.com>

	* src/gpm-info.c: (gpm_info_event_log), (gpm_info_log_do_poll),
	(gpm_info_init), (gpm_info_finalize):
	Don't use gettimeofday-type functions, instead use GTimer as it now has
	monotonic clock support. Thanks to Jon McCann for the pointer.
	This should fix #419403 where ntp clock adjustment made the graphs
	go screwy.

2007-05-03  Richard Hughes  <richard@hughsie.com>

	* data/gnome-power-manager.schemas.in:
	* data/gpm-graph.glade:
	* src/gpm-conf.h:
	* src/gpm-graph-widget.c:
	* src/gpm-statistics-core.c:
	Make the UI of the graph program a little more sane.

2007-05-03  Richard Hughes  <richard@hughsie.com>

	* src/gpm-graph-widget.c:
	Convert gnome-power-statistics to use Pango for text rendering.
	This is based heavily on a patch by Young-Ho Cha <ganadist@chollian.net>
	and fixes #418605. Many thanks.

2007-05-03  Richard Hughes  <richard@hughsie.com>

	* configure.in: Post release bump to 2.19.2

2007-05-03  Richard Hughes  <richard@hughsie.com>

	==== Version 2.19.1 ====

2007-05-03  Richard Hughes  <richard@hughsie.com>

	* src/gpm-cell-array.c: (gpm_cell_array_get_description):
	Fix a failure in the self test program when the battery is detected
	broken. Return 'Battery state could not be read at this time'.

	* src/dbus/xdg-power-management-stats.xml:
	* src/gpm-graph-widget.c:
	* src/gpm-graph-widget.h:
	* src/gpm-info.c:
	* src/gpm-info.h:
	* src/gpm-statistics-core.c:
	Send the key data over DBUS. Allows us to do some cool new things.

2007-05-01  Richard Hughes  <richard@hughsie.com>

	* src/dbus/xdg-power-management-stats.xml:
	* src/gpm-graph-widget.c:
	* src/gpm-graph-widget.h:
	* src/gpm-info.c:
	* src/gpm-info.h:
	* src/gpm-profile.c:
	* src/gpm-statistics-core.c:
	Impliment the key data types. Lightly tested. Now at least we are not
	displaying a generic key, although the wording could do with some work.

2007-04-30  Richard Hughes  <richard@hughsie.com>

	* src/dbus/xdg-power-management-stats.xml:
	* src/gpm-info.c:
	* src/gpm-info.h:
	* src/gpm-statistics-core.c:
	Rip out GetAxisTypes and use GetParameters instead. The key still isn't
	implimented yet, although the data for it is now passed over dbus.

2007-04-30  Richard Hughes  <richard@hughsie.com>

	* src/dbus/xdg-power-management-stats.xml:
	* src/gpm-info.c:
	* src/gpm-info.h:
	Impliment some more of the new stats interface.
	Nothing really works yet, and it isn't used at all.

2007-04-29  Richard Hughes  <richard@hughsie.com>

	* src/dbus/xdg-power-management-core.xml:
	* src/gpm-manager.c:
	* src/gpm-manager.h:
	Rip out the standby stuff as it's no longer in the spec. Also make
	the can_X and allowed_X checking more sane with more user warnings
	if things are denied.

2007-04-29  Richard Hughes  <richard@hughsie.com>

	* src/gpm-tray-icon.c: (gpm_tray_icon_activate_cb):
	Only do the seporator if we have at least one device and can do an
	action.

2007-04-25  Richard Hughes  <richard@hughsie.com>

	* src/dbus/xdg-power-management-stats.xml:
	* src/gpm-info.c:
	* src/gpm-info.h:
	* src/gpm-statistics-core.c:
	Rip out the seconds parameter, nothing uses it.

2007-04-25  Richard Hughes  <richard@hughsie.com>

	* src/gpm-array.c:
	* src/gpm-array.h:
	* src/gpm-array-float.c:
	* src/gpm-array-float.h:
	Add some code to help convert to and from a GpmArray.

	* src/gpm-debug.c: (gpm_debug_is_verbose):
	* src/gpm-debug.h:
	Add an extra method so we only do the (expensive) profiling debugging
	when we are versbose to a console.

	* src/gpm-cell-array.c: (gpm_cell_array_get_time_until_action):
	Check for a zero return value, which we can now get on empty profile.

	* src/gpm-main.c:
	Don't include stuff we don't use.

	* src/gpm-statistics-core.c: (gpm_statistics_refresh_data):
	Adjust the smoothing.

	* src/gpm-profile.c:
	Move to a 1D mapping of data, rather than the hodge-podge of refresh
	methods that was done before. This makes querying time and data for
	the graph program much less CPU intensive, which is good.
	Startup time is measurably improved.

	* test/gpm-st-array-float.c: (gpm_st_array_float):
	* test/gpm-st-array.c: (gpm_st_array):
	* test/gpm-st-main.c: (main):
	* test/gpm-st-profile.c: (gpm_st_profile):
	Fix all of the tests - now all work!

2007-04-24  Richard Hughes  <richard@hughsie.com>

	* src/gpm-array.c:
	* src/gpm-array.h:
	Rip out some unused code. Things are simpler now.

	* data/gnome-power-manager.schemas.in:
	* data/gpm-graph.glade:
	* src/Makefile.am:
	* src/gpm-conf.h:
	Add an option in g-p-s to smooth the graphs to see trends more easily.

	* src/gpm-array-float.c:
	* src/gpm-array-float.h:
	Add a routine so we can copy back to a GpmArray.

	* src/gpm-profile.c:
	Don't smooth here, we only do the processor insive bits in the
	presentation application.

	* test/gpm-st-array-float.c: (gpm_st_array_float):
	* test/gpm-st-array.c: (gpm_st_array):
	* test/gpm-st-main.c: (main):
	Remove obsolete tests. Now we pass everything again.

2007-04-23  Richard Hughes  <richard@hughsie.com>

	* src/gpm-array-float.c:
	* src/gpm-array-float.h:
	* test/gpm-st-array-float.c: (gpm_st_array_float):
	* test/gpm-st-main.c: (main):
	Make the tests work. Gaussian smoothing is sssmmmooootttthhhhh....

2007-04-24  David Lodge <dave@cirt.net>

	* data/gnome-power-manager-schema.in:
	Updated a few strings about the use of the screensaver upon resumption
	to make them sound better.

2007-04-23  Richard Hughes  <richard@hughsie.com>

	* configure.in:
	Re-enable -Wall

	* src/Makefile.am:
	* src/gpm-array-float.c:
	* src/gpm-array-float.h:
	* test/Makefile.am:
	* test/gpm-st-array-float.c: (gpm_st_array_float):
	* test/gpm-st-main.c: (main):
	* test/gpm-st-main.h:
	Write a new float class. Cool new stuff to come. Really untested.

2007-04-22  Richard Hughes  <richard@hughsie.com>

	* test/gpm-st-array.c: (gpm_st_array):
	Add some more tests. They fail.

	* test/gpm-st-profile.c: (gpm_st_profile):
	Remove the error.

2007-04-16  Richard Hughes  <richard@hughsie.com>

	* configure.in:
	Add in gprof configure switches. Disabled by default.

	* src/gpm-array.c: (gpm_array_get), (gpm_array_set),
	(gpm_array_append), (gpm_array_invert), (gpm_array_print),
	(gpm_array_set_data), (gpm_array_get_size):
	Don't check the array type in the fast path.

	* src/gpm-button.c:
	* src/gpm-conf.c:
	* src/gpm-srv-brightness-kbd.c:
	Remove non-required defines.

2007-04-12  simon.zheng  <simon.zheng@sun.com>

	reviewed by Richard Hughes

	* src/Makefile.am:
	Specify DPMS extra library because of gnome-power-preference's
	dependency.

2007-04-10  Wouter Bolsterlee  <wbolster@svn.gnome.org>

	reviewed by: Richard Hughes

	* data/Makefile.am:
	Added uninstall rule for gconf schemas.

2007-04-09  Richard Hughes  <richard@hughsie.com>

	* src/gpm-cell-array.c: (gpm_cell_array_get_description):
	Do the rounding down before the time check to avoid showing Unknown
	time remaining in the tooltip.

2007-04-08  Richard Hughes  <richard@hughsie.com>

	* src/gpm-engine.c: (gpm_engine_class_init),
	(gpm_cell_array_charge_action_cb):
	Oops. Return the unit, not the percentage charge. Should fix #427566

	* src/gpm-warning.c: (gpm_warning_get_state_time),
	(gpm_warning_get_state_percentage):
	Don't trigger action on 0% percentage (split second on unpug), which
	we still need to fully debug.

2007-04-05  Richard Hughes  <richard@hughsie.com>

	* libhal-glib/libhal-gmanager.h:
	* libhal-glib/libhal-gmanager.c:
	(hal_gmanager_find_device_string_match):
	Add another method.

	* src/gpm-debug.h:
	Add gpm_assert_run_once for debugging.

	* src/gpm-cell-unit.c: (gpm_cell_unit_print):
	Don't print zero data for some of the fields.

	* src/gpm-engine.c: (gpm_engine_recalculate_state),
	(gpm_engine_init), (gpm_engine_start):
	Monitor when we are in coldplug to save some CPU cycles when starting.

	* src/gpm-profile.c: (gpm_profile_load_data):
	Don't print profile data, it's quite expensive.

2007-04-04  Richard Hughes  <richard@hughsie.com>

	* src/gpm-main.c: (main):
	Add the --immediate-exit command line option.

	* src/gpm-profile.c: (gpm_profile_compute_data_battery),
	(gpm_profile_compute_data_accuracy), (gpm_profile_save_percentage),
	(gpm_profile_load_data):
	Make the array choosing more obvious.

	* src/profile-gpm.sh:
	Add a cool new script that just starts and stops g-p-m 20 times.

	* src/valgrind-gpm.sh:
	Whitespace.

2007-04-04  Richard Hughes  <richard@hughsie.com>

	* src/gpm-array.c: (gpm_array_append_from_file),
	(gpm_array_load_from_file):
	* src/gpm-cell-array.c: (gpm_cell_array_get_config_id),
	(gpm_cell_array_collection_changed), (gpm_cell_array_add),
	(gpm_cell_array_set_type), (hal_device_removed_cb):
	* src/gpm-engine.c: (gpm_engine_recalculate_state_icon),
	(gpm_engine_recalculate_state_summary), (gpm_engine_finalize):
	* src/gpm-manager.c: (gpm_manager_init), (gpm_manager_finalize):
	* src/gpm-profile.c: (gpm_profile_get_data_file),
	(gpm_profile_get_time), (gpm_profile_save_percentage),
	(gpm_profile_delete_data), (gpm_profile_load_data),
	(gpm_profile_set_config_id), (gpm_profile_get_accuracy),
	(gpm_profile_init), (gpm_profile_finalize):
	* src/gpm-profile.h:
	Make the profile code work with multiple batteries.

	* test/Makefile.am:
	* test/gpm-st-main.c: (main):
	* test/gpm-st-main.h:
	* test/gpm-st-profile.c: (gpm_st_profile):
	Add a test suite for the GpmProfile code.

2007-04-03  Richard Hughes  <richard@hughsie.com>

	* src/gpm-common.h:
	* src/gpm-common.c: (gpm_precision_round_up), (gpm_precision_round_down):
	Create two helper functions to do base rounding in a sane way.

	* test/gpm-st-common.c: (gpm_st_common):
	Test the new round up and round down code.

	* src/gpm-cell-array.c: (gpm_cell_array_get_description):
	* src/gpm-graph-widget.c: (gpm_graph_widget_auto_range):
	Use the round up and down code to make the graph scaling a bit more
	sane, and also to limit the precision to 5 minutes in the tooltip.

2007-04-03  Richard Hughes  <richard@hughsie.com>

	* applets/inhibit/inhibit-applet.c: (click_cb):
	* data/gpm-inhibit-test.glade:
	* docs/dbus-interface.html:
	* docs/dbus-interface.xml:
	* docs/dbus-test-inhibit.py:
	* libgpm-glib/libgpm.c: (gpm_powermanager_inhibit),
	(gpm_powermanager_has_inhibit):
	* libgpm-glib/libgpm.h:
	* src/dbus/xdg-power-management-backlight.xml:
	* src/dbus/xdg-power-management-core.xml:
	* src/dbus/xdg-power-management-inhibit.xml:
	* src/gpm-cell-array.c: (gpm_cell_array_class_init):
	* src/gpm-inhibit.c: (gpm_inhibit_find_cookie),
	(gpm_inhibit_inhibit), (gpm_inhibit_un_inhibit),
	(gpm_inhibit_remove_dbus), (gpm_inhibit_has_inhibit),
	(gpm_inhibit_get_message), (gpm_inhibit_class_init),
	(gpm_inhibit_init), (gpm_inhibit_finalize):
	* src/gpm-inhibit.h:
	* src/gpm-manager.c: (gpm_manager_error_get_type),
	(gpm_manager_is_inhibit_valid), (gpm_manager_get_on_battery),
	(gpm_manager_get_low_battery), (ac_adapter_changed_cb),
	(gpm_manager_class_init):
	* src/gpm-manager.h:
	* test/gpm-inhibit-test.c: (dbus_inhibit_gpm), (widget_inhibit_cb),
	(main):
	* test/gpm-st-inhibit.c: (gpm_st_inhibit):
	Update to conform to the session power management spec version 0.2

2007-04-02  Matthias Clasen <mclasen@redhat.com>

	* applets/brightness/GNOME_BrightnessApplet.server.in.in:
	* applets/inhibit/GNOME_BrightnessApplet.server.in.in:
	Add bugzilla information to applet .server files.  (#425000)

	* applets/brightness/Makefile.am:
	* applets/inhibit/Makefile.am: Substitute @VERSION@ in
	.server files.

2007-03-29  Richard Hughes  <richard@hughsie.com>

	* Makefile.am:
	* applets/brightness/Makefile.am:
	* applets/brightness/brightness-applet.c:
	* applets/brightness/brightness-applet.h:
	* applets/inhibit/Makefile.am:
	* applets/inhibit/inhibit-applet.c:
	* libdbus-glib/Makefile.am:
	* libdbus-glib/libdbus-monitor-session.c:
	* libdbus-glib/libdbus-monitor-session.h:
	* libdbus-glib/libdbus-monitor-system.c:
	* libdbus-glib/libdbus-monitor-system.h:
	* libdbus-glib/libdbus-proxy.c: (dbus_noc_session_cb),
	* libdbus-glib/libdbus-proxy.h:
	* libgpm-glib/Makefile.am:
	* libgpm-glib/libgpm.c: (gpm_powermanager_get_brightness_lcd),
	* libgpm-glib/libgpm.h:
	* libhal-glib/Makefile.am:
	* libhal-glib/libhal-gcpufreq.c: (hal_gcpufreq_set_performance),
	* libhal-glib/libhal-gdevice.c: (hal_gdevice_set_udi),
	* libhal-glib/libhal-gmanager.c: (hal_gmanager_proxy_connect_more),
	* libhal-glib/libhal-gpower.c: (hal_gpower_init),
	* po/POTFILES.in:
	* src/Makefile.am:
	* src/gpm-backlight.c:
	* src/gpm-brightness-kbd.c: (gpm_brightness_kbd_get_hw),
	* src/gpm-brightness-lcd.c: (gpm_brightness_lcd_get_hw),
	* src/gpm-common.h:
	* src/gpm-dbus-monitor.c:
	* src/gpm-dbus-monitor.h:
	* src/gpm-inhibit.c: (dbus_noc_session_cb), (gpm_inhibit_init):
	* src/gpm-light-sensor.c: (gpm_light_sensor_get_hw),
	* src/gpm-main.c:
	* src/gpm-notify.c:
	* src/gpm-polkit.c: (gpm_polkit_is_user_privileged),
	* src/gpm-profile.c:
	* src/gpm-proxy.c:
	* src/gpm-proxy.h:
	* src/gpm-screensaver.c: (gpm_screensaver_proxy_connect_more),
	* src/gpm-statistics-core.c: (gpm_statistics_get_events),
	* src/gpm-tray-icon.c:
	* test/Makefile.am:
	* test/gpm-st-proxy.c: (gpm_st_proxy):
	Don't make gpm-proxy multiple times, use dbus_proxy.

2007-03-29  Richard Hughes  <richard@hughsie.com>

	* configure.in:
	* data/icons/48x48/Makefile.am:
	* data/icons/Makefile.am:
	* data/icons/generate_48x48_icons.sh:
	Generate and ship the 48x48 icons.

2007-03-29  Richard Hughes  <richard@hughsie.com>

	* libdbus-glib/Makefile.am:
	* libdbus-glib/libdbus-marshal.list:
	* libdbus-glib/libdbus-monitor-session.c:
	* libdbus-glib/libdbus-monitor-session.h:
	* libdbus-glib/libdbus-monitor-system.c:
	* libdbus-glib/libdbus-monitor-system.h:
	* libdbus-glib/libdbus-proxy.c:
	* libdbus-glib/libdbus-proxy.h:
	Add a new abstract dbus local library.

	* Makefile.am:
	* applets/brightness/Makefile.am:
	* applets/inhibit/Makefile.am:
	* configure.in:
	* src/Makefile.am:
	* test/Makefile.am:
	Include the new library, although nothing uses it yet.

	* src/gpm-refcount.c:
	Remove non-required include.

2007-03-28  Richard Hughes  <richard@hughsie.com>

	* libhal-glib/libhal-gcpufreq.c: (hal_gcpufreq_string_to_enum),
	* libhal-glib/libhal-gdevice.c: (hal_gdevice_set_udi),
	* libhal-glib/libhal-gdevicestore.c: (hal_gdevicestore_index_udi),
	* libhal-glib/libhal-gmanager.c:
	* libhal-glib/libhal-gpower.c: (hal_gpower_init),
	Don't use gpm_debug, it means looking in the src/ tree.

	* Makefile.am:
	* applets/brightness/Makefile.am:
	* applets/brightness/brightness-applet.c:
	* applets/brightness/brightness-applet.h:
	* applets/inhibit/Makefile.am:
	* applets/inhibit/inhibit-applet.c:
	* applets/inhibit/inhibit-applet.h:
	* configure.in:
	* libgpm-glib/Makefile.am:
	* libgpm-glib/libgpm.c:
	* libgpm-glib/libgpm.h:
	* src/Makefile.am:
	* src/gpm-manager.c:
	* src/gpm-powermanager.c:
	* src/gpm-powermanager.h:
	* src/gpm-prefs-core.c:
	* src/gpm-statistics-core.c:
	* test/Makefile.am:
	* test/gpm-st-inhibit.c:
	* test/gpm-st-proxy.c:
	Abstact out gpm-powermanager into a static library, so we don't build
	-four- copies of this file on every build.

2007-03-28  Richard Hughes  <richard@hughsie.com>

	* docs/config.xsl:
	Output in UTF-8.

	* docs/dbus-interface.html:
	* docs/dbus-interface.xml:
	Update with latest from 0.1 of the spec.

	* docs/dbus-test-inhibit.py:
	* src/dbus/Makefile.am:
	* src/dbus/gpm-dbus-backlight.xml:
	* src/dbus/gpm-dbus-control.xml:
	* src/dbus/gpm-dbus-inhibit.xml:
	* src/dbus/gpm-dbus-manager.xml:
	* src/dbus/gpm-dbus-statistics.xml:
	* src/dbus/gpm-dbus-ui.xml:
	* src/dbus/xdg-power-management-backlight.xml:
	* src/dbus/xdg-power-management-core.xml:
	* src/dbus/xdg-power-management-inhibit.xml:
	* src/dbus/xdg-power-management-stats.xml:
	* src/dbus/xdg-power-management-widget.xml:
	* src/gpm-control.c: (gpm_control_finalize), (gpm_control_init):
	* src/gpm-main.c: (gpm_object_register):
	* src/gpm-manager.c: (gpm_manager_error_get_type):
	* src/gpm-manager.h:
	* src/gpm-powermanager.h:
	* src/gpm-prefs-core.c: (gpm_dbus_method_bool), (gpm_prefs_init):
	Use the power management spec as per defined by freedesktop:
	http://www.freedesktop.org/wiki/Specifications
	This means our service name and interface names have changed.
	PLEASE UPDATE PROGRAMS THAT USE THE CORE INTERFACE OF G-P-M.

2007-03-27  Richard Hughes  <richard@hughsie.com>

	* configure.in:
	* docs/Makefile.am:
	* docs/dbus-interface.html:
	* docs/dbus-interface.xml:
	* docs/gnome-power-manager.xml.in:
	Document the XDG power-management spec, with additions.
	We'll switch soon, and break *everything* in the process.

2007-03-27  Richard Hughes  <richard@hughsie.com>

	* docs/Makefile.am:
	* docs/faq.xml:
	* docs/gnome-power-manager.xml.in:
	Move the FAQ to http://live.gnome.org/GnomePowerManager/FAQ it's just
	so inconvenient to have it in RCS.

2007-03-27  Richard Hughes  <richard@hughsie.com>

	* docs/Makefile.am:
	* docs/gnome-power-manager.xml.in:
	* docs/icon-naming.txt:
	* docs/icon-scheme.xml:
	Convert the SGML to a text file. There's no real need to be a HTML.

2007-03-27  Richard Hughes  <richard@hughsie.com>

	* docs/Makefile.am:
	* docs/dbus-interface.html:
	* docs/faq.html:
	* docs/gnome-power-manager.xml.in:
	* docs/icon-scheme.html:
	* docs/index.html:
	* docs/sleep-names.html:
	* docs/sleep-names.xml:
	Rip out some cruft, now we have moved the nomenclature to XDG.

2007-03-27  Richard Hughes  <richard@hughsie.com>

	* docs/sleep-names.xml:
	Spelling corrections.

	* src/gpm-cell-array.c: (gpm_cell_array_get_profile_id),
	(gpm_cell_array_set_type), (gpm_cell_array_get_description):
	* src/gpm-cell.c: (gpm_cell_get_id):
	* src/gpm-cell.h:
	* test/gpm-st-cell.c: (gpm_st_cell):
	Get a profile string, which represents the connection of different
	batteries in a system. Only useful for primary battery profiling code.

2007-03-26  Richard Hughes  <richard@hughsie.com>

	* data/gnome-power-manager.schemas.in:
	* src/gpm-conf.h:
	* src/gpm-control.c: (gpm_control_suspend),
	(gpm_control_hibernate):
	Add a configurable lock/gnome_keyring so we can disable the lock
	of the GNOME keyring at run time. Defaults to false for now.
	See http://hughsient.livejournal.com/19481.html for reasoning.

2007-03-25  Richard Hughes  <richard@hughsie.com>

	* libhal-glib/libhal-gcpufreq.c: (hal_gcpufreq_string_to_enum):
	Don't assert if there is no CPU frequency scalers.

	* src/gpm-engine.c: (gpm_engine_get_summary):
	Only show accuracy unit when we have a primary battery installed.

	* src/gpm-info.c: (gpm_statistics_get_data_types):
	Don't segfault when we have no valid array.

	* src/gpm-notify.c: (gpm_notify_show), (gpm_notify_create):
	Fix compilation when we don't have libnotify.

	* src/gpm-tray-icon.c: (gpm_tray_icon_activate_cb):
	Don't show the left click menu if there's nothing there.

2007-03-25  Richard Hughes  <richard@hughsie.com>

	* src/gpm-engine.c: (gpm_engine_get_summary), (gpm_engine_init),
	(gpm_engine_finalize):
	* src/gpm-manager.c: (gpm_manager_init):
	* src/gpm-notify.c:
	* src/gpm-notify.h:
	* src/gpm-profile.c: (gpm_profile_class_init),
	(gpm_profile_load_data):
	* src/gpm-profile.h:
	Move the libnotify cracktastic notifiaction window to a simple tooltip.

2007-03-25  Richard Hughes  <richard@hughsie.com>

	* src/gpm-cell.c: (gpm_cell_refresh_all):
	Mark wireless devices as always discharging, so the notices work.

	* src/gpm-cell-array.c:
	* src/gpm-cell-array.h:
	* src/gpm-engine.c: (gpm_cell_array_charging_changed_cb):
	* src/gpm-proxy.c: (gpm_proxy_connect), (gpm_proxy_disconnect):
	Add a collection changed signal so we deal with hotplugged wireless
	devices.

2007-03-25  Loïc Minier  <lool@dooz.org>

	* applets/brightness/Makefile.am:
	* applets/inhibit/Makefile.am:
	Link applets against dbus-glib to fix build with non-dbus gnome-vfs;
	fixes #422345.

2007-03-24  Richard Hughes  <richard@hughsie.com>

	* src/gpm-backlight.c: (gpm_backlight_init):
	Patch from Young-Ho Cha, to sync dpms policy setting when starting.

2007-03-24  Richard Hughes  <richard@hughsie.com>

	* src/gpm-notify.c: (gpm_notify_estimated_data):
	Make sentance shorter.

2007-03-24  Richard Hughes  <richard@hughsie.com>

	* data/gpm-graph.glade:
	* src/gpm-graph-widget.c:
	* src/gpm-graph-widget.h:
	* src/gpm-statistics-core.c:
	Move the axis labels into the glade file so we can do the rotation
	there. This removes loads of complexity, and should make the upcoming
	pango-ification much easier.

2007-03-23  Richard Hughes  <richard@hughsie.com>

	* src/gpm-cell-array.c: (gpm_cell_array_get_description):
	Make the fully charged time remaining work.

	* data/gnome-power-manager.schemas.in:
	* src/gpm-conf.h:
	* src/gpm-manager.c: (gpm_profile_estimated_data_cb):
	* src/gpm-notify.c: (gpm_notify_estimated_data):
	* src/gpm-notify.h:
	* src/gpm-profile.c: (gpm_profile_class_init),
	(gpm_profile_get_time), (gpm_profile_estimated_data),
	(gpm_profile_load_data), (gpm_profile_get_accuracy):
	* src/gpm-profile.h:
	Emit a warning if we have not got enough profile data.

2007-03-23  Richard Hughes  <richard@hughsie.com>

	* src/gpm-cell-array.c: (gpm_cell_array_get_description):
	Display how much time we have, even with a fully charged battery.

	* src/gpm-profile.c: (gpm_profile_class_init),
	(gpm_profile_load_data), (gpm_profile_get_accuracy):
	* src/gpm-profile.h:
	Emit a signal when we create a file. Also provide a way to get the
	accuracy so we don't show stuff in the tooltip we can't justify.

2007-03-21  Richard Hughes  <richard@hughsie.com>

	* src/gpm-cell-array.c: (gpm_cell_array_get_description):
	Only show provides text if over 10 minutes.

	* src/gpm-engine.c: (gpm_engine_class_init):
	Correct the signal type.

	* src/gpm-notify.c: (gpm_notify_create):
	Make notifications longer.

2007-03-21  Richard Hughes  <richard@hughsie.com>

	* BRANCHES:
	Add some info about 2-19.

	* src/gpm-manager.c: (gpm_engine_charge_low_cb),
	(gpm_manager_get_time_until_action_text),
	(gpm_engine_charge_critical_cb):
	Make the primary critical low diaglue more modular, to avoid
	translators writing repetative long strings.

2007-03-21  Richard Hughes  <richard@hughsie.com>

	* src/gpm-cell.c: (hal_device_property_modified_cb):
	Reload the cell if we remove or add the ACPI battery.

2007-03-21  Richard Hughes  <richard@hughsie.com>

	* src/gpm-manager.c: (gpm_engine_fully_charged_cb),
	Correct a signal prototype, and don't notify by default on startup.

	* src/gpm-cell-array.c: (gpm_cell_array_get_time_until_action):
	* src/gpm-cell-array.h:
	* src/gpm-warning.c: (gpm_warning_init):
	Print the time remaining on the critical warning. Lots of new strings.

2007-03-20  Richard Hughes  <richard@hughsie.com>

	* src/gpm-power.c:
	* src/gpm-power.h:
	* src/gpm-battery.c:
	* src/gpm-battery.h:
	Remove this crappy code.

	* po/POTFILES.in:
	* src/Makefile.am:
	* src/gpm-engine.c: (ac_adaptor_changed_cb),
	* src/gpm-engine.h:
	* src/gpm-main.c: (main):
	* src/gpm-manager.c: (gpm_manager_sync_policy_sleep),
	* src/gpm-info.c: (gpm_info_set_collection_data),
	* src/gpm-info.h:
	* src/gpm-marshal.list:
	* src/gpm-tray-icon.c: (gpm_tray_icon_set_collection_data),
	* src/gpm-tray-icon.h:
	* src/gpm-warning.c: (gpm_warning_get_state_csr),
	* src/gpm-warning.h:
	* src/gpm-cell-array.c: (gpm_cell_array_get_unit),
	* src/gpm-cell-array.h:
	* src/gpm-cell.c: (gpm_cell_refresh_all),
	* test/Makefile.am:
	Add the engine component, so we can remove GpmBattery and GpmPower.

	* libhal-glib/libhal-gmanager.c: (hal_gmanager_init):

	* src/gpm-conf.h:
	* data/gnome-power-manager.schemas.in:
	Re-organsise the schema with better names, and with a tree structure.
	We have lots of keys, these need some structure.
	Yes, I'm aware we are not migrating settings, this is a major change.

	* docs/dbus-interface.xml:
	Correct some spelling error.

	* src/gpm-ac-adapter.h:
	* src/gpm-backlight.c: (gpm_backlight_sync_policy),
	* src/gpm-button.c: (emit_button_pressed):
	* src/gpm-cpufreq.c: (gpm_cpufreq_sync_policy),
	* src/gpm-srv-brightness-kbd.c: (conf_key_changed_cb),
	Make the AcAdapter callback simpler.

	* src/gdb-gpm.sh:
	Add this file so I can lauch gdb with fewer keystrokes. Yes, I'm lazy.

	* src/gpm-array.c: (gpm_array_compute_integral):
	Don't assert if we try to integrate from X->X, i.e. the same number.

	* src/gpm-cell.h:
	* src/gpm-control.c:
	* src/gpm-control.h:
	* src/gpm-feedback-widget.c: (gpm_feedback_init):
	* src/gpm-prefs-core.c: (gpm_prefs_setup_action_combo),
	* src/gpm-statistics-core.c: (gpm_statistics_init):
	General tidyups.

	* src/gpm-debug.c: (gpm_debug_add_option), (gpm_error_real),
	* src/gpm-debug.h:
	Don't use GTK+ error dialogues for errors, just print to the console.

	* src/gpm-profile.c: (gpm_profile_get_time),
	* src/gpm-profile.h:
	Use the engine, don't connect to HAL ourselves.

	* src/gpm-notify.c: (notify_closed_cb), (gpm_notify_create),
	* src/gpm-notify.h:
	Make many more dialogues interactive. We still don't handle multiple
	dialogs well, this to to fix real soon.

2007-03-19  Richard Hughes  <richard@hughsie.com>

	* Makefile.am:
	* configure.in:
	Make the self tests configurable.

2007-03-17  Richard Hughes  <richard@hughsie.com>

	* src/gpm-ac-adapter.c: (gpm_ac_adapter_is_present),
	(hal_device_property_modified_cb):
	* src/gpm-ac-adapter.h:
	* src/gpm-backlight.c: (gpm_backlight_sync_policy),
	(conf_key_changed_cb), (ac_adapter_changed_cb), (idle_changed_cb),
	(gpm_backlight_init):
	* src/gpm-cell-array.c: (gpm_cell_array_update):
	* src/gpm-cpufreq.c: (gpm_cpufreq_sync_policy):
	* src/gpm-info.c: (ac_adapter_changed_cb):
	* src/gpm-manager.c: (gpm_manager_sync_policy_sleep),
	(gpm_manager_get_on_ac), (gpm_manager_get_low_power_mode),
	(idle_do_sleep), (lid_button_pressed), (ac_adapter_changed_cb),
	(battery_status_changed_primary), (gpm_manager_init):
	* src/gpm-notify.c: (ac_adapter_changed_cb):
	* src/gpm-power.c: (battery_kind_cache_update),
	(power_get_summary_for_battery_kind),
	(gpm_power_get_status_summary), (ac_adaptor_changed_cb):
	* src/gpm-profile.c: (ac_adaptor_changed_cb), (gpm_profile_init):
	* src/gpm-sound.c: (ac_adapter_changed_cb):
	* src/gpm-srv-brightness-kbd.c: (conf_key_changed_cb),
	(ac_adapter_changed_cb):
	* src/gpm-srv-screensaver.c: (update_ac_throttle),
	(ac_adapter_changed_cb), (gpm_srv_screensaver_init):
	* src/gpm-tray-icon.c: (ac_adapter_changed_cb):
	Make the ac adapter state easier to get. We never return "unknown",
	so don't pretend we can generate it.

2007-03-17  Richard Hughes  <richard@hughsie.com>

	* configure.in:
	* data/Makefile.am:
	* data/gnome-power-manager.conf:
	Remove this file. We are not starting on the system bus and this should
	not be ever installed.

	* src/gpm-cell-array.c: (gpm_cell_array_percent_changed),
	(gpm_cell_percent_changed_cb), (gpm_cell_array_class_init):
	* src/gpm-cell-array.h:
	* src/gpm-conf.h:
	Add fully charged notification into the array, not the manager...

2007-03-15  Richard Hughes  <richard@hughsie.com>

	* src/gpm-cell-array.c: (gpm_cell_percent_changed_cb),
	(gpm_cell_array_class_init), (gpm_cell_array_init):
	* src/gpm-cell-array.h:
	Add the fully charged logic.

	* src/gpm-conf.h:
	* src/gpm-notify.c: (notify_recall_action_cb):
	* src/gpm-power.c: (battery_device_cache_entry_update_all):
	Add an extra key, and change the defined name of another.
	FIXME: Add into schema.

2007-03-15  Richard Hughes  <richard@hughsie.com>

	* src/gpm-cell-array.c: (gpm_cell_array_index_udi),
	(gpm_check_device_key), (gpm_cell_array_add),
	(gpm_cell_array_set_type), (hal_device_removed_cb),
	(hal_new_capability_cb), (hal_device_added_cb),
	(gpm_cell_array_init):
	Add code to detect batteries plugged in or removed at runtime.

	* src/gpm-cell.c: (gpm_cell_get_udi):
	* src/gpm-cell.h:
	Add required method to check for duplicates.

2007-03-15  Richard Hughes  <richard@hughsie.com>

	* src/gpm-tray-icon.c: (gpm_tray_icon_show),
	(gpm_tray_icon_set_image_from_stock), (gpm_tray_icon_sync):
	Simplify the icon display code. Fixes g-p-m on the KDE tray.
	Many thank to Pascal Terjan for the patch. Fixes #414032

2007-03-15  Richard Hughes  <richard@hughsie.com>

	* data/gnome-power-manager.schemas.in:
	More spelling and grammer mistakes. Fixes #393388

2007-03-15  Richard Hughes  <richard@hughsie.com>

	* data/gnome-power-statistics.desktop.in:
	GNOME Goal #3: Remove "Application" category from .desktop files
	Fixes #417006

2007-03-15  Richard Hughes  <richard@hughsie.com>

	* data/gnome-power-manager.schemas.in:
	Fix grammatical errors in descriptions. Fixes #417291

2007-03-14  Richard Hughes  <richard@hughsie.com>

	* src/gpm-profile.c:
	Fix the battery charged before 100% case, as it was being marked as
	invalid.

	* test/gpm-st-main.c: (main):
	Add command line arguments for the type of tests to be run.

2007-03-14  Richard Hughes  <richard@hughsie.com>

	* src/gpm-profile.c: (gpm_profile_register_percentage):
	Only allow accuracy to get to 100%

2007-03-14  Richard Hughes  <richard@hughsie.com>

	* libhal-glib/libhal-gdevicestore.c: (hal_gdevicestore_finalize):
	Free the device array.

	* src/gpm-cell-array.c:
	* src/gpm-cell-array.h:
	* src/gpm-cell-unit.c:
	* src/gpm-cell-unit.h:
	Add GpmCellArray class to manage sets of GpmCells.

	* src/gpm-cell.c: (gpm_cell_class_init):
	Correct signal ID.

	* test/Makefile.am:
	* test/gpm-st-cell-array.c:
	* test/gpm-st-main.c: (main):
	* test/gpm-st-main.h:
	Add test case for GpmCellArray.

2007-03-13  Richard Hughes  <richard@hughsie.com>

	* src/gpm-cell.c: (gpm_cell_get_icon):
	* src/gpm-cell.h:
	Add a helper function.

	* test/gpm-selftest-hal-devices.fdi:
	* test/install-fdi.sh:
	Add these files to create fake HAL properties for testing.

2007-03-13  Richard Hughes  <richard@hughsie.com>

	* docs/calculate-video-fdi.sh:
	Remove file, we don't need this data anymore.

	* src/gpm-profile.c:
	Correctly profile batteries that stop charging before they get to
	100%.

	* test/gpm-st-cell.c: (gpm_cell_perhaps_recall_cb), (gpm_st_cell):
	Test to see if the recall notifier was called.

2007-03-13  Richard Hughes  <richard@hughsie.com>

	* src/gpm-cell-unit.c (gpm_cell_unit_get_kind_localised):
	* src/gpm-cell-unit.h:
	* test/gpm-st-cell-unit.c (gpm_st_cell_unit):
	Allow pluralised descriptions.

2007-03-13  Richard Hughes  <richard@hughsie.com>

	* src/gpm-cell-unit.c:
	* src/gpm-cell-unit.h:
	* src/gpm-cell.c:
	* src/gpm-cell.h:
	* test/Makefile.am:
	* test/gpm-st-cell-unit.c:
	Add some more common code, and some more test cases.

2007-03-12  Richard Hughes  <richard@hughsie.com>

	* test/gpm-st-cell-unit.c: (gpm_st_cell_unit):
	* src/gpm-cell-unit.c: (gpm_cell_unit_set_measure):
	* src/gpm-cell-unit.h:
	Create a new function to set the measurement unit.

	* src/gpm-profile.c:
	Make the graphs smoother, and put into a constant value.

	* src/gpm-cell.c:
	* src/gpm-cell.h:
	* src/gpm-marshal.list:
	* test/Makefile.am:
	* test/gpm-st-cell.c: (gpm_st_cell):
	* test/gpm-st-main.c: (main):
	* test/gpm-st-main.h:
	Add GpmCell, a generic class for a single battery object.

2007-03-12  Richard Hughes  <richard@hughsie.com>

	* test/Makefile.am:
	* test/gpm-st-cell-unit.c: (gpm_st_cell_unit):
	* test/gpm-st-main.c: (main):
	* test/gpm-st-main.h:
	* src/gpm-cell-unit.c:
	* src/gpm-cell-unit.h:
	GpmPower and GpmBattery confuse me greatly. I'll be abstracting these
	out in the next few days into GpmCellUnit, GpmCell and GpmCellAray,
	which hopefully will be easier to read.
	Add the GpmCellUnit helper, and unit tests for now, but nothing
	uses it yet, so no worries.

2007-03-11  Richard Hughes  <richard@hughsie.com>

	* src/dbus/gpm-dbus-manager.xml:
	* src/gpm-manager.c:
	* src/gpm-manager.h:
	Remove depricated Manager DBUS interface.

	* src/gpm-power.c: (gpm_power_init), (gpm_power_finalize):
	* src/gpm-profile.h:
	Add in prelim profile support. Does nothing yet.

2007-03-10  Richard Hughes  <richard@hughsie.com>

	* src/gpm-power.c: (gpm_power_status_for_device):
	* src/gpm-power.h:
	* src/gpm-tray-icon.c: (gpm_tray_icon_show_info_cb):
	Improve the tray icon libnotify device information window.

2007-03-10  Richard Hughes  <richard@hughsie.com>

	* test/gpm-st-array.c: (gpm_st_array):
	Add some self tests for the integration.

	* src/gpm-array.c: (gpm_array_compute_integral):
	* src/gpm-manager.c: (gpm_manager_init):
	Fix two bugs with the integration.

2007-03-10  Richard Hughes  <richard@hughsie.com>

	* src/gpm-profile.c: (gpm_profile_register_percentage):
	Fix a thinko where we were checking the wrong thing.

2007-03-10  Richard Hughes  <richard@hughsie.com>

	* po/POTFILES.in:
	Fix make distcheck.

2007-03-10  Richard Hughes  <richard@hughsie.com>

	* src/gpm-array.c:
	* test/Makefile.am:
	* test/gpm-self-test.c:
	* test/gpm-st-array.c: (gpm_st_array):
	* test/gpm-st-common.c: (gpm_st_common):
	* test/gpm-st-hal-device.c: (gpm_st_hal_device):
	* test/gpm-st-hal-devicestore.c: (gpm_st_hal_devicestore):
	* test/gpm-st-hal-manager.c: (gpm_st_hal_manager):
	* test/gpm-st-hal-power.c: (gpm_st_hal_power):
	* test/gpm-st-inhibit.c: (gpm_st_inhibit):
	* test/gpm-st-main.c:
	* test/gpm-st-main.h:
	* test/gpm-st-proxy.c: (gpm_st_proxy):
	Modulalize the test program.

2007-03-10  Richard Hughes  <richard@hughsie.com>

	* src/gpm-info.c: (gpm_statistics_get_data_types):
	* src/gpm-info.h:
	* src/gpm-manager.c: (gpm_manager_init), (gpm_manager_finalize):
	* src/gpm-profile.c: (gpm_profile_get_data_file),
	* src/gpm-profile.h:
	Convert the GpmProfile class back into a singleton and handle both
	charging and discharging data. We'll use less memory and resources this
	way, and we also don't have to play horrible pointer passing games.

2007-03-10  Richard Hughes  <richard@hughsie.com>

	* src/gpm-array.c: (gpm_array_compute_uwe_self),
	(gpm_array_compute_uwe), (gpm_array_copy), (gpm_array_copy_append):
	* src/gpm-array.h:
	* test/gpm-self-test.c: (test_gpm_array):
	Create some new functions to help us with the data smoothing.

	* src/gpm-profile.c: (gpm_profile_get_data_time_percent),
	(gpm_profile_get_data_accuracy_percent):
	* src/gpm-statistics-core.c:
	Smooth the data we use, and report over the interface.

2007-03-10  Richard Hughes  <richard@hughsie.com>

	* src/gpm-profile.c: (gpm_profile_init):
	Don't hardcode the UDI of my battery, try to discover it. Bodge.

2007-03-10  Richard Hughes  <richard@hughsie.com>

	* src/gpm-array.c: (gpm_array_add):
	Fix a crash after we try to do gpm_array_limit_x_size and then
	gpm_array_limit_x_width and access a cached length that's invalid.

	* src/gpm-info.c: (gpm_info_register_profile):
	* src/gpm-info.h:
	* src/gpm-manager.c: (gpm_manager_init), (gpm_manager_finalize):
	* src/gpm-profile.c: (gpm_profile_get_data_file):
	Make the profile code work.

2007-03-09  Richard Hughes  <richard@hughsie.com>

	* src/gpm-array.c: (gpm_array_compute_uwe):
	* src/gpm-array.h:
	* src/gpm-profile.c: (gpm_profile_get_data_time_percent):
	Add a new function to compute the uniform weighted average of
	the whole dataset. This is a very nice smoothing function.

2007-03-09  Richard Hughes  <richard@hughsie.com>

	* src/gpm-common.h:
	* src/gpm-graph-widget.c: (gpm_graph_widget_key_add),
	* src/gpm-graph-widget.h:
	* src/gpm-info.c: (gpm_info_log_do_poll):
	* src/gpm-profile.c: (gpm_profile_get_data_time_percent),
	* src/gpm-statistics-core.c: (gpm_statistics_init):
	Allow the graphs to be any colour, and rip out the crazy enumerated
	colour types. This lets us do some very cool stuff.

2007-03-09  Richard Hughes  <richard@hughsie.com>

	* src/gpm-common.c: (gpm_rgb_to_colour), (gpm_colour_to_rgb):
	* src/gpm-common.h:
	* test/gpm-self-test.c: (test_common), (main):
	Add some colour handling code. I want to sort out the graph colours.

2007-03-09  Richard Hughes  <richard@hughsie.com>

	* src/gpm-profile.c:
	Add DPMS state monitoring. When the panel is off, we are not
	representative of power used.

2007-03-09  Richard Hughes  <richard@hughsie.com>

	* src/gpm-array.c:
	Comment fix.

	* src/gpm-graph-widget.c:
	Add better checks for empty arrays.

	* src/gpm-info.c:
	* src/gpm-profile.c: (gpm_profile_get_data_file),
	* src/gpm-statistics-core.c:
	Add some more types, colourize the graphs, and fit the average for
	unknown data.

2007-03-09  Richard Hughes  <richard@hughsie.com>

	* po/POTFILES.in:
	Fix make distcheck. Oops.

	* src/gpm-graph-widget.c: (gpm_graph_widget_auto_range):
	Allow down to 4 minutes in the y autoscale.

	* src/gpm-info.c:
	* src/gpm-profile.c: (gpm_profile_init):
	* src/gpm-statistics-core.c:
	Prefix with charging and discharging for future usage.

2007-03-08  Richard Hughes  <richard@hughsie.com>

	* src/gpm-profile.c:
	* src/gpm-profile.h:
	Use the load in a sane way, and also don't count the first reading as
	we may be between updates.

2007-03-08  Richard Hughes  <richard@hughsie.com>

	* src/gpm-graph-widget.c: (gpm_graph_widget_get_axis_label_x):
	Add X percentage caption text.

	* src/gpm-info.c:
	* src/gpm-manager.c:
	* src/gpm-profile.c:
	* src/gpm-profile.h:
	* src/gpm-statistics-core.c:
	Load the profile module, and export the data over DBUS.

2007-03-08  Richard Hughes  <richard@hughsie.com>

	* src/gpm-array.h:
	Fixed compile error. Oops.

	* src/Makefile.am:
	* src/gpm-profile.c:
	* src/gpm-profile.h:
	Add files to do battery profile. Do not use these yet.

2007-03-08  Richard Hughes  <richard@hughsie.com>

	* src/gpm-array.c: (gpm_array_set):
	* src/gpm-array.h:
	Add a new trivial function to set elements of an array.

2007-03-08  Richard Hughes  <richard@hughsie.com>

	* src/gpm-array.c: (gpm_array_append_from_file);
	Add a check to ensure the data is not fixed size.

	* src/gpm-array.c: (gpm_array_load_from_file):
	* src/gpm-array.h:
	Add a new function to load a fixed size dataset.

2007-03-07  Richard Hughes  <richard@hughsie.com>

	* po/POTFILES.in:
	* src/Makefile.am:
	* src/gpm-idle.c:
	* src/gpm-load.c:
	* src/gpm-load.h:
	Split out the CPU load functionality into a super small GObject
	so that we can use it for other future (super cool) stuff.

2007-03-07  Richard Hughes  <richard@hughsie.com>

	* src/gpm-hal.c:
	* src/gpm-hal.h:
	Woohoo. Remove the monstrosity that was GpmHal.
	 gpm-hal.c | 1550 -----------------------------
	 gpm-hal.h |  169 -----------------------------
	 2 files changed, 1719 deletions(-)

2007-03-07  Richard Hughes  <richard@hughsie.com>

	* po/POTFILES.in:
	* src/Makefile.am:
	* src/gpm-power.c:
	* src/gpm-power.h:
	* src/gpm-tray-icon.c:
	Switch to using libhal-glib functions rather than gpm-hal.
	This completes the transformation, and was the most complex to do.
	If there are bugs in the new system, they will be exposed here. ;-)

2007-03-07  Richard Hughes  <richard@hughsie.com>

	* src/gpm-brightness-kbd.c:
	* src/gpm-brightness-lcd.c:
	Switch to using libhal-glib functions rather than gpm-hal.

2007-03-07  Richard Hughes  <richard@hughsie.com>

	* src/gpm-light-sensor.c:
	Switch to using libhal-glib functions rather than gpm-hal.

2007-03-07  Richard Hughes  <richard@hughsie.com>

	* src/gpm-srv-brightness-kbd.c: (gpm_srv_brightness_kbd_init):
	Remove GpmHal stuff. Nothing uses it in this class.

2007-03-07  Richard Hughes  <richard@hughsie.com>

	* test/gpm-self-test.c: (test_gpm_array):
	Add a test for gpm_array_limit_x_size to try to trigger #415717

	* src/gpm-array.c: (gpm_array_limit_x_size), (gpm_array_add):
	Hopefully fix the crash in #415717, where we were accessing longer
	than the array size, as the length of the array was not re-evaluated
	when an element was removed.
	This might be also the source of some odd 2.17.x bugs.

2007-03-07  Richard Hughes  <richard@hughsie.com>

	* libhal-glib/libhal-gdevicestore.c: (hal_gdevicestore_remove):
	Unref the device because this may be the only pointer to this instance.

	* test/gpm-self-test.c: (test_hal_devicestore):
	Fix the test to ref the object before deletion else we get an error.

	* src/gpm-battery.c:
	Switch to using libhal-glib functions rather than gpm-hal and a custom
	hacky hashtable implimentation.
	Unplug and plug events are also handled much quicker now!

2007-03-07  Richard Hughes  <richard@hughsie.com>

	* libhal-glib/libhal-gdevicestore.c: (hal_gdevicestore_find_udi):
	* libhal-glib/libhal-gdevicestore.h:
	* test/gpm-self-test.c: (test_hal_devicestore):
	Provide methods to find the HalGDevice from the UDI.

2007-03-07  Richard Hughes  <richard@hughsie.com>

	* src/Makefile.am:
	* src/gpm-button.c:
	Switch to using libhal-glib functions rather than gpm-hal and a custom
	hacky hashtable implimentation.

2007-03-07  Richard Hughes  <richard@hughsie.com>

	* libhal-glib/Makefile.am:
	* libhal-glib/libhal-gdevicestore.c:
	* test/Makefile.am:
	* test/gpm-self-test.c:
	Add a new devicestore class that, well, stores devices.

2007-03-07  Richard Hughes  <richard@hughsie.com>

	* src/gpm-brightness-lcd.c: (gpm_brightness_lcd_get_hw):
	Make sure we initialize a value to zero to prevent a warning if the
	method call fails.

2007-03-07  Richard Hughes  <richard@hughsie.com>

	* po/POTFILES.in:
	* src/Makefile.am:
	* src/gpm-backlight.c:
	* src/gpm-backlight.h:
	* src/gpm-manager.c:
	* src/gpm-srv-backlight.c:
	* src/gpm-srv-backlight.h:
	Switch to using libhal-glib manager functions rather than gpm-hal.
	Rename from gpm-srv-backlight to gpm-backlight.

2007-03-07  Richard Hughes  <richard@hughsie.com>

	* src/gpm-srv-backlight.c:
	Switch to using libhal-glib manager functions rather than gpm-hal.

2007-03-06  Richard Hughes  <richard@hughsie.com>

	* src/gpm-info.c: (gpm_info_init), (gpm_info_finalize):
	Switch to using libhal-glib manager functions rather than gpm-hal.

2007-03-06  Richard Hughes  <richard@hughsie.com>

	* src/README:
	Remove obsolete file.

	* po/POTFILES.in:
	* src/Makefile.am:
	* src/gpm-srv-cpufreq.c:
	* src/gpm-srv-cpufreq.h:
	* src/gpm-cpufreq.c:
	* src/gpm-cpufreq.h:
	* src/gpm-manager.c:
	Rename from gpm-srv-cpufreq to gpm-cpufreq, no need for the srv prefix.

2007-03-06  Richard Hughes  <richard@hughsie.com>

	* po/POTFILES.in:
	* src/Makefile.am:
	* src/gpm-cpufreq.c:
	* src/gpm-cpufreq.h:
	Remove gpm-cpufreq as it is no longer required.

2007-03-06  Richard Hughes  <richard@hughsie.com>

	* src/gpm-srv-cpufreq.c:
	Switch to using libhal-glib cpufreq functions rather than gpm-cpufreq.

2007-03-06  Richard Hughes  <richard@hughsie.com>

	* libhal-glib/libhal-gcpufreq.c:
	Whitespace fixes.

	* src/gpm-prefs-core.c:
	Switch to using libhal-glib cpufreq functions rather than gpm-hal.

2007-03-06  Richard Hughes  <richard@hughsie.com>

	* src/gpm-manager.c:
	Switch to using libhal-glib power functions rather than gpm-hal.

2007-03-06  Richard Hughes  <richard@hughsie.com>

	* src/gpm-control.c:
	Switch to using libhal-glib power functions rather than gpm-hal.

2007-03-06  Richard Hughes  <richard@hughsie.com>

	* libhal-glib/libhal-gpower.c:
	* libhal-glib/libhal-gpower.h:
	Cleanup the class variable names a bit.

2007-03-06  Richard Hughes  <richard@hughsie.com>

	* libhal-glib/libhal-gdevice.c:
	* libhal-glib/libhal-gdevice.h:
	* libhal-glib/libhal-gmanager.c:
	* libhal-glib/libhal-gmanager.h:
	* libhal-glib/libhal-marshal.list:
	Merge a whole heap of cleanups, and remove the udi from the
	property modified and devive condition callbacks.

	* src/gpm-ac-adapter.c: (gpm_ac_adapter_get_state):
	Switch to using the libhal-glib functions rather than gpm-hal.

2007-03-06  Richard Hughes  <richard@hughsie.com>

	* configure.in:
	* libhal-glib/libhal-gpower.c:
	* src/gpm-hal.c: (gpm_hal_can_suspend), (gpm_hal_can_hibernate),
	(gpm_hal_clear_suspend_error), (gpm_hal_clear_hibernate_error):
	* src/gpm-power.c: (gpm_power_status_for_device_more):
	Increase dependency on HAL to 0.5.8 and remove a lot of the
	compatibility code.

2007-03-06  Richard Hughes  <richard@hughsie.com>

	* configure.in:
	* src/gpm-notify.c: (gpm_notify_create):
	Increase dependency on libnotify to 0.4.3 and remove a lot of the
	compatibility code working around the broken GtkStatusIcon support.

2007-03-04  Richard Hughes  <richard@hughsie.com>

	* po/POTFILES.in:
	* src/Makefile.am:
	* src/gpm-graph-widget.c: (gpm_graph_widget_finalize),
	* src/gpm-graph-widget.h:
	* src/gpm-info.c: (gpm_statistics_get_data_types),
	* src/gpm-statistics-core.c: (gpm_statistics_get_events),
	Remove gpm-info-data.* and use gpm-array.* instead.

	* test/gpm-self-test.c: (test_gpm_array):
	Add another test for the interpolation.

	* src/gpm-refcount.c: (gpm_refcount_finalize):
	Whitespace fixes.

2007-03-04  Richard Hughes  <richard@hughsie.com>

	* src/gpm-array.c:
	* src/gpm-array.h:
	Add a supercool, superfast (tested) smart array class with some nifty
	mathematics and convenient processing functions. The idea is to convert
	the old GpmInfoData code to the new GpmArray code.

	* test/Makefile.am:
	* test/gpm-self-test.c:
	Add lots of test cases for the new GpmArray object.

2007-03-04  Richard Hughes  <richard@hughsie.com>

	* src/*:
	* applets/*:
	* libhal-glib/*:
	Remove an insane amount of trailing whitespace.

2007-03-04  Richard Hughes  <richard@hughsie.com>

	* Makefile.am:
	Build the library first to fix make distcheck.

	* src/Makefile.am:
	Add the libhal-glib paths. Nothing uses these yet.

2007-03-04  Richard Hughes  <richard@hughsie.com>

	* libhal-glib/Makefile.am:
	Add file that missed the import.

2007-03-04  Richard Hughes  <richard@hughsie.com>

	* applets/inhibit/inhibit-applet.c:
	* src/gpm-ac-adapter.c: (gpm_ac_adapter_finalize):
	Trivial fixes.

2007-03-04  Richard Hughes  <richard@hughsie.com>

	* test/Makefile.am:
	* test/gpm-self-test.c:
	Add lots of extra self-tests for the new HalG* classes.

2007-03-04  Richard Hughes  <richard@hughsie.com>

	* libhal-glib/libhal-gcpufreq.c: (hal_gcpufreq_finalize),
	* libhal-glib/libhal-gmanager.c: (hal_gmanager_finalize),
	* libhal-glib/libhal-gpower.c: (hal_gpower_init),
	* libhal-glib/libhal-gpower.h:
	* src/gpm-button.c: (gpm_button_finalize), (gpm_button_new):
	* src/gpm-conf.c: (gpm_conf_new):
	* src/gpm-control.c: (gpm_control_new):
	* src/gpm-dbus-monitor.c: (gpm_dbus_monitor_finalize),
	* src/gpm-dpms.c: (gpm_dpms_new):
	* src/gpm-idle.c: (gpm_idle_new):
	* src/gpm-light-sensor.c: (gpm_light_sensor_new):
	* src/gpm-main.c:
	* src/gpm-notify.c: (gpm_notify_finalize), (gpm_notify_new):
	* src/gpm-power.c: (gpm_power_new):
	* src/gpm-screensaver.c: (gpm_screensaver_new):
	* src/gpm-sound.c: (gpm_sound_finalize), (gpm_sound_new):
	* src/gpm-warning.c: (gpm_warning_new):
	Use the g_object_add_weak_pointer function rather than rely on the
	fact that we *shouldn't* hit the finalise->new case.

2007-03-04  Richard Hughes  <richard@hughsie.com>

	* Makefile.am:
	* configure.in:
	* po/POTFILES.in:
	* src/Makefile.am:
	* src/gpm-inhibit-test.c:
	* src/gpm-self-test.c:
	* test/Makefile.am:
	* test/gpm-self-test.c:
	Move test files to thier own directory.

	* docs/dbus-interface.html:
	* docs/faq.html:
	* docs/icon-scheme.html:
	* docs/index.html:
	* docs/sleep-names.html:
	Regenerate with new versions.

2007-03-04  Richard Hughes  <richard@hughsie.com>

	* Makefile.am:
	* configure.in:
	* libhal-glib/libhal-gcpufreq.c: (hal_gcpufreq_string_to_enum),
	* libhal-glib/libhal-gcpufreq.h:
	* libhal-glib/libhal-gdevice.c: (hal_gdevice_set_udi),
	* libhal-glib/libhal-gdevice.h:
	* libhal-glib/libhal-gmanager.c: (hal_gmanager_is_running),
	* libhal-glib/libhal-gmanager.h:
	* libhal-glib/libhal-gpower.c: (hal_gpower_class_init),
	* libhal-glib/libhal-gpower.h:
	* libhal-glib/libhal-marshal.list:
	Add a really simple libhal glib binding to greatly simplify the
	HAL access in gnome-power-manager.

2007-03-04  Richard Hughes  <richard@hughsie.com>

	* src/massif-gpm.sh:
	* src/run-gpm.sh:
	Add the profile script, and adjust the run tool to make critical
	warnings fatal.

2007-03-04  Richard Hughes  <richard@hughsie.com>

	* data/gnome-power-preferences.desktop.in:
	* data/gnome-power-statistics.desktop.in:
	Add StartupNotify to get the pretty busy cursor when loading.
	Patch from Sven Arvidsson, fixes #414311

2007-03-04  Richard Hughes  <richard@hughsie.com>

	Branched for 2-18

2007-03-04  Richard Hughes  <richard@hughsie.com>

	* src/gpm-graph-widget.c: (gpm_graph_widget_draw_line):
	* src/gpm-statistics-core.c: (gpm_statistics_graph_refresh):
	Fix the segfault when we try to draw a graph that does not exist.
	Fixes #412345 and plenty more duplicates.

2007-03-04  Richard Hughes  <richard@hughsie.com>

	* src/gpm-notify.c: (gpm_notify_create):
	Don't point to the icon if it's not currently showing. Fixes #414010

2007-03-01  Richard Hughes  <richard@hughsie.com>

	* src/gpm-power.c: (battery_key_changed):
	Merge a modified patch from Peter Jones (thanks!) to properly
	handle when a battery is removed and inserted when hibernated, or
	just replaced with really broken ACPI.

2007-03-01  Richard Hughes  <richard@hughsie.com>

	* src/gpm-power.c: (battery_device_cache_entry_update_all):
	Merge a patch from Peter Jones to actually get the vendor of the
	battery. We should have been using battery.vendor and not info.vendor.

2007-02-27  Richard Hughes  <richard@hughsie.com>

	==== Version 2.17.92 ====

2007-02-27  Richard Hughes  <richard@hughsie.com>

	* configure.in:
	Bump to 2.17.92

2007-02-27  Richard Hughes  <richard@hughsie.com>

	* applets/brightness/brightness-applet.c:
	* data/gnome-power-manager.schemas.in:
	Fix two trivial spelling typos to fix #411592

2007-02-18  Richard Hughes  <richard@hughsie.com>

	* src/gpm-power.c: (gpm_power_init), (gpm_power_finalize):
	Don't ref and unref hal twice for no reason.

	* src/gpm-srv-backlight.c: (button_pressed_cb):
	Check to see if we can do the action to fix #407613

2007-02-18  Richard Hughes  <richard@hughsie.com>

	* src/gpm-proxy.c:
	Save the signal connection id's and remove then when we finalize.
	Prevents a very difficult to trigger and even more difficult to debug
	crasher where proxy instances are connecting to GpmDbusMonitor objects.

2007-02-17  Richard Hughes  <richard@hughsie.com>

	* src/gpm-hal.c: (gpm_hal_device_get_bool),
	(gpm_hal_device_get_string), (gpm_hal_device_get_int),
	(gpm_hal_device_find_capability), (gpm_hal_device_has_capability):
	Check for a NULL proxy when we access HAL to help debug #408705

2007-02-14  Benjamin Canou  <bookeldor@gmail.com>

	* applets/brightness/brightness-applet.c:
	Patch against the SVN trunk to enable scroll and keyboard events.
	It corrects also corrects two little bugs too: tooltips are not shown
	anymore when popped, and a comment was wrong.
	There's still a bug: themes using an image as background are not
	handled correctly. I'll try to correct it soon. Fixes #383653

2007-02-13  Richard Hughes  <richard@hughsie.com>

	* src/gpm-srv-backlight.c: (ac_adapter_changed_cb):
	Check we have the hardware before trying to set the brightness.
	Trivial patch. Fixes #407613

2007-02-12  Richard Hughes  <richard@hughsie.com>

	==== Version 2.17.91 ====

2007-02-12  Richard Hughes  <richard@hughsie.com>

	* docs/dbus-interface.html:
	* docs/index.html:
	Regenerate

	* tools/Makefile.am:
	* tools/gnome-power-cmd.sh:
	Add this new trivial script to fix #405013

2007-02-12  Richard Hughes  <richard@hughsie.com>

	* docs/dbus-interface.xml:
	Fix up a load of spelling errors.

	* tools/gnome-power-bugreport.sh:
	Update copyright year.

2007-02-11  Richard Hughes  <richard@hughsie.com>

	* applets/inhibit/inhibit-applet.c:
	* src/gpm-ac-adapter.c:
	* src/gpm-ac-adapter.h:
	* src/gpm-battery.c:
	* src/gpm-battery.h:
	* src/gpm-brightness-kbd.c:
	* src/gpm-brightness-kbd.h:
	* src/gpm-brightness-lcd.c:
	* src/gpm-brightness-lcd.h:
	* src/gpm-button.c:
	* src/gpm-button.h:
	* src/gpm-common.c:
	* src/gpm-common.h:
	* src/gpm-conf.c:
	* src/gpm-conf.h:
	* src/gpm-control.c:
	* src/gpm-control.h:
	* src/gpm-cpufreq.c:
	* src/gpm-cpufreq.h:
	* src/gpm-dbus-monitor.c:
	* src/gpm-dbus-monitor.h:
	* src/gpm-debug.c:
	* src/gpm-debug.h:
	* src/gpm-feedback-widget.c:
	* src/gpm-feedback-widget.h:
	* src/gpm-graph-widget.c:
	* src/gpm-graph-widget.h:
	* src/gpm-hal.c:
	* src/gpm-hal.h:
	* src/gpm-idle.c:
	* src/gpm-info-data.c:
	* src/gpm-info-data.h:
	* src/gpm-info.c:
	* src/gpm-info.h:
	* src/gpm-inhibit-test.c:
	* src/gpm-inhibit.c:
	* src/gpm-inhibit.h:
	* src/gpm-light-sensor.c:
	* src/gpm-light-sensor.h:
	* src/gpm-main.c:
	* src/gpm-manager.c:
	* src/gpm-manager.h:
	* src/gpm-networkmanager.c:
	* src/gpm-networkmanager.h:
	* src/gpm-notify.c:
	* src/gpm-notify.h:
	* src/gpm-polkit.c:
	* src/gpm-polkit.h:
	* src/gpm-power.c:
	* src/gpm-power.h:
	* src/gpm-powermanager.c:
	* src/gpm-powermanager.h:
	* src/gpm-prefs-core.c:
	* src/gpm-prefs-core.h:
	* src/gpm-prefs.c:
	* src/gpm-prefs.h:
	* src/gpm-proxy.c:
	* src/gpm-proxy.h:
	* src/gpm-refcount.c:
	* src/gpm-refcount.h:
	* src/gpm-screensaver.c:
	* src/gpm-screensaver.h:
	* src/gpm-sound.c:
	* src/gpm-sound.h:
	* src/gpm-srv-backlight.c:
	* src/gpm-srv-backlight.h:
	* src/gpm-srv-brightness-kbd.c:
	* src/gpm-srv-brightness-kbd.h:
	* src/gpm-srv-cpufreq.c:
	* src/gpm-srv-cpufreq.h:
	* src/gpm-srv-screensaver.c:
	* src/gpm-srv-screensaver.h:
	* src/gpm-statistics-core.c:
	* src/gpm-statistics-core.h:
	* src/gpm-statistics.c:
	* src/gpm-stock-icons.c:
	* src/gpm-stock-icons.h:
	* src/gpm-tray-icon.c:
	* src/gpm-tray-icon.h:
	* src/gpm-warning.c:
	* src/gpm-warning.h:
	Update my copyright statement to 2007.

2007-02-11  Richard Hughes  <richard@hughsie.com>

	* src/gpm-battery.c: (gpm_battery_init):
	Fix a tiny memory leak as spotted in #404929

2007-02-10  Richard Hughes  <richard@hughsie.com>

	* src/gpm-battery.c: (coldplug_batteries):
	Do not try to dereference error if we find no battery devices, it might
	actually be okay. Rework the error handling a little to fix #406529

	* src/gpm-ac-adapter.c: (gpm_ac_adapter_init):
	* src/gpm-button.c: (gpm_button_init):
	Fix two small memory leaks when no devices are found.

2007-02-10  Richard Hughes  <richard@hughsie.com>

	* src/gpm-srv-backlight.c: (gpm_srv_backlight_init):
	Part of a patch from Jon McCann:
	Don't use the ac-adapter object before you create it.
	Fixes half of #404474.

2007-02-08  Richard Hughes  <richard@hughsie.com>

	* src/gpm-common.c: (gpm_exponential_average):
	* src/gpm-common.h:
	Rename factor_pc into slew.

	* src/gpm-graph-widget.c:
	* src/gpm-graph-widget.h:
	Add graph title functionality. No UI change, as g-p-s does't do titles.

2007-02-07  Richard Hughes  <richard@hughsie.com>

	* src/gpm-battery.c: (watch_add_battery):
	Fix the bug where hotplug batteries (such as mice) would show up more
	than once after a suspend-resume cycle. Fixes #404929.

2007-02-07  Richard Hughes  <richard@hughsie.com>

	* src/gpm-graph-widget.c: (gpm_graph_widget_draw_labels),
	(gpm_graph_widget_get_pos_on_graph):
	Fix a bug where the labels were negative and the line didn't show
	when our starting auto-range vale was not zero.

2007-02-07  Richard Hughes  <richard@hughsie.com>

	* src/gpm-graph-widget.c: (gpm_graph_widget_set_data):
	Allow datasets to be over-written with new data.

2007-02-07  Richard Hughes  <richard@hughsie.com>

	* src/gpm-common.c: (gpm_exponential_average):
	* src/gpm-common.h:
	* src/gpm-power.c: (battery_kind_cache_update):
	Move common functionality to a shared file. No logic changes.

2007-02-07  Richard Hughes  <richard@hughsie.com>

	* src/gpm-graph-widget.c: (gpm_graph_widget_auto_range):
	Don't autorange INVALID graphs.

2007-02-07  Richard Hughes  <richard@hughsie.com>

	* src/gpm-graph-widget.c:
	* src/gpm-graph-widget.h:
	* src/gpm-statistics-core.c:
	Allow the graph widget to display more than one data line.
	This is required for the detailed line fitting algorithm testing.

2007-02-06  Richard Hughes  <richard@hughsie.com>

	* src/gpm-info.c:
	Remove some superfluous debugging text.

2007-02-06  Richard Hughes  <richard@hughsie.com>

	* src/gpm-info.c: (gpm_statistics_get_data_types):
	* src/gpm-statistics-core.c: (gpm_statistics_type_combo_changed_cb):
	Prevent a crasher when we open the statistics program very soon after
	we start gnome-power-manager.

2007-02-06  Richard Hughes  <richard@hughsie.com>

	* src/gpm-brightness-kbd.c: (gpm_brightness_kbd_set_hw):
	Apply patch from David Zeuthen <david@fubar.dk>:
	g-p-m times out on lots of method calls on startup.
	Attached patch makes it work for me on my Macbook Pro.

2007-02-06  Richard Hughes  <richard@hughsie.com>

	* data/gpm-graph.glade:
	* src/gpm-graph-widget.c:
	* src/gpm-graph-widget.h:
	* src/gpm-statistics-core.c:
	Add the graph axis caption support. Fixes the first half of #394526

2007-02-06  Richard Hughes  <richard@hughsie.com>

	* src/gpm-graph-widget.c:
	* src/gpm-graph-widget.h:
	* src/gpm-statistics-core.c:
	Add some initial code to support axis labels. No UI change yet.

2007-02-06  Richard Hughes  <richard@hughsie.com>

	* docs/dbus-interface.xml:
	* src/dbus/gpm-dbus-statistics.xml:
	* src/gpm-info.c:
	* src/gpm-info.h:
	* src/gpm-statistics-core.c:
	Rename two methods in the new statistics API for clarity.
	Changed from GetAxisType->GetAxisTypes and GetTypes->GetDataTypes.

2007-02-06  Richard Hughes  <richard@hughsie.com>

	* data/gnome-power-manager.schemas.in:
	* src/gpm-conf.h:
	Add the key statistics_show_axis_labels before the string freeze.
	We might get this feature tested and in before the next release.

2007-02-05  Richard Hughes  <richard@hughsie.com>

	* data/gpm-inhibit-test.glade:
	Rename a button so we don't get an error on startup.

2007-02-05  Richard Hughes  <richard@hughsie.com>

	* src/gpm-main.c: (main):
	Print the version number at startup.

	* src/gpm-ac-adapter.c:
	* src/gpm-battery.c:
	* src/gpm-brightness-kbd.c:
	* src/gpm-brightness-lcd.c:
	* src/gpm-button.c:
	* src/gpm-cpufreq.c:
	* src/gpm-hal.c:
	* src/gpm-hal.h:
	* src/gpm-light-sensor.c:
	* src/gpm-manager.c:
	* src/gpm-power.c:
	Use conventional GError based error reporting rather than alert the
	user about missing optional keys. Convert most of the users to just
	ignore the error by passing NULL to the HAL function, but handle the
	ones that need something special done.

2007-02-05  Richard Hughes  <richard@hughsie.com>

	* src/gpm-hal.c:
	* src/gpm-hal.h:
	Remove the unused gpm_hal_device_rescan_capability()

2007-02-05  Richard Hughes  <richard@hughsie.com>

	* src/gpm-brightness-lcd.c:
	* src/gpm-srv-backlight.c:
	Make sure we set the policy brightness when gnome-power-manager is
	started. Also check for the dim brightness in a better way.

2007-02-05  Richard Hughes  <richard@hughsie.com>

	* src/gpm-info-data.c: (gpm_info_data_add):
	* src/gpm-info.c: (gpm_statistics_get_types):
	Don't return the types that have no data when we call GetTypes().

2007-02-05  Richard Hughes  <richard@hughsie.com>

	* src/gpm-brightness-lcd.c:
	Use the old (2.16) GetBrightness and SetBrightness methods because
	these work. I think the DELL smbios addon is returning an integer rather
	than an unsigned integer and this is the source of confusion.

	* src/gpm-common.c:
	Check that the levels are not zero, else we get non-sensical results.

	* src/gpm-srv-backlight.c:
	Set the dim value after the first GetBrightness to avoid setting the
	dim value as the current brightness.

2007-02-04  Richard Hughes  <richard@hughsie.com>

	* src/gpm-srv-backlight.c: (button_pressed_cb):
	Only update the DPMS parameters if we closed the lid, not on every
	brightness change.

2007-02-04  Richard Hughes  <richard@hughsie.com>

	* src/gpm-brightness-lcd.c: (gpm_brightness_lcd_init):
	Add a check for non zero brightness levels.

2007-02-01  Richard Hughes  <richard@hughsie.com>

	* data/Makefile.am:
	Move an ifdef to keep Anjuta from printing an error on startup.

2007-02-01  Richard Hughes  <richard@hughsie.com>

	* src/gpm-inhibit.c: (gpm_inhibit_is_valid):
	* src/gpm-self-test.c: (test_inhibit):
	Add some more tests and also fix up a situation where a manual inhibit
	was not stopping an auto-action.

2007-02-01  Richard Hughes  <richard@hughsie.com>

	* src/gpm-info.c: (gpm_statistics_get_data):
	Only try to get the percentage data if we are a laptop.
	If we are not a laptop then info->priv->percentage_data will be NULL
	and a dereference will kill gnome-power-manager.
	Should fix the crash reported by Kjartan Maraas in #402823.

2007-02-01  Richard Hughes  <richard@hughsie.com>

	* applets/inhibit/inhibit-applet.c: (click_cb):
	Fix compile error. OOps.

	* src/gpm-info.c: (gpm_info_log_do_poll):
	Fix a typo where we were not checking the brightness.

2007-02-01  Richard Hughes  <richard@hughsie.com>

	* data/gpm-inhibit-test.glade:
	* docs/dbus-interface.html:
	* docs/dbus-interface.xml:
	* docs/icon-scheme.html:
	* docs/index.html:
	* src/dbus/gpm-dbus-inhibit.xml:
	* src/gpm-inhibit-test.c: (dbus_inhibit_gpm),
	* src/gpm-inhibit.c: (gpm_inhibit_find_cookie),
	* src/gpm-inhibit.h:
	* src/gpm-manager.c: (gpm_manager_is_inhibit_valid),
	* src/gpm-powermanager.c: (gpm_powermanager_inhibit_auto),
	* src/gpm-powermanager.h:
	* src/gpm-self-test.c: (test_inhibit):
	Convert the new API to InhibitAuto for auto-suspend prevention and
	InhibitManual for stuff like RPM transactions and BIOS flashes.
	The old manager inhibit API has been converted to the InihibitAuto
	style to fix #402863
	Update the self test program, the inhibit example program and the
	documentation.

2007-02-01  Richard Hughes  <richard@hughsie.com>

	* src/gpm-info.c: (gpm_statistics_get_event_log):
	Do the same fix as #403156 for GetEventLog.

2007-02-01  Richard Hughes  <richard@hughsie.com>

	* src/gpm-info.c: (gpm_statistics_get_data):
	Fix a 153 byte memory leak that would happen each time the statistics
	GetData method was accessed over DBUS.
	Spotted by Kjartan Maraas, many thanks. Fixes #403156.

2007-01-29  Richard Hughes  <richard@hughsie.com>

	* src/gpm-power.c: (gpm_power_status_for_device):
	Make the text more translatable in the power description text.
	Many thanks for Stephane Raimbault for noticing this. Fixes #402230

2007-01-29 Colin Watson <cjwatson@ubuntu.com>

        * src/gpm-tray-icon.c: (gpm_tray_icon_sync):
        Fix arguments to description-changed signal. Fixes #400654 and lp:81427

2007-01-28  Richard Hughes  <richard@hughsie.com>

	* src/gpm-button.c: (gpm_button_is_lid_closed):
	* src/gpm-srv-backlight.c: (gpm_srv_backlight_init):
	Fix a difficult-to-find crasher which would only happen sometimes when
	the session became idle on a laptop without a backlight.

2007-01-28  Richard Hughes  <richard@hughsie.com>

	* applets/brightness/brightness-applet.c:
	* data/icons/16x16/Makefile.am:
	* data/icons/22x22/Makefile.am:
	* data/icons/24x24/Makefile.am:
	* data/icons/scalable/Makefile.am:
	* data/icons/scalable/gpm-brightness-kbd-disabled.svg:
	* data/icons/scalable/gpm-brightness-lcd-disabled.svg:
	* docs/icon-scheme.xml:
	Add some icons by Paul Betts <paul.betts@gmail.com> to convey the
	brightness control in the addon is either disabled, or no hardware is
	present. Fixes #400006

2007-01-26  Richard Hughes  <richard@hughsie.com>

	* src/gpm-tray-icon.c: (gpm_tray_icon_set_image_from_stock):
	Fix a crasher on PPC where we were not sending the correct marshalled
	type on icon change. Should fix lp:81427 and #400654.

2007-01-25  Richard Hughes  <richard@hughsie.com>

	* configure.in:
	* src/gpm-control.c: (gpm_control_is_policy_timout_valid):
	Add the --enable-checkfg configure argument to upstream one of the
	ubuntu patches. You only need this argument if you want to check with
	check-foreground-console before you do an action.
	Original patch from Oliver Grawert, many thanks.

2007-01-22  Richard Hughes  <richard@hughsie.com>

	==== Version 2.17.90 ====

2007-01-21  Richard Hughes  <richard@hughsie.com>

	* src/gpm-button.c:
	* src/gpm-button.h:
	* src/gpm-manager.c:
	* src/gpm-srv-backlight.c: (idle_changed_cb):
	* src/gpm-srv-screensaver.c: (ac_adapter_changed_cb):
	Don't poke the screensaver when we remove the ac adapter when the lid
	is closed. Fixes #384254.

2007-01-19  Denis Washington <dwashington@gmx.net>

	Fixes #394701

	* data/gnome-power-preferences.desktop.in: use correct category name.

2007-01-13  Richard Hughes  <richard@hughsie.com>

	* docs/dbus-interface.xml:
	* po/POTFILES.in:
	* src/Makefile.am:
	* src/dbus/Makefile.am:
	* src/dbus/gpm-dbus-backlight.xml:
	* src/dbus/gpm-dbus-brightness-lcd.xml:
	* src/dbus/gpm-dbus-dpms.xml:
	* src/gpm-manager.c: (gpm_manager_init), (gpm_manager_finalize):
	* src/gpm-powermanager.c: (gpm_powermanager_init):
	* src/gpm-powermanager.h:
	As discussed, having two interfaces for backlight control is crazy.
	Merge BrightnessLcd and Dpms into Backlight so we can use this interface
	in a more generic way.

	* src/gpm-srv-brightness-lcd.c:
	* src/gpm-srv-brightness-lcd.h:
	* src/gpm-srv-dpms.c:
	* src/gpm-srv-dpms.h:
	* src/gpm-srv-backlight.c:
	* src/gpm-srv-backlight.h:
	Merge the two interfaces into one new GObject.

2007-01-13  Richard Hughes  <richard@hughsie.com>

	* src/dbus/gpm-dbus-brightness-lcd.xml:
	* src/dbus/gpm-dbus-control.xml:
	* src/dbus/gpm-dbus-dpms.xml:
	* src/dbus/gpm-dbus-inhibit.xml:
	* src/dbus/gpm-dbus-statistics.xml:
	* src/dbus/gpm-dbus-ui.xml:
	Add scoping information. Whoops.

	* src/gpm-self-test.c: (test_proxy), (main):
	Add tests for the GpmProxy class.

2007-01-12  Richard Hughes  <richard@hughsie.com>

	Patch by: William Jon McCann <mccann@jhu.edu>

	* src/gpm-brightness-lcd.c:
	GPM uses UINT32 for brightness but HAL uses INT32. Fix the crasher
	of #395174. This is only become apparent as the new DELL smbios addon
	enforces correct signedness but the old method did not.

2007-01-12  Richard Hughes  <richard@hughsie.com>

	* src/gpm-brightness-kbd.c: (gpm_brightness_kbd_get_hw),
	* src/gpm-brightness-kbd.h:
	* src/gpm-brightness-lcd.c: (gpm_brightness_lcd_class_init),
	* src/gpm-brightness-lcd.h:
	Clear up some more guint and gint problems.

	* src/gpm-proxy.c:
	Make sure an invalid proxy doesn't segfault gnome-power-manager.
	This is due to a critical log message, where we should probably
	only be a developer warning.

2007-01-12  Thomas Wood  <thos@gnome.org>

	Patch by: Denis Washington <dwashington@gmx.net>

	* data/gnome-power-preferences.desktop.in: Categorize
	gnome-power-preferences for the control center shell. Fixes bug 394701.

2007-01-10  Richard Hughes  <richard@hughsie.com>

	* docs/dbus-interface.xml:
	* docs/dbus-interface.html:
	* src/gpm-powermanager.c: (gpm_powermanager_init):
	* src/gpm-powermanager.h:
	* src/gpm-prefs-core.c: (gpm_dbus_method_bool):
	* src/gpm-statistics-core.c: (gpm_statistics_init):
	Move back to the indervidual interface definition after Rob pointed out
	this breaks glib bindings. OOps.

2007-01-10  Richard Hughes  <richard@hughsie.com>

	* docs/dbus-interface.xml:
	Update docs.

2007-01-10  Richard Hughes  <richard@hughsie.com>

	* src/dbus/gpm-dbus-brightness-lcd.xml:
	* src/gpm-brightness-lcd.c: (gpm_brightness_lcd_set_hw):
	* src/gpm-powermanager.c: (gpm_powermanager_get_brightness_lcd),
	* src/gpm-srv-brightness-lcd.c:
	* src/gpm-srv-brightness-lcd.h:
	Make sure we always use an unsigned int for brightness.
	This should fix #395174.

2007-01-08  Richard Hughes  <richard@hughsie.com>

	* docs/dbus-interface.html:
	* docs/dbus-interface.xml:
	* docs/index.html:
	Update to reflect the current API.
	NOTE TO PEOPLE STRESSING OUT: The old API still exists as a
	compatibility API, it's just not documented.

	* src/dbus/gpm-dbus-inhibit.xml:
	* src/dbus/gpm-dbus-statistics.xml:
	Add some more comments, no functional changes.

2007-01-08  Richard Hughes  <richard@hughsie.com>

	* src/dbus/gpm-dbus-brightness-lcd.xml:
	* src/gpm-srv-brightness-lcd.c:
	* src/gpm-srv-brightness-lcd.h:
	Add a BrightnessChanged signal, and convert the method names to similar
	style to DPMS.

	* src/gpm-powermanager.c:
	Use the new method names.

2007-01-07  Richard Hughes  <richard@hughsie.com>

	* data/gnome-power-manager.schemas.in:
	* src/gpm-conf.h:
	Add /apps/gnome-power-manager/show_cpufreq_ui GConf key.
	It's not something I wanted to do, as 99% of people don't need to
	ever change this, but the 1% will need to for specific systems.
	Default to hiding the control. Distros can patch this if required.

	* src/gpm-prefs-core.c:
	Add 'Do nothing' back as a valid UI object, else this policy is
	reverted to ondemand the first time the prefs tool is run.
	By default we don't show the UI. This is not a new string as we
	already use it for the action text.

2007-01-07  Richard Hughes  <richard@hughsie.com>

	* help/C/gnome-power-manager.xml:
	Fix a metric ton of spelling errors.

2007-01-04  Richard Hughes  <richard@hughsie.com>

	* src/gpm-brightness-kbd.c: (gpm_brightness_kbd_up),
	* src/gpm-brightness-lcd.c: (gpm_brightness_lcd_up),
	* src/gpm-button.c: (emit_button_pressed):
	* src/gpm-hal.c: (reattach_property_modified_in_hash),
	* src/gpm-notify.c: (notify_recall_action_cb):
	* src/gpm-power.c: (battery_kind_cache_update):
	Replace instances of g_debug with gpm_debug.

2007-01-04  Richard Hughes  <richard@hughsie.com>

	* BRANCHES:
	* README:
	Update to better reflect release dependencies.

	* src/gpm-hal.c: (proxy_status_cb):
	Emit the DAEMON_START and DAEMON_STOP signals when HAL
	disconnects or connects. This fixes the problem where the
	icon does not change when HAL is restarted.

2007-01-03  Richard Hughes  <richard@hughsie.com>

	* src/gpm-self-test.c:
	Remove all the _("foo") strings for gnome program init as
	they are not required and I don't want to be accused of
	breaking string freeze.

	* po/POTFILES.in:
	Add gpm-self-test.c - no string additions - this is a new
	test module that should not be translated and only used by
	developers.

2007-01-03  Richard Hughes  <richard@hughsie.com>

	* src/gpm-inhibit.c: (gpm_inhibit_is_valid):
	* src/gpm-self-test.c:
	Add some more self tests.

2007-01-02  Richard Hughes  <richard@hughsie.com>

	* src/Makefile.am:
	* src/gpm-self-test.c:
	Add the start of a self-test framework.

	* src/gpm-powermanager.c: (gpm_powermanager_inhibit),
	* src/gpm-powermanager.h:
	* src/dbus/gpm-dbus-inhibit.xml:
	Convert to the new API, and remove the incorrect interface.

	* src/gpm-inhibit.c: (gpm_inhibit_is_valid), (gpm_inhibit_check):
	* src/gpm-inhibit.h:
	Add IsValid method to Inhibit interface so we can test the
	inhibit status in the self-test framework.

2006-12-31  Richard Hughes  <richard@hughsie.com>

	* README.cvs:
	* README.svn:
	* autogen.sh:
	Remove some cvs'isms.

2006-12-31  Richard Hughes  <richard@hughsie.com>

	* .cvsignore:
	* applets/.cvsignore:
	* applets/brightness/.cvsignore:
	* applets/inhibit/.cvsignore:
	* data/.cvsignore:
	* data/icons/.cvsignore:
	* data/icons/16x16/.cvsignore:
	* data/icons/22x22/.cvsignore:
	* data/icons/24x24/.cvsignore:
	* data/icons/scalable/.cvsignore:
	* data/sounds/.cvsignore:
	* docs/.cvsignore:
	* help/.cvsignore:
	* help/es/.cvsignore:
	* help/hu/.cvsignore:
	* help/ru/.cvsignore:
	* help/sv/.cvsignore:
	* man/.cvsignore:
	* po/.cvsignore:
	* src/.cvsignore:
	* src/dbus/.cvsignore:
	* tools/.cvsignore:
	Remove obsolete .cvsignore files.

2006-12-31  Pascal Terjan  <pterjan@linuxfr.org>

	* src/gpm-power.c: (gpm_power_kind_to_string):
	Don't localise string as this is used internally for icon name.

2006-12-30  Christian Persch  <chpe@cvs.gnome.org>

	* applets/brightness/brightness-applet.c: (create_popup):
	Use octal UTF-8, not \uxxxx. Bug #390809.

2006-12-29  Christian Persch  <chpe@cvs.gnome.org>

	* src/gpm-tray-icon.c: (gpm_tray_icon_popup_menu_cb):
	Fix popup_menu callback signature. Bug #390172.

2006-12-29  Richard Hughes  <richard@hughsie.com>

	* applets/brightness/brightness-applet.c: (create_popup):
	Use "\u2212" rather than "-" for a bigger horizontal line,
	complementing the plus sign.

2006-12-24  Richard Hughes  <richard@hughsie.com>

	* src/gpm-control.c:
	* src/gpm-control.h:
	Add the request signal to the GpmControl class.
	This prevents a warning on startup.

2006-12-24  Richard Hughes  <richard@hughsie.com>

	* src/gpm-tray-icon.c:
	* src/gpm-tray-icon.h:
	Add the icon changed and description changed signals to the
	UI class. This prevents a warning on startup.

2006-12-24  Richard Hughes  <richard@hughsie.com>

	* src/dbus/gpm-dbus-control.xml:
	Add the file I missed off the last commit. Fixes #389121.
	Sometimes, I wish I tested things harder. Apologies.

2006-12-23  Richard Hughes  <richard@hughsie.com>

	* src/gpm-hal.c:
	Add some more debugging.

	* src/gpm-control.c:
	* src/gpm-control.h:
	* src/gpm-manager.c:
	Move some stuff from the manager to GpmControl.

	* src/gpm-sound.c:
	* src/gpm-info.c:
	* src/gpm-power.c:
	* src/gpm-srv-dpms.c:
	* src/gpm-tray-icon.c:
	Move to the signal event model of GpmControl, rather than the
	monolithic GpmManager.

	* src/gpm-screensaver.c:
	* src/gpm-screensaver.h:
	Move the defines from the C to the H. Also make a singleton.

2006-12-23  Richard Hughes  <richard@hughsie.com>

	* po/POTFILES.in:
	* src/gpm-control.c:
	* src/gpm-control.h:
	* src/gpm-policy.c:
	* src/gpm-policy.h:
	Rename GpmPolicy to GpmControl.

	* src/Makefile.am:
	* src/dbus/Makefile.am:
	* src/gpm-info.c:
	* src/gpm-info.h:
	* src/gpm-manager.c:
	* src/gpm-manager.h:
	* src/gpm-powermanager.h:
	* src/gpm-tray-icon.c:
	Use the new GpmControl interface, and start to add the
	registrations interface.

2006-12-23  Richard Hughes  <richard@hughsie.com>

	* TODO:
	* src/dbus/gpm-dbus-brightness-lcd.xml:
	* src/dbus/gpm-dbus-dpms.xml:
	* src/dbus/gpm-dbus-statistics.xml:
	* src/dbus/gpm-dbus-ui.xml:
	* src/gpm-inhibit-test.c:
	* src/gpm-powermanager.c:
	* src/gpm-powermanager.h:
	* src/gpm-srv-brightness-lcd.c:
	* src/gpm-srv-brightness-lcd.h:
	* src/gpm-statistics-core.c:
	Remove the custom suffix for each of the interfaces.
	As we have a custom path for each one, we have no need for
	indervidual interfaces.

2006-12-23  Richard Hughes  <richard@hughsie.com>

	* src/dbus/Makefile.am:
	* src/dbus/gpm-dbus-inhibit.xml:
	Add the new inhibit interface.

	* src/gpm-inhibit-test.c:
	* src/gpm-inhibit.c:
	* src/gpm-inhibit.h:
	Deal with the DBUS interface here, rather than using the
	manager class to proxy requests.

	* src/gpm-manager.c:
	Proxy the old Inhibit and UnInihibit calls to the new
	interface.

	* src/gpm-powermanager.h:
	Add the Inhibit DBUS path.

2006-12-23  Richard Hughes  <richard@hughsie.com>

	* data/gnome-power-manager.schemas.in:
	* src/gpm-conf.h:
	* src/gpm-manager.c: (battery_status_changed_primary):
	Add the notify_low_power gconf key to supress the low battery
	warnings. Fixes #350018.

2006-12-23  Richard Hughes  <richard@hughsie.com>

	* help/C/figures/applet-brightness.png:
	* help/C/figures/applet-inhibit.png:
	* help/C/gnome-power-manager.xml:
	Add a section in the help file for the applets.

	* applets/brightness/brightness-applet.c: (help_cb):
	* applets/inhibit/inhibit-applet.c: (help_cb):
	Point to the applets section in the help file.
	Should fix #388904.

2006-12-23  Richard Hughes  <richard@hughsie.com>

	* applets/brightness/Makefile.am:
	* applets/inhibit/Makefile.am:
	Make the applets look in the right place for the help file.
	Not that one exists: we need to write then or remove the
	help option. Starts fixing #388904.

	* applets/brightness/brightness-applet.c: (help_cb):
	* applets/inhibit/inhibit-applet.c: (help_cb):
	* src/gpm-tray-icon.c: (gpm_tray_icon_show_help_cb):
	Correct the name of the XML yelp file. Not sure who changed
	this, but it was wrong. Fixes #388905.

2006-12-23  Richard Hughes  <richard@hughsie.com>

	* src/gpm-manager.c:
	When running in a custom root Elijah gets:
	'gnome-keyring-1/gnome-keyring.h: No such file or directory'
	The fix is trivial, just remove the 'gnome-keyring-1/'
	from the #include line.
	I'm not sure why no body has mentioned this before, but
	it seems to work either with or without on FC6.
	Fixes #388815.

2006-12-22  Richard Hughes  <richard@hughsie.com>

	* docs/dbus-interface.html:
	* docs/faq.html:
	* docs/icon-scheme.html:
	* docs/index.html:
	* docs/sleep-names.html:
	Update with new version number.

	* src/dbus/Makefile.am:
	* src/dbus/gpm-dbus-ui.xml:
	* src/gpm-manager.c: (gpm_manager_init):
	* src/gpm-powermanager.h:
	* src/gpm-tray-icon.c: (gpm_ui_get_description), (gpm_ui_get_icon):
	* src/gpm-tray-icon.h:
	Add this new dbus interface so we can provide an alternate UI
	environment, for instance for XFCE or OLPC.

	* src/gpm-cpufreq.c: (gpm_cpufreq_get_governors):
	Use ondemand, not conservative.

2006-12-19  Richard Hughes  <richard@hughsie.com>

	* data/gnome-power-manager.schemas.in:
	Change default to be ondemand at 85 performance on AC and
	ondemand at 25 performance on battery. Ubuntu set ondemand
	by default, and have had no bad reports.
	The rationale for this change is that we should still save
	power on AC, there's no point having the processor run at
	100 percent when the system is idle.

	* src/gpm-cpufreq.c: (gpm_cpufreq_set_performance):
	Allow setting the performance for the dynamic policies.

2006-12-19  Francisco Javier F. Serrador  <serrador@openshine.com>

	* applets/inhibit/inhibit-applet.c (GPM_INHIBIT_APPLET_NAME):
	Fixed typo

2006-12-18  Richard Hughes  <richard@hughsie.com>

	* data/gpm-prefs.glade:
	Change the accesskeys to be unique.

2006-12-18  Richard Hughes  <richard@hughsie.com>

	* configure.in: Post release bump to 2.17.5

2006-12-18  Richard Hughes  <richard@hughsie.com>

	==== Version 2.17.4 ====

2006-12-18  Richard Hughes  <richard@hughsie.com>

	* applets/brightness/Makefile.am:
	* applets/inhibit/Makefile.am:
	Fix a couple of aclocal warnings.

	* help/es/.cvsignore:
	Yes, I get upset with the ? output of cvs diff.

2006-12-17  Richard Hughes  <richard@hughsie.com>

	* data/gpm-prefs.glade:
	Make grammar changes as suggested by Tino Meinen.

2006-12-17  Richard Hughes  <richard@hughsie.com>

	* src/gpm-prefs-core.c: (prefs_setup_notification):
	When on battery power remove the never option because
	there is no use case for this.

2006-12-17  Richard Hughes  <richard@hughsie.com>

	* data/gpm-prefs.glade:
	Correct the grammar in two places.

	* data/gnome-power-manager.schemas.in:
	* src/gpm-conf.h:
	* src/gpm-srv-brightness-lcd.c: (idle_changed_cb):
	Split the policy for dimming the screen, defaulting to on
	for battery power and off for on AC.

	* src/gpm-srv-cpufreq.c: (gpm_srv_cpufreq_new):
	Remove double ;;.

2006-12-17  Richard Hughes  <richard@hughsie.com>

	* data/gnome-power-manager.schemas.in:
	* src/gpm-conf.h:
	* src/gpm-manager.c:
	Don't use our own custom key for saving the session on
	shutdown, instead use the gnome-session "auto-save" key.
	Based on a patch from Bernat Tallaferro, many thanks.
	Fixes #375682

2006-12-16  Richard Hughes  <richard@hughsie.com>

	* help/C/figures/gpm-prefs-ac.png:
	* help/C/figures/gpm-prefs-actions.png:
	* help/C/figures/gpm-prefs-battery.png:
	* help/C/figures/gpm-prefs-display.png:
	* help/C/figures/gpm-prefs-general.png:
	* help/C/figures/gpm-prefs-notification.png:
	* help/C/figures/gpm-prefs-processor.png:
	* help/C/figures/gpm-prefs-sleep.png:
	* help/C/gnome-power-manager.xml:
	Update the help files and figures to reflect the new
	gnome-power-preferences UI.

2006-12-16  Richard Hughes  <richard@hughsie.com>

	* data/gpm-prefs.glade:
	Merge the preferences and general tab into a single general
	tab. Having one or two options in an empty tab looked bad.

	* tools/gnome-power-bugreport.sh:
	Typos and little optimizations.

2006-12-10  Richard Hughes  <richard@hughsie.com>

	* Makefile.am:
	* configure.in:
	* data/gnome-power-manager.desktop.in:
	* data/gnome-power-preferences.desktop.in:
	* tools/.cvsignore:
	* tools/Makefile.am:
	* tools/gnome-power-bugreport.sh:
	Add gnome-power-bugreport.sh so we can automatically make my
	life easier using X-GNOME-Bugzilla-ExtraInfoScript.

2006-12-09  Richard Hughes  <richard@hughsie.com>

	* src/dbus/Makefile.am:
	* src/dbus/gpm-dbus-dpms.xml:
	* src/dbus/gpm-dbus-manager.xml:
	* src/gpm-dpms.c:
	* src/gpm-dpms.h:
	* src/gpm-manager.c:
	* src/gpm-manager.h:
	* src/gpm-powermanager.h:
	* src/gpm-srv-dpms.c:
	* src/gpm-srv-dpms.h:
	* src/gpm-srv-screensaver.c:
	Move the DBUS interface from the manager to
	/org/gnome/PowerManager/Dpms so we can start to modularize
	the interface for standardization.

2006-12-09  Richard Hughes  <richard@hughsie.com>

	* help/C/gnome-power-manager.xml:
	Fix a few spellings of timeout, fixes #383116.

2006-12-08  Richard Hughes  <richard@hughsie.com>

	* data/gpm-prefs.glade:
	* src/gpm-prefs-core.c:
	Covert the glade file to be On Ac Power and On Battery Power
	as we can now fit them in the single panes.
	Also make more HIG compliant and add accesskeys.

2006-12-06  Richard Hughes  <richard@hughsie.com>

	* data/gnome-power-manager.schemas.in:
	* data/gpm-prefs.glade:
	* src/gpm-manager.c:
	* src/gpm-prefs-core.c:
	Remove the auto-sleep type from the UI. If on battery we
	default to hibernation and if on AC then we suspend.
	If one sleep mode is not available, then the other is tried.
	The defaults can be changed in gconf if required.

2006-12-06  Richard Hughes  <richard@hughsie.com>

	* src/gpm-prefs-core.c:
	Add back the 'move slider to none' functionality we had in
	2.16.x - the drop down is too complicated.

2006-12-06  Richard Hughes  <richard@hughsie.com>

	* data/gpm-prefs.glade:
	* src/gpm-cpufreq.c: (gpm_cpufreq_get_governors):
	* src/gpm-prefs-core.c:
	Remove all traces of userspace cpufrequency governer from
	the UI. You can still set this in gconf if you wish.

2006-12-05  Richard Hughes  <richard@hughsie.com>

	* help/C/gnome-power-manager.xml:
	Apply another fix by Jorge Gonzalez, many thanks. #380920

2006-12-05  Richard Hughes  <richard@hughsie.com>

	* help/C/gnome-power-manager.xml:
	Apply a couple of fixes by Jorge Gonzalez, many thanks.
	Fixes #381928 and #381930.

2006-12-05  Richard Hughes  <richard@hughsie.com>

	* applets/inhibit/inhibit-applet.c:
	* data/icons/16x16/Makefile.am:
	* data/icons/16x16/gpm-inhibit.png:
	* data/icons/22x22/Makefile.am:
	* data/icons/22x22/gpm-inhibit.png:
	* data/icons/24x24/Makefile.am:
	* data/icons/24x24/gpm-inhibit.png:
	* data/icons/scalable/Makefile.am:
	* data/icons/scalable/gpm-inhibit.svg:
	Add gpm-inhibit icon kindly drawn by Lapo Calamandrei.
	Many thanks for this fantastic artwork.

2006-12-04  Richard Hughes  <richard@hughsie.com>

	* configure.in: Post release bump to 2.17.4

2006-12-04  Richard Hughes  <richard@hughsie.com>

	==== Version 2.17.3 ====

2006-12-01  Richard Hughes  <richard@hughsie.com>

	* TODO:
	Update info about interfaces.

	* src/gpm-manager.c: (gpm_manager_is_inhibit_valid):
	Add another string I'll need translating soon.

2006-11-30  Stuart Hood  <stuhood@gmail.com>

	* src/gpm-power.c:
	Instead of showing "missing" as the catchall, show "discharging".
	Fixes #364450

2006-11-30  Stuart Hood  <stuhood@gmail.com>

	* src/gpm-power.c:
	* src/gpm-power.h:
	Calculate the smoothed rate from device caches,
	instead of devices. Fixes #361583

2006-11-27  Richard Hughes  <richard@hughsie.com>

	* applets/Makefile.am:
	* applets/inhibit/.cvsignore:
	* applets/inhibit/GNOME_InhibitApplet.server.in.in:
	* applets/inhibit/GNOME_InhibitApplet.xml:
	* applets/inhibit/Makefile.am:
	* applets/inhibit/inhibit-applet.c:
	* applets/inhibit/inhibit-applet.h:
	* configure.in:
	* po/POTFILES.in:
	Add the initial version of the inhibit applet. Needs work.

2006-11-27  Richard Hughes  <richard@hughsie.com>

	* configure.in:
	* src/Makefile.am:
	* src/gpm-interface-brightness-lcd.xml:
	* src/gpm-interface-manager.xml:
	* src/gpm-interface-statistics.xml:
	* src/gpm-main.c:
	* src/gpm-manager.c:
	* src/dbus/.cvsignore:
	* src/dbus/Makefile.am:
	* src/dbus/gpm-dbus-brightness-lcd.xml:
	* src/dbus/gpm-dbus-manager.xml:
	* src/dbus/gpm-dbus-statistics.xml:
	Move the interface files into thier own directory.

2006-11-27  Richard Hughes  <richard@hughsie.com>

	* TODO:
	Add some notes about the new DBUS API.

	* applets/brightness/brightness-applet.c: (retrieve_icon):
	Fix comment style.

	* src/gpm-powermanager.c:
	* src/gpm-powermanager.h:
	Add the inhibit methods needed for the new applet.

2006-11-26  Richard Hughes  <richard@hughsie.com>

	* docs/faq.html:
	* docs/faq.xml:
	* docs/index.html:
	Add a new FAQ from Olivier Berger about debian etch.
	Also remove the obsolete entries that no longer apply.

2006-11-26  Richard Hughes  <richard@hughsie.com>

	* applets/brightness/.cvsignore:
	* applets/brightness/brightness-applet.c:
	Apply a patch from Benjamin Canou:
	Correct the bonobo leak and the crash when removing the
	applet from the panel.

2006-11-25  Richard Hughes  <richard@hughsie.com>

	* applets/brightness/brightness-applet.c:
	A few minor changes:
	- Use the global g-p-m version, not 0.1
	- Use the gnome-power-manager yelp file.
	- Set the applet name prefix to be 'Power Manager' to
	indicate it's part of the same package.
	- Make some localised text a little nicer.

2006-11-25  Richard Hughes  <richard@hughsie.com>

	* applets/brightness/GNOME_BrightnessApplet.server.in.in:
	* applets/brightness/brightness-applet.c:
	Use the correct icon name so we show up in the panel.

2006-11-25  Richard Hughes  <richard@hughsie.com>

	* AUTHORS:
	* applets/Makefile.am:
	* applets/brightness/.cvsignore:
	* applets/brightness/GNOME_BrightnessApplet.server.in.in:
	* applets/brightness/GNOME_BrightnessApplet.xml:
	* applets/brightness/Makefile.am:
	* applets/brightness/brightness-applet.c:
	* applets/brightness/brightness-applet.h:
	* configure.in:
	Apply patch from Benjamin Canou <bookeldor@gmail.com> to add
	the new brightness applet. Many thanks for this great new
	feature, and really good chunk of code.

2006-11-25  Richard Hughes  <richard@hughsie.com>

	* src/gpm-powermanager.h:
	Move all the duplicated DBUS defines here.

	* src/Makefile.am:
	* src/gpm-manager.c:
	* src/gpm-prefs-core.c:
	* src/gpm-statistics-core.c:
	Use gpm-powermanager.h rather than defining them ourselves.

	* src/gpm-powermanager.c:
	Provide a simple accessor class so that the brightness applet
	can easily talk to g-p-m. Just create an instance of this
	class, and then don't worry about DBUS. ;-)

2006-11-25  Richard Hughes  <richard@hughsie.com>

	* src/.cvsignore:
	* src/Makefile.am:
	* src/gpm-interface-brightness-lcd.xml:
	* src/gpm-manager.c: (gpm_manager_init):
	* src/gpm-srv-brightness-lcd.c:
	* src/gpm-srv-brightness-lcd.h:
	Add the DBUS service org.gnome.PowerManager.BrightnessLcd
	This name might change, as might the method names, so don't
	use this outside of gnome-power-manager for now.

2006-11-25  Richard Hughes  <richard@hughsie.com>

	* Makefile.am:
	* applets/.cvsignore:
	* applets/Makefile.am:
	* applets/brightness-applet/.cvsignore:
	* configure.in:
	Add some initial build files for the new applet stuff.
	This is half of a patch from Benjamin Canou, and the other
	bits will be merged tomorrow. Many thanks Benjamin!

2006-11-24  Richard Hughes  <richard@hughsie.com>

	* configure.in:
	Add --enable-applets. Currently disabled.

2006-11-24  Pascal Terjan  <pterjan@linuxfr.org>

	* src/gpm-button.c: (emit_button_pressed):
	don't crash if hal tell us that a button was pressed but then can
	not give the type.

2006-11-24  Richard Hughes  <richard@hughsie.com>

	* src/gpm-prefs-core.c: (prefs_setup_notification):
	Hide the 'When battery present' option when there is no
	primary batteries or UPS's in the system.
	This does mean neither option will be selected in the GUI for
	desktop PC's from first-install, which is why a better
	solution should probably be found. Fixes #363757

2006-11-24  Richard Hughes  <richard@hughsie.com>

	* src/gpm-prefs-core.c: (gpm_prefs_enable_widget),
	As per GNOME HIG, don't hide the disabled sliders, but
	grey them out instead.

2006-11-24  Richard Hughes  <richard@hughsie.com>

	* src/gpm-debug.c:
	Don't try to use the global buffer recursively. Fixes #378171

	* src/gpm-hal.c: (gpm_hal_filter_error):
	Don't filter remote exceptions. Fixes #378179

	* src/gpm-manager.c:
	Save to syslog when suspend or hibernate failed.

2006-11-19  Richard Hughes  <richard@hughsie.com>

	* src/gpm-hal.c: (gpm_hal_filter_error):
	Fix a crasher when suspend or hibernate failed.

2006-11-19  Richard Hughes  <richard@hughsie.com>

	* src/gpm-graph-widget.c:
	* src/gpm-graph-widget.h:
	* src/gpm-info.c:
	* src/gpm-info.h:
	* src/gpm-manager.c:
	* src/gpm-statistics-core.c:
	Complete the GpmGraphWidget separation, so now event policy is
	not enforced in the graph, but in the object that initializes
	the graph. This means we can have a dynamic key that only
	displays relevant entries, which I've done as well.
	Added DPMS state change entries also, so we now display all
	the events on the graph.

2006-11-18  Richard Hughes  <richard@hughsie.com>

	* src/gpm-ac-adapter.c: (gpm_ac_adapter_new):
	* src/gpm-battery.c: (gpm_battery_new):
	* src/gpm-brightness-lcd.c: (gpm_brightness_lcd_new):
	* src/gpm-button.c: (gpm_button_new):
	* src/gpm-conf.c: (gpm_conf_new):
	* src/gpm-cpufreq.c: (gpm_cpufreq_new):
	* src/gpm-dbus-monitor.c: (gpm_dbus_monitor_new):
	* src/gpm-dpms.c: (gpm_dpms_new):
	* src/gpm-hal.c: (gpm_hal_init), (gpm_hal_new):
	* src/gpm-idle.c: (gpm_idle_new):
	* src/gpm-power.c: (gpm_power_new):
	Convert all singletons to use a local static.

	* src/gpm-manager.c: (gpm_manager_init):
	Make sure we don't warn we on battery at startup.

2006-11-15  Richard Hughes  <richard@hughsie.com>

	* configure.in:
	* help/C/gnome-power-manager.xml:
	* src/gpm-manager.c:
	Add gnome-keyring functionality to lock keyrings when
	sleeping. This fixes #375681 - but means gnome-power-manager
	must have gnome-keyring development files to build from
	now on.

	* src/gpm-notify.c: (power_perhaps_recall_cb):
	Change 'don't' to 'do not'.

	* src/gpm-srv-dpms.c: (gpm_srv_dpms_sync_policy):
	Fix a typo in a comment.

	* src/gpm-manager.c: (battery_status_changed_primary):
	Fix a race where percentage_charge can be momentarily zero
	at startup. This fixes an incorrect 'fully charged'
	notification on startup.

2006-11-15  Richard Hughes  <richard@hughsie.com>

	* help/C/gnome-power-manager.xml:
	Add missing abstract. Fixes #374780

2006-11-15  Richard Hughes  <richard@hughsie.com>

	* po/POTFILES.in:
	* src/Makefile.am:
	* src/gpm-notify.c:
	* src/gpm-notify.h:
	Create this notification abstraction class and add the code
	needed for the battery recall buttons.

	* src/gpm-manager.c:
	* src/gpm-tray-icon.c:
	* src/gpm-tray-icon.h:
	Remove duplicated and muddled code.

2006-11-15  Richard Hughes  <richard@hughsie.com>

	* help/C/gnome-power-manager.xml:
	Fix the maintainers field.

	* .cvsignore:
	* src/gpm-tray-icon.c: (libnotify_event):
	Add *.log, and a demo of what I want.

2006-11-15  Richard Hughes  <richard@hughsie.com>

	* data/gnome-power-manager.schemas.in:
	* src/gpm-conf.h:
	* src/gpm-manager.c: (power_battery_status_perhaps_recall_cb):
	* src/gpm-power.c:
	Allow the distribution or user to turn off the recall warning.

2006-11-14  Richard Hughes  <richard@hughsie.com>

	* src/gpm-prefs.c: (gtkuniqueapp_command_cb):
	* src/gpm-statistics.c: (gtkuniqueapp_command_cb):
	Another s/libguniqueapp/GtkUnique.

2006-11-14  Richard Hughes  <richard@hughsie.com>

	* configure.in:
	* src/Makefile.am:
	* src/gpm-prefs.c: (gtkuniqueapp_command_cb):
	* src/gpm-statistics.c: (gtkuniqueapp_command_cb):
	Use GtkUnique rather than libguiqueapp.

2006-11-14  Richard Hughes  <richard@hughsie.com>

	* src/gpm-graph-widget.c: (gpm_graph_widget_key_add):
	* src/gpm-graph-widget.h:
	* src/gpm-statistics-core.c: (gpm_statistics_init):
	Begin to abstract out the events from the graph code.
	No functional changes.

2006-11-12  Richard Hughes  <richard@hughsie.com>

	* docs/dbus-interface.html:
	* docs/faq.html:
	* docs/icon-scheme.html:
	* docs/index.html:
	* docs/sleep-names.html:
	Regenerate.

	* src/.cvsignore:
	* src/run-gpm.sh:
	* src/valgrind-gpm.sh:
	Save the output in .log files.

	* src/gpm-ac-adapter.c:
	Tab fixes.

	* src/gpm-brightness-kbd.c:
	* src/gpm-brightness-kbd.h:
	* src/gpm-brightness-lcd.c:
	* src/gpm-brightness-lcd.h:
	Send a signal when the brightness is manually changed.

	* src/gpm-hal.c:
	Only try to clear the error if we are using a new HAL.

	* src/gpm-manager.c:
	Don't re-use the manager object on atexit as it produces an
	invalid read using valgrind.

	* src/gpm-srv-brightness-kbd.c:
	* src/gpm-srv-brightness-lcd.c:
	* src/gpm-srv-brightness-lcd.h:
	Add back the brightness changed UI by connecing to the
	brightness-changed signal.

	* src/gpm-srv-cpufreq.c:
	Set the policy before the nice, else we get a warning.

2006-11-10  Richard Hughes <richard@hughsie.com>

	* po/POTFILES.in:
	* src/Makefile.am:
	* src/README:
	* src/gpm-sound.c:
	* src/gpm-sound.h:
	Make a new GpmSound class.

	* src/gpm-common.c:
	* src/gpm-common.h:
	* src/gpm-manager.c:
	Use the GpmSound class.

2006-11-10  Richard Hughes <richard@hughsie.com>

	* po/POTFILES.in:
	* src/Makefile.am:
	* src/gpm-policy.c:
	* src/gpm-policy.h:
	Create a policy class so we can get at it from other than
	the manager class.

	* src/gpm-manager.c:
	* src/gpm-tray-icon.c:
	Use GpmPolicy. More code out of manager. Yay.

2006-11-10  Richard Hughes <richard@hughsie.com>

	* po/POTFILES.in:
	* src/Makefile.am:
	* src/README:
	* src/gpm-brightness-kbd.c:
	* src/gpm-brightness-kbd.h:
	* src/gpm-brightness-lcd.c:
	* src/gpm-brightness-lcd.h:
	* src/gpm-cpufreq.c:
	* src/gpm-cpufreq.h:
	* src/gpm-dpms.c:
	* src/gpm-dpms.h:
	* src/gpm-manager.c:
	* src/gpm-screensaver.c:
	* src/gpm-screensaver.h:
	* src/gpm-srv-brightness-kbd.c:
	* src/gpm-srv-brightness-kbd.h:
	* src/gpm-srv-brightness-lcd.c:
	* src/gpm-srv-brightness-lcd.h:
	* src/gpm-srv-cpufreq.c:
	* src/gpm-srv-cpufreq.h:
	* src/gpm-srv-dpms.c:
	* src/gpm-srv-dpms.h:
	* src/gpm-srv-screensaver.c:
	* src/gpm-srv-screensaver.h:
	Split the policy and the action of each state machine.
	GpmSrv* is the policy, and Gpm* is the action.
	src/README will explain more.
	I've also broken the brightness UI in the process.
	I'll fix that real soon, I promise.

2006-11-10  Richard Hughes <richard@hughsie.com>

	* src/screensaver.c (gpm_screensaver_auth_begin):
	Fix a crasher when unlocking the screen. #373278

2006-11-10  Richard Hughes <richard@hughsie.com>

	Adapted from a patch from David Zeuthen <david@fubar.dk>:

	* src/gpm-hal.c:
	* src/gpm-hal.h:
	Add gpm_hal_has_suspend_error, gpm_hal_has_hibernate_error
	gpm_hal_clear_suspend_error, gpm_hal_clear_hibernate_error
	to support the new suspend error reporting.

	* src/gpm-main.c: (main):
	Don't register the dbus interface twice.

	* src/gpm-manager.c:
	Add in logic and translations for detecting a resume failure.

	* src/gpm-screensaver.c:
	Cosmetic changes.

2006-11-09  Richard Hughes <richard@hughsie.com>

	* src/gpm-graph-widget.c:
	* src/gpm-graph-widget.h:
	* src/gpm-info.c: (idle_changed_cb):
	Don't refer to screen dim when we are talking about session
	idle and resume.

2006-11-09  Richard Hughes <richard@hughsie.com>

	* src/gpm-proxy.h:
	* src/gpm-proxy.c: (gpm_proxy_is_connected):
	Add this new method to see if the proxy if connected.

	* src/gpm-statistics-core.c: (gpm_statistics_init):
	Check if the proxy is valid, and if not warn the user.

	* src/gpm-statistics-core.c: (gpm_statistics_refresh_data):
	Only get the data for non-null data. Should fix #372703.

2006-11-09  Richard Hughes <richard@hughsie.com>

	* po/POTFILES.in:
	* src/Makefile.am:
	* src/gpm-manager.c:
	* src/gpm-warning.c:
	* src/gpm-warning.h:
	Abstract some of the warning code to GpmWarning - we can make
	a few optimisations while we are here also.

2006-11-08  Richard Hughes <richard@hughsie.com>

	* src/gpm-manager.c: (ac_adapter_changed_cb):
	Reset the event time only after we have checked for
	event_when_closed so we actually perform the action rather
	than fail the check. Should fix #366526.

2006-11-08  Richard Hughes <richard@hughsie.com>

	* src/Makefile.am:
	* src/gpm-brightness-kbd.c:
	* src/gpm-brightness-lcd.c:
	* src/gpm-dpms.c:
	* src/gpm-info.c:
	* src/gpm-manager.c:
	Move more of the idle functionality into gpm-dpms and make
	a few other cosmetic changes. I should have done this
	state machine stuff ages ago, it's made the code much easier
	for my little brain to comprehend.

2006-11-08  Richard Hughes <richard@hughsie.com>

	* src/gpm-idle.c:
	* src/gpm-idle.h:
	Change the signal name from 'changed' to 'idle-changed'.

	* src/gpm-brightness-kbd.c:
	* src/gpm-manager.c:
	Move the keyboard dim functionality into the GpmBrightnessKbd
	module where it belongs.

2006-11-08  Richard Hughes <richard@hughsie.com>

	* src/gpm-screensaver.c:
	* src/gpm-screensaver.h:
	Emit an event when idle mode is changed.

	* src/gpm-idle.c:
	* src/gpm-idle.h:
	Use a GpmScreensaver object rather than trying (wrongly) to
	handle the dbus connection ourselves.
	Also make into singleton, and tidy up.

	* src/gpm-manager.c:
	Small tidy-up.

	* src/gpm-tray-icon.c:
	Use gpm_debug in one case rather than g_debug.

2006-11-08  Richard Hughes <richard@hughsie.com>

	* data/gnome-power-manager.schemas.in:
	* src/gpm-conf.h:
	* src/gpm-manager.c: (idle_changed_cb):
	* src/gpm-screensaver.c: (update_lid_throttle):
	Apply a patch from Johannes Hansen (slightly tweaked by me)
	to better support using a laptop with an external monitor and
	keyboard connected. This uses a gconf key for now, but support
	should be added to HAL in the future to detect this docked
	case automatically. Fixes #365016.

2006-11-07  Richard Hughes <richard@hughsie.com>

	* src/gpm-screensaver.c:
	When we add a DPMS state throttle, remove the last one if set.
	This fixes the bug where the screensaver would not show if
	DPMS had been allowed to activate. Fixes #355279.

2006-11-07  Richard Hughes <richard@hughsie.com>

	* data/gpm-prefs.glade:
	Fix the duplicated action table name that was causing the
	battery item to show on desktops.

2006-11-07  Richard Hughes <richard@hughsie.com>

	* data/gnome-power-manager.schemas.in:
	Make the shutdown when critical levels a little less critical.

	* data/gpm-prefs.glade:
	Fix the duplicated table names that was causing the battery
	items to show on desktops.

	* src/gpm-manager.c:
	* src/gpm-tray-icon.c:
	Move the tray sync on HAL restart code into GpmTrayIcon.

	* src/gpm-info-data.c:
	* src/gpm-info-data.h:
	Move the gonject init stuff to the end of the file.

2006-11-02  Richard Hughes <richard@hughsie.com>

	* src/gpm-manager.c: (power_battery_status_perhaps_recall_cb)
	Add a translated string that I'll be using soon.

	* src/gpm-power.c:
	* src/gpm-power.h:
	Don't proxy the battery removed signal, we should use the GpmBattery
	class directly.

	* src/gpm-manager.c:
	* src/gpm-tray-icon.c:
	Use the GpmBattery class directly, and move funcionality from
	GpmManager class.

2006-11-02  Richard Hughes <richard@hughsie.com>

	* src/gpm-battery.c:
	Only add and remove batteries if sane. This uses a hashtable to keep
	track of what batteries we are watching and should fix #369488.

	* src/gpm-refcount.c: (gpm_refcount_set_timeout):
	In an error, just assume 1000ms else we don't get refcount timeouts.

2006-11-02  Richard Hughes <richard@hughsie.com>

	* data/gnome-power-manager.schemas.in:
	Use /apps/gnome-power-manager/enable_sounds rather than mentioning
	the pc beeper as we are now using gstreamer.

	* data/gnome-power-manager.schemas.in:
	* src/gpm-conf.h:
	* src/gpm-power.c: (gpm_power_init):
	Add /apps/gnome-power-manager/invalid_timeout as some machines take
	a massive amount of time to settle down after an ac adapter event.
	I don't want to penalise correct machines with a lag when it's only
	a small proportion that have this problem.

	* src/gpm-refcount.c: (gpm_refcount_set_timeout):
	Check for a refcount of zero, and warn if set.

2006-11-02  Richard Hughes <richard@hughsie.com>

	* po/POTFILES.in:
	* src/Makefile.am:
	* src/gpm-battery.c:
	* src/gpm-battery.h:
	* src/gpm-hal-monitor.c:
	* src/gpm-hal-monitor.h:
	* src/gpm-manager.c:
	* src/gpm-power.c:
	Rename GpmHalMonitor to GpmBattery as this is all we do now.
	My renaming spree has ended now, the sanity can continue.

	* src/gpm-tray-icon.c:
	Set the libnotify to NULL after we unref it, which will probably fix
	the crash in #365279

2006-11-02  Richard Hughes <richard@hughsie.com>

	* src/gpm-button.c:
	* src/gpm-hal-monitor.c:
	* src/gpm-power.c:
	Move the HAL button code from gpm-hal-monitor to gpm-button.

2006-11-02  Richard Hughes <richard@hughsie.com>

	* po/POTFILES.in:
	* src/Makefile.am:
	* src/gpm-ac-adapter.c:
	* src/gpm-ac-adapter.h:
	Create a new class for the AC adapter. Simple and easy.

	* src/gpm-brightness-kbd.c:
	* src/gpm-brightness-lcd.c:
	* src/gpm-cpufreq.c:
	* src/gpm-dpms.c:
	* src/gpm-info.c:
	* src/gpm-manager.c:
	* src/gpm-screensaver.c:
	* src/gpm-tray-icon.c:
	Use the new GpmAcAdapter class and get rid of the GpmPower dep.

	* src/gpm-hal.c:
	* src/gpm-hal.h:
	Remove the silly hardcoded function.

	* src/gpm-hal-monitor.c:
	* src/gpm-hal-monitor.h:
	* src/gpm-power.c:
	* src/gpm-power.h:
	Rip out the *three-times-layered* ac-adapter handling.

	* src/gpm-power.c:
	Change the settling timeout to be 500ms so we don't get so much of
	a delay on unplug before we hear the click.

	* src/gpm-tray-icon.c:
	Make sure we actually get rid of any notification on AC.

2006-10-30  Richard Hughes <richard@hughsie.com>

	* src/gpm-common.c: (gpm_event_sound):
	* src/gpm-common.h:
	* src/gpm-manager.c:
	Only make a sound if we are allowed to in gconf.

	* src/gpm-tray-icon.c: (libnotify_event):
	Set the notification NULL if we cleared if to avoid an error if the
	user clicks two notifications at once.

2006-10-30  Richard Hughes <richard@hughsie.com>

	* data/sounds/Makefile.am:
	* data/sounds/gpm-critical-power.wav:
	* data/sounds/gpm-suspend-failure.wav:
	* data/sounds/gpm-unplugged.wav:
	Add some sample sounds done by me.

2006-10-30  Richard Hughes <richard@hughsie.com>

	* configure.in:
	* data/Makefile.am:
	* data/sounds/.cvsignore:
	* data/sounds/Makefile.am:
	* src/gpm-common.c:
	* src/gpm-common.h:
	* src/gpm-manager.c:
	Add really basic support for gpm_event_sound() so we can make a sound
	when critical events happen.

2006-10-30  Richard Hughes <richard@hughsie.com>

	* src/gpm-hal.c:
	Make suspend and hibernate work by using the correct power interface
	rather than the manager interface.
	Find/replace can bite you in the ass sometimes. :-)

2006-10-28  Richard Hughes <richard@hughsie.com>

	* src/gpm-button.c:
	* src/gpm-button.h:
	* src/gpm-info.c:
	* src/gpm-manager.c:
	* src/gpm-screensaver.c:
	Move the lid detection into the button class.

2006-10-28  Richard Hughes <richard@hughsie.com>

	* src/gpm-info.c:
	* src/gpm-manager.c:
	Move some logging out of the manager and into the GpmInfo class.

2006-10-28  Richard Hughes <richard@hughsie.com>

	* po/POTFILES.in:
	* src/Makefile.am:
	* src/gpm-dpms.c:
	* src/gpm-hal-monitor.c:
	* src/gpm-hal-power.c:
	* src/gpm-hal-power.h:
	* src/gpm-hal.c:
	* src/gpm-hal.h:
	* src/gpm-info.c:
	* src/gpm-manager.c:
	* src/gpm-power.c:
	Remove GpmHalPower and add the functionality to GpmHal - there's no
	point having two gobjects doing basically the same thing.

2006-10-28  Richard Hughes <richard@hughsie.com>

	* src/gpm-hal-brightness-sensor.c:
	* src/gpm-hal-brightness-sensor.h:
	Remove these spare files that escaped the cvs rm session.

2006-10-28  Richard Hughes <richard@hughsie.com>

	* src/gpm-manager.c:
	* src/gpm-tray-icon.c:
	* src/gpm-tray-icon.h:
	Move some stuff out of the manager into the tray icon class.
	This one was easy. :-)

2006-10-28  Richard Hughes <richard@hughsie.com>

	* src/gpm-dpms.c:
	Make into singleton.

	* src/Makefile.am:
	* src/gpm-manager.c:
	* src/gpm-screensaver.c:
	Move some more functionality away from the manager class into the
	screensaver class. The idea is that GpmScreensaver should handle
	all interactions with the screensaver, even dimming and undimming the
	screen when the screensaver wants.

	* src/gpm-brightness-lcd.c:
	Make into a singleton so we can use this in the screensaver class.

2006-10-28  Richard Hughes <richard@hughsie.com>

	* src/Makefile.am:
	* src/gpm-brightness-kbd.c:
	* src/gpm-brightness-lcd.c:
	* src/gpm-button.c:
	* src/gpm-button.h:
	Abstract the button class further so that we don't need to setup
	callbacks on GpmPower to get hal buttons.

	* src/gpm-manager.c:
	* src/gpm-screensaver.c:
	* src/gpm-screensaver.h:
	Detect the lock button here, not in the manager.

2006-10-28  Richard Hughes <richard@hughsie.com>

	* src/gpm-dpms.c:
	* src/gpm-dpms.h:
	* src/gpm-manager.c:
	Actually handle the DPMS policy in the dpms class. Removes a chunk of
	code from the manager.

2006-10-28  Richard Hughes <richard@hughsie.com>

	* src/Makefile.am:
	Add a couple of modules to the prefs program for deps.

	* po/POTFILES.in:
	* src/gpm-brightness-kbd.c:
	* src/gpm-brightness-kbd.h:
	* src/gpm-brightness-lcd.c:
	* src/gpm-brightness-lcd.h:
	* src/gpm-cpufreq.c:
	* src/gpm-cpufreq.h:
	* src/gpm-inhibit.c:
	* src/gpm-light-sensor.c:
	* src/gpm-light-sensor.h:
	* src/gpm-prefs-core.c:
	Remove the HAL prefix from these classes.

	* src/gpm-manager.c:
	Move some of the state functionality from the manager into the
	objects. The manager is a mess and stuff needs to be better contained
	in thier own classes.
	The idea is that a class, say for instance the cpufreq class, is aware
	of what to do on ac-state-change and does it itself. Therefore all the
	functionality is in this module rather than half in the module and half
	in the manager.
	All the multiply used classes are singletons and so we don't use any
	more memory.

2006-10-28  Richard Hughes <richard@hughsie.com>

	* src/gpm-main.c: (main):
	Daemonize earlier than we connect to the system messagebus to fix
	#366057 so we can support PolicyKit and ConsoleKit.

	* .cvsignore:
	Add NEWS.new, the way I keep track of changes internally.

	* configure.in:
	Bump to 2.17.3, this was never done after the bodge release.

	* src/gpm-button.c: (gpm_button_new):
	Make into a singleton for future work.

2006-10-24  Harry Lu  <harry.lu@sun.com>

	* configure.in: enable '-Wall' only for gcc. Add '-lresolv -lXext'
	to GPM_EXTRA_LIBS.
	* src/Makefile.am: Add GPM_EXTRA_LIBS to gnome_power_manager_LDADD.

2006-10-24  Richard Hughes <richard@hughsie.com>

	* data/icons/16x16/gpm-primary-100-charging.png:
	Add charging flash to match the other charging icons. Fixes #364574.

2006-10-24  Richard Hughes <richard@hughsie.com>

	* docs/faq.xml:
	Add note mentioning that 2.6.19-rc3 does not need experimental flag.
	Many thanks to Stefan Schmidt for the info.

2006-10-23  Richard Hughes <richard@hughsie.com>

	* src/gpm-feedback-widget.c:
	* src/gpm-hal-brightness-kbd.c:
	* src/gpm-hal-brightness-lcd.c:
	* src/gpm-hal-light-sensor.c:
	* src/gpm-inhibit.c:
	* src/gpm-refcount.c:
	Remove a few non-required includes.

	* src/gpm-prefs-core.c: (gpm_prefs_init):
	Warn if glade file not found.

2006-10-23  Richard Hughes <richard@hughsie.com>

	* data/gpm-prefs.glade:
	Change the checkbox text to 'Dim the display when the computer is idle'
	to fix #363765.

2006-10-22  Richard Hughes <richard@hughsie.com>

	* src/gpm-manager.c: (battery_status_changed_primary):
	Don't do *any* action until the battery data is marked as valid.
	Patch from Stu Hood <stuhood@gmail.com>, many thanks.

	* src/gpm-info.c: (gpm_info_log_do_poll):
	Sanity check the rate and time values in case the hardware really
	goes screwy for a few seconds, and gets the values wrong.

2006-10-22  Richard Hughes <richard@hughsie.com>

	* data/gpm-graph.glade:
	Update The window title to be Power History rather than Power Graphs
	to match the drop down menu. Fixes #364200.

2006-10-22  Richard Hughes <richard@hughsie.com>

	* src/gpm-debug.c:
	Only allocate the var_args buffer once, globally. This stops us
	allocating and then deallocating 1024 byte chunks on each debug line.
	Fixes #363991, many thanks to Stu Hood.

2006-10-19  Richard Hughes <richard@hughsie.com>

	* src/gpm-tray-icon.c: (gpm_tray_icon_init):
	Oops. Fix compilation without libnotify. I hate #ifdefs.

2006-10-19  Richard Hughes <richard@hughsie.com>

	* src/gpm-tray-icon.c: (gpm_tray_icon_init):
	Properly initialise icon->priv->notify in the tray icon.
	This might fix #363446.

2006-10-18  Richard Hughes <richard@hughsie.com>

	* data/gpm-prefs.glade:
	Add a 'Make default' button in readyness for changing the system wide
	policy for all users.

	* po/POTFILES.in:
	* src/Makefile.am:
	* src/gpm-conf.c:
	* src/gpm-conf.h:
	* src/gpm-gconf.h:
	Replace the statatic header with a new GpmConf gobject to abstract
	getting and setting values from gconf.
	We'll need this for headless use where we might not have gconf
	available running as root.

	* src/gpm-common.c:
	* src/gpm-common.h:
	* src/gpm-hal-power.c:
	* src/gpm-info.c:
	* src/gpm-manager.c:
	* src/gpm-networkmanager.c:
	* src/gpm-polkit.c:
	* src/gpm-power.c:
	* src/gpm-prefs-core.c:
	* src/gpm-prefs.h:
	* src/gpm-screensaver.c:
	* src/gpm-statistics-core.c:
	* src/gpm-statistics.c:
	Looks a lot of changes, but basically use the GpmConf singleton rather
	than create a new copy of gconf_client for each object.
	This probably saves a little bit of memory, but it also makes the code
	look a lot better. ;-)

2006-10-18  Richard Hughes <richard@hughsie.com>

	* configure.in
	Change release to 2.17.2.1 so we can be included in the GNOME
	development release. See #363169 for details.

	* docs/dbus-interface.html:
	* docs/faq.html:
	* docs/icon-scheme.html:
	* docs/index.html:
	* docs/sleep-names.html:
	Regenerate with xmlto.

	* src/gpm-tray-icon.c: (gpm_tray_icon_finalize):
	Allow building without libnotify. My bad. Fixes #363169

2006-10-18  Richard Hughes  <richard@hughsie.com>

	==== Version 2.17.2 ====

2006-10-17  Richard Hughes <richard@hughsie.com>

	* src/gpm-hal-cpufreq.c: (gpm_hal_cpufreq_get_governor)
	Free the return string.

	* src/gpm-hal-cpufreq.c: (gpm_hal_cpufreq_finalize):
	Free any gobjects in use.

	* src/gpm-info-data.c: (gpm_info_data_free):
	Correct a typo that was stopping the info data being freed.

	* src/gpm-proxy.c: (gpm_proxy_finalize):
	Only unref if the object is not null. Paranoia.

	* src/gpm-tray-icon.c: (gpm_tray_icon_finalize):
	Free the strings in use by the gobject.

2006-10-17  Richard Hughes <richard@hughsie.com>

	* src/gpm-manager.c: (power_button_pressed_cb):
	Don't poke the screen when we shut the lid. This should stop the
	display going off, on, off when the lid is closed. Should fix #362694.

	* src/gpm-power.c: (battery_kind_cache_update):
	When we fall back to using the ac-adapter, we check the percentage.
	The percentage was set below the check, and thus always failed.
	Pointed out in #361583, and will probably affect multibattery laptops.

2006-10-17  Richard Hughes <richard@hughsie.com>

	* src/gpm-button.c: (gpm_button_grab_keystring), (gpm_button_init):
	Only allow single keys to be grabbed. It makes our life simpler.

	* src/gpm-tray-icon.c: (gpm_tray_icon_add_device):
	Use the localised general string to describe the battery device in the
	dropdown. This fixes #362690.

	* data/gnome-power-manager.schemas.in:
	* data/gpm-prefs.glade:
	* src/gpm-gconf.h:
	* src/gpm-manager.c: (idle_changed_cb):
	* src/gpm-prefs-core.c: (gpm_prefs_format_time_cb),
	Make the sleep options drop-downs like the other options, as feedback
	from a typical non-technical user (my girlfriend) was that is wasn't
	clear how to disable.

2006-10-16  Richard Hughes <richard@hughsie.com>

	* src/gpm-button.c: (gpm_button_init):
	Added another accesskey. Will fix up the X stuff in a few mins.

	* src/gpm-power.c: (gpm_power_get_battery_device_entry):
	* src/gpm-tray-icon.c: (gpm_tray_icon_add_device):
	Only add a battery to the drop down if present. Fixes #362690

2006-10-14  Richard Hughes <richard@hughsie.com>

	* configure.in:
	* po/POTFILES.in:
	* src/Makefile.am:
	* src/gpm-button.c:
	* src/gpm-button.h:
	* src/gpm-manager.c:
	Add XEVENTS functionality. This allows g-p-m to respond to events sent
	by X, as soon the kernel is going to be outputting INPUT events.
	Disabled by default. Very lightly tested.

2006-10-12  Richard Hughes <richard@hughsie.com>

	* data/gpm-prefs.glade:
	* src/gpm-prefs-core.c:
	Make the glade file spacing more correct. The extra hbox's also allow
	us to use a smaller amount of code to enable and disable rows.

2006-10-12  Richard Hughes <richard@hughsie.com>

	* src/gpm-hal-cpufreq.c: (gpm_hal_cpufreq_get_governors):
	When we have conservative and ondemand available, only expose
	conservative in the UI. They are too similar.

2006-10-12  Richard Hughes <richard@hughsie.com>

	* Makefile.am:
	Add a couple of fixes to make sure we can trivially build on debian.

	* src/gpm-power.c: (gpm_power_status_for_device_more):
	Change rate to be unit W, and capacity to be unit Wh.

2006-10-11  Richard Hughes <richard@hughsie.com>

	* .cvsignore:
	Add the .lineno files debian likes to chuck out.

	* configure.in:
	Check for HAL 0.5.8 and warn the user if they are using an old HAL.
	NOTE: The required dependency has not changed, but the recommended
	one has. You can still build with 0.5.6

	* src/gpm-power.c:
	Small whitespace fix.

2006-10-11  Richard Hughes <richard@hughsie.com>

	* po/POTFILES.in:
	* src/Makefile.am:
	* src/gpm-refcount.c:
	* src/gpm-refcount.h:
	Create this new object to be a general purpose refcounting object now
	that we are doing a similar thing in two places.

	* src/gpm-feedback-widget.c:
	Use the new beautiful GpmRefcount object rather than doing our own
	clunky thing.

	* src/gpm-hal-power.c:
	Make into a singleton as two things are using this in g-p-m.
	This fixes a pretty random crash in the SetLowMowerMode code. Oops.

	* src/gpm-manager.c:
	* src/gpm-power.c:
	* src/gpm-power.h:
	Add GpmRefcount functionality so that the data is tainted for a few
	seconds after a	power event.
	This means that we should not be shutting down or warning after just
	pulling the plug or starting up and waiting for HAL to update the
	battery charge values. This should fix #350374.

2006-10-10  Richard Hughes <richard@hughsie.com>

	* src/gpm-hal-cpufreq.c:
	* src/gpm-hal-cpufreq.h:
	* src/gpm-prefs-core.c:
	Get rid of gpm_hal_cpufreq_has_hardware and use the singleton method
	like we do for the brightness classes. This fixes a warning in the
	preferences code when you have a HAL not capable of cpufreq_control.

2006-10-10  Richard Hughes <richard@hughsie.com>

	* data/icons/scalable/gpm-keyboard-030.svg:
	* data/icons/scalable/gpm-mouse-030.svg:
	Make these icons have the correct 'fill' colour. Fixes #352416.

2006-10-10  Richard Hughes <richard@hughsie.com>

	* src/gpm-inhibit.c:
	* src/gpm-power.c:
	Apply a patch from Elijah Newren to remove markup in translatable
	messages. This fixes #360464.

	* configure.in:
	* src/gpm-tray-icon.c: (libnotify_event):
	OOps. Make this build.

2006-10-10  Richard Hughes <richard@hughsie.com>

	* src/gpm-graph-widget.c:
	* src/gpm-graph-widget.h:
	* src/gpm-info.c:
	* src/gpm-power.c:
	* src/gpm-power.h:
	* src/gpm-statistics-core.c:
	Display a graph for battery voltage. This is interesting for power
	people that want to calculate hysteresis. Like me.

	* configure.in:
	* src/gpm-tray-icon.c: (libnotify_event):
	Detect a new enough libnotify and enable the pointing code if new
	enough. This fixes #356431
	Distros should comment this check out if libnotify 0.4.2 has been
	patched from CVS.

2006-10-09  Gabor Kelemen  <kelemeng@gnome.hu>

	* src/gpm-graph-widget.c:
	Mark time measurement units for translation. Fix for bug #359089.

2006-10-06  Richard Hughes  <richard@hughsie.com>

	* src/gpm-manager.c:
	Now react immediatly when the user changes the cpufreq policy.
	Also clean up this the actions, and split the sync routine into
	it's seporate parts. It's more manageable this way, and reduces CPU
	load when you start changing bazzillions of gconf keys.

2006-10-05  Frederic Peters  <fpeters@0d.be>

	* configure.in:
	Don't define HAVE_LIBNOTIFY when libnotify is not found.

2006-10-01  Richard Hughes  <richard@hughsie.com>

	* po/POTFILES.in:
	Add a missing file (Marcel Telka)

	* src/Makefile.am:
	* src/gpm-hal-brightness-kbd.c:
	* src/gpm-hal-brightness-kbd.h:
	* src/gpm-hal-light-sensor.c:
	* src/gpm-hal-light-sensor.h:
	* src/gpm-manager.c:
	Merge some new light-sensor stuff based on a patch from David Zeuthen.
	This isn't finished yet - I need to take some more ideas from David's
	patch and merge them - along with some more ideas of my own on the
	feedback mechanism for the LCD and keyboard backlight.
	I've been busy this weekend - so coding will resume some point this
	week.

2006-09-29  Richard Hughes  <richard@hughsie.com>

	* src/gpm-hal-brightness-sensor.c:
	* src/gpm-hal-brightness-sensor.h:
	Add initial light sensor class that does nothing and isn't even connected
	up to make. This might give DavidZ something to work with.

2006-09-28  Richard Hughes  <richard@hughsie.com>

	* help/C/figures/gpm-info-devices.png:
	* help/C/figures/gpm-info-event-log.png:
	* help/C/figures/gpm-info-percentage.png:
	* help/C/figures/gpm-info-rate.png:
	* help/C/figures/gpm-info-time.png:
	* help/C/gnome-power-manager.xml:
	* help/Makefile.am:
	Remove the old info images and re-organise the help file a little bit.

2006-09-28  Richard Hughes  <richard@hughsie.com>

	* help/C/figures/gpm-mouse-left.png:
	* help/C/figures/gpm-mouse-right.png:
	* help/C/figures/gpm-prefs-ac.png:
	* help/C/figures/gpm-prefs-actions.png:
	* help/C/figures/gpm-prefs-battery.png:
	* help/C/figures/gpm-prefs-display.png:
	* help/C/figures/gpm-prefs-notification.png:
	* help/C/figures/gpm-prefs-options.png:
	* help/C/figures/gpm-prefs-processor.png:
	* help/C/figures/gpm-prefs-sleep.png:
	* help/C/figures/gpm-stats-graph.png:
	* help/C/gnome-power-manager.xml:
	* help/Makefile.am:
	Update the yelp pictures to reflect reality.

2006-09-28  Richard Hughes  <richard@hughsie.com>

	* src/gpm-feedback-widget.c:
	Fix the display of the feedback icon.

2006-09-28  Richard Hughes  <richard@hughsie.com>

	* src/gpm-manager.c:
	* src/gpm-polkit.c:
	Move the HAVE_POLKIT stuff into the GpmPolkit module and just return
	NULL if support is not compiled in.
	This means we get ridof some ugly ifdefs from the manager class.

2006-09-28  Richard Hughes  <richard@hughsie.com>

	* src/gpm-hal-brightness-kbd.c: (gpm_hal_brightness_kbd_new):
	* src/gpm-hal-brightness-lcd.c: (gpm_hal_brightness_lcd_new):
	Return NULL for no hardware, not FALSE;

	* src/gpm-hal-cpufreq.c: (gpm_hal_cpufreq_has_hw):
	Only load the gobject if we have the cpufreq_control hardware.

	* src/gpm-hal.h:
	Define org.freedesktop.Hal.Device.LightSensor for some crazy new
	experimental stuff on the horizon.

2006-09-28  Richard Hughes  <richard@hughsie.com>

	* docs/icon-scheme.xml:
	Add gpm-brightness-lcd and gpm-brightness-kbd.

	* src/gpm-power.c:
	* src/gpm-power.h:
	Now we have gpm_hal_device_get_uint, use it.

2006-09-28  Richard Hughes  <richard@hughsie.com>

	* data/icons/16x16/Makefile.am:
	* data/icons/16x16/gpm-brightness-kbd.png:
	* data/icons/16x16/gpm-brightness-lcd.png:
	* data/icons/16x16/gpm-brightness.png:
	* data/icons/16x16/gpm-primary-missing.png:
	* data/icons/16x16/gpm-ups-100-charging.png:
	* data/icons/22x22/Makefile.am:
	* data/icons/22x22/gpm-brightness-kbd.png:
	* data/icons/22x22/gpm-brightness-lcd.png:
	* data/icons/22x22/gpm-brightness.png:
	* data/icons/24x24/Makefile.am:
	* data/icons/24x24/gpm-brightness-kbd.png:
	* data/icons/24x24/gpm-brightness-lcd.png:
	* data/icons/24x24/gpm-brightness.png:
	* data/icons/scalable/Makefile.am:
	* data/icons/scalable/gpm-brightness-kbd.svg:
	* data/icons/scalable/gpm-brightness-lcd.svg:
	* data/icons/scalable/gpm-brightness.svg:
	Rename gpm-brightness to gpm-brightness-lcd and add gpm-brightness-kbd.
	This is for the feedback widget for keyboard backlight feedback.

	* data/gnome-power-manager.schemas.in:
	* po/POTFILES.in:
	* src/Makefile.am:
	* src/gpm-hal-brightness.c:
	* src/gpm-hal-brightness.h:
	* src/gpm-hal-brightness-lcd.c:
	* src/gpm-hal-brightness-lcd.h:
	Rename as we have a new kid on the block, namely kbd.

	* src/gpm-hal-brightness.c:
	* src/gpm-hal-brightness.h:
	When stepping down, actually use the step value. (David Zeuthen)
	Check for overflow / underflow when step value > 1.
	Used signed integers when stepping down as we may underflow.
	Should fix #358067.

	* src/gpm-common.c:
	* src/gpm-common.h:
	Add gpm_percent_to_discrete() and gpm_discrete_to_percent() generic
	functions.

	* src/gpm-feedback-widget.c:
	* src/gpm-feedback-widget.h:
	* src/gpm-stock-icons.h:
	Add gpm_feedback_set_icon_name() so we can set different icons on the
	feedback widget.
	Also load the feedback widget here and get rid of the manager signal -
	this allows us to save memory if we don't have the hardware.

	* src/gpm-hal.c:
	* src/gpm-hal.h:
	Add a dummy function gpm_hal_device_get_uint() so we don't have to muck
	about with casting.

	* src/gpm-gconf.h:
	* src/gpm-manager.c:
	* src/gpm-hal-brightness-kbd.c:
	* src/gpm-hal-brightness-kbd.h:
	Add a heavily modified patch from David Zeuthen to add keyboard
	backlight (write) support to gnome-power-manager. Many thanks!

2006-09-27  Richard Hughes  <richard@hughsie.com>

	* data/icons/16x16/gpm-keyboard-030.png:
	* data/icons/16x16/gpm-keyboard-060.png:
	* data/icons/16x16/gpm-keyboard-100.png:
	* data/icons/16x16/gpm-mouse-030.png:
	* data/icons/16x16/gpm-mouse-060.png:
	* data/icons/16x16/gpm-mouse-100.png:
	Update the icons to have the right colours and levels.
	This partially fixes #352416

	* src/gpm-hal-monitor.c:
	* src/gpm-manager.c:
	Better detect hotplugged wireless mice.

	* src/gpm-hal.c:
	* src/gpm-hal.h:
	Add gpm_hal_device_has_capability().

2006-09-26  Richard Hughes  <richard@hughsie.com>

	* src/gpm-power.c: (gpm_power_get_device_from_udi),
	* src/gpm-power.h:
	Export this, we need it in the tray icon class.

	* src/gpm-info.c: (gpm_info_log_do_poll):
	* src/gpm-manager.c: (gpm_manager_init):
	* src/gpm-tray-icon.c:
	Remove the info code and place into a notification. This will change to
	a modal dialogue at some stage, to conform more to the HIG.
	Ooop. There goes another 200Kb writable from the daemon now we are
	not loading all the glade and GTK stuff.

	* data/Makefile.am:
	* data/gpm-info.glade:
	* po/POTFILES.in:
	Remove the glade file now we are not using it.

2006-09-26  Richard Hughes  <richard@hughsie.com>

	* data/gpm-prefs.glade:
	* src/gpm-prefs-core.c: (prefs_setup_actions), (gpm_prefs_init):
	Added policy in the UI for the suspend button action due to a distro
	beginning with U changing the default action to 'nothing'.

2006-09-26  Francisco Javier F. Serrador  <serrador@openshine.com>

	* data/gpm-prefs.glade: Fixed typo which made a duplicate string.

2006-09-26  Richard Hughes  <richard@hughsie.com>

	* data/gnome-power-statistics.desktop.in:
	Actually use a valid category so it shows up in the menus.

2006-09-26  Richard Hughes  <richard@hughsie.com>

	* data/icons/16x16/Makefile.am:
	* data/icons/16x16/gpm-statistics.png:
	* data/icons/22x22/Makefile.am:
	* data/icons/22x22/gpm-statistics.png:
	* data/icons/24x24/Makefile.am:
	* data/icons/24x24/gpm-statistics.png:
	* data/icons/scalable/Makefile.am:
	* data/icons/scalable/gpm-statistics.svg:
	* src/gpm-stock-icons.h:
	* src/gpm-tray-icon.c:
	Add a proper gpm-statistics tango icon. (Jakub Steiner)

2006-09-25  Richard Hughes  <richard@hughsie.com>

	* src/gpm-manager.c:
	* src/gpm-power.c:
	* src/gpm-power.h:
	Use perhaps_recall rather than might_explode to prevent angry calls
	from big legal teams. Also tone down the warning a little.

2006-09-23  Richard Hughes  <richard@hughsie.com>

	* src/gpm-manager.c:
	* src/gpm-power.c:
	* src/gpm-power.h:
	Add in preliminary support for detecting batteries that might explode.
	See http://hughsient.livejournal.com/4240.html for more details.

2006-09-23  Richard Hughes  <richard@hughsie.com>

	* src/Makefile.am:
	* src/gpm-statistics-core.c: (gpm_statistics_activate_window):
	* src/gpm-statistics-core.h:
	* src/gpm-statistics.c: (guniqueapp_command_cb):
	Add guniqueapp support to gnome-power-statistics.

2006-09-23  Richard Hughes  <richard@hughsie.com>

	* data/gnome-power-manager.schemas.in:
	* src/gpm-gconf.h:
	* src/gpm-statistics-core.c:
	Add /apps/gnome-power-manager/statistics_graph_type so that
	gnome-power-statistics remembers the graph type for startup.

2006-09-22  Richa/apps/gnome-power-manager/statistics_graph_typerd Hughes  <richard@hughsie.com>

	* src/gpm-graph-widget.h:
	Make charging line a lighter blue.

2006-09-22  Richard Hughes  <richard@hughsie.com>

	* src/gpm-graph-widget.c:
	* src/gpm-graph-widget.h:
	Draw different shapes for the event for colour-blind support.

	* src/gpm-statistics-core.c:
	* src/gpm-info.c:
	Send the *event* rather than the colour of the event.

	* src/gpm-manager.c:
	Remove the DPMS events, they never really belonged anyway.

2006-09-22  Richard Hughes  <richard@hughsie.com>

	* src/gpm-graph-widget.c:
	* src/gpm-graph-widget.h:
	Add in initial code to be able to draw dots of differing shape:
	circle, square, diamond and triangle.
	This is to make the graph output more suitable for colour-blind
	people as pointed out in my blog.

2006-09-22  Richard Hughes  <richard@hughsie.com>

	* data/gpm-info.glade:
	* src/gpm-info.c:
	Remove the infrequently used event log from the UI.
	There goes another 200Kb of writable memory. I plan to add tooltip
	support for the text points in the statistics tool.

2006-09-22  Richard Hughes  <richard@hughsie.com>

	* src/gpm-info.c: (gpm_info_init):
	Fix simple comment typo.

	* src/gpm-prefs.c:
	Make Elijah's patch compile with -Werror. :-)

	* src/gpm-tray-icon.c:
	Remove the gtk_ui_manager-style dropdown menus in favour of something
	simpler. We need to be able to add arbitary number of entries with
	custom icons for devices and so we need more control of the menu.
	Move Help, About, Statistics and Preferences to right mouse button
	action to fix #347913.

2006-09-22  Elijah Newren  <newren gmail com>

	* src/gpm-prefs.c (main): Make sure to obtain the
	DESKTOP_STARTUP_ID environment variable before gtk_init() is
	called since gtk_init() clears it.  #357128.

2006-09-22  Richard Hughes  <richard@hughsie.com>

	* help/C/figures/gpm-stats-graph.png:
	* help/C/gnome-power-manager.xml:
	* help/Makefile.am:
	Add this new image so I can blog about it.

	* src/gpm-hal-brightness.c:
	* src/gpm-hal-power.c:
	Convert the last two (insane) users of dbus_g_proxy_call to something
	a bit more standard.

	* src/gpm-hal.c:
	Be less verbose about missing keys, sometimes it's legitimate.

2006-09-21  Richard Hughes  <richard@hughsie.com>

	* src/gpm-hal-brightness.c:
	* src/gpm-hal-cpufreq.c:
	* src/gpm-hal-power.c:
	* src/gpm-hal.c:
	* src/gpm-info.c:
	* src/gpm-main.c:
	* src/gpm-manager.c:
	* src/gpm-polkit.c:
	* src/gpm-prefs-core.c:
	* src/gpm-screensaver.c:
	* src/gpm-statistics-core.c:
	Convert all the wacky invokations of dbus_g_proxy_call to use
	a common format. Also convert all the g_warnings into gpm_warnings
	so we can log them properly. Lots more GError love too.

2006-09-21  Richard Hughes  <richard@hughsie.com>

	* data/gpm-info.glade:
	* src/gpm-info.c:
	Remove the graphs from the info window.
	This saves over 500kb of writable memory from each
	gnome-power-manager daemon process. More to be cut soon.

	* src/gpm-tray-icon.c:
	Enable the statistics option in the right mouse button menu.

2006-09-21  Richard Hughes  <richard@hughsie.com>

	* po/POTFILES.in:
	* src/Makefile.am:
	* src/gpm-gconf.h:
	* src/gpm-info.c:
	* src/gpm-manager.c:
	* src/gpm-power.c:
	* src/gpm-prefs-core.c:
	* src/gpm-prefs.h:
	* src/gpm-statistics-core.c:
	* src/gpm-statistics.c:
	Move the gconf keys out of gpm-prefs.h into a new file gpm-gconf.h
	There are no good reasons to have the keys in the prefs header.

2006-09-21  Richard Hughes  <richard@hughsie.com>

	* src/gpm-prefs.h:
	* data/gnome-power-manager.schemas.in:
	Add statistics_show_legend and statistics_show_events so we have
	persistent settings for the statistics program.

	* src/Makefile.am:
	* src/gpm-info-data.c:
	* src/gpm-info-data.h:
	* src/gpm-statistics-core.c:
	Add gpm_info_data_clear() so we can re-init the data.
	Use GpmInfoData as a datastore in the statistics module so we leak
	a lot less memory. Also clean up this module.
	gnome-power-statistics now works as well as the 'Information' screen
	that we used before and is out of process.

	* src/gpm-info.c:
	Send the correct format information for the event log dbus method.

2006-09-21  Richard Hughes  <richard@hughsie.com>

	* TODO:
	Remove dbus-send cruft.

	* src/gpm-graph-widget.c:
	* src/gpm-graph-widget.h:
	Add a new function gpm_graph_widget_string_to_axis_type().

	* src/gpm-hal-power.c: (gpm_hal_handle_error):
	Check another possible execption. It may make the suspend-failed
	warning go away.

	* src/gpm-info.c:
	* src/gpm-info.h:
	* src/gpm-interface-statistics.xml:
	* src/gpm-statistics-core.c:
	* src/gpm-statistics-core.h:
	Do some more to the statistics interface. It actually sort-of runs
	but it's pretty rough code. And it leaks memory like a bitch.

2006-09-19  Richard Hughes  <richard@hughsie.com>

	* po/POTFILES.in:
	* src/Makefile.am:
	* src/gpm-graph-core.c:
	* src/gpm-graph-core.h:
	* src/gpm-graph.c:
	* src/gpm-statistics-core.c:
	* src/gpm-statistics-core.h:
	* src/gpm-statistics.c:
	Rename graph->statistics as it's too confusing with the graph-widget.

2006-09-19  Richard Hughes  <richard@hughsie.com>

	* help/C/figures/gpm-charged.png:
	Update with the new tango icons and the 2-16 colours.

2006-09-19  Richard Hughes  <richard@hughsie.com>

	* configure.in:
	Remove -Wshadow as it causes compilation failure on YDL-4.1.
	Fixes #356667.

2006-09-19  Richard Hughes  <richard@hughsie.com>

	* src/gpm-hal-monitor.c:
	* src/gpm-hal.c:
	* src/gpm-hal.h:
	Bullet-proof the hal interface so we automatically connect up the
	device DeviceCondition and PropertyChanged on HAL restart.
	This fixes #349842 where HAL wasn't detecting the charge correctly
	on resume. Thanks to Pascal Terjan for help with the bug.

	* src/gpm-proxy.c:
	Fix a silly typo where we were emmiting PROXY_STATUS FALSE on
	both connection and disconnection.

2006-09-19  Richard Hughes  <richard@hughsie.com>

	* src/gpm-dbus-monitor.c:
	Reduce the debugging level, it's a bit verbose.

	* src/gpm-main.c:
	Remove a potential null-dereference, spotted by Joseph Sacco.
	This fixes #356667 where g-p-m would crash on startup.

2006-09-18  Richard Hughes  <richard@hughsie.com>

	* src/gpm-hal-power.c:
	Remove erroneous HALD_SERVICE definitions.

	* src/gpm-manager.c:
	Don't watch to see if the tray icon is destroyed; it can't happen with
	GtkStatusIcon.
	Don't get the difference in charge and add it to the event log on
	resume as HAL has not refreshed and this will never succeed.

2006-08-20  Richard Hughes  <richard@hughsie.com>

	* configure.in: Post release bump to 2.17.2

2006-09-18  Richard Hughes  <richard@hughsie.com>

	==== Version 2.17.1 ====

2006-09-18  Richard Hughes  <richard@hughsie.com>

	* po/POTFILES.in:
	* src/Makefile.am:
	* src/gpm-dpms-x11.c:
	* src/gpm-dpms.c:
	Rename this file, to match the other module syntax names.

	* src/gpm-dpms.h:
	* src/gpm-dpms.c: (gpm_dpms_method_from_string)
	* src/gpm-manager.c: (sync_dpms_policy):
	Add gpm_dpms_method_from_string(), and try to do more sane things for
	laptop hardware to try to fix bug #354726.

	* src/gpm-hal-power.c: (gpm_hal_power_is_laptop):
	Remove fixme that applied to an old version of HAL.

	* src/gpm-tray-icon.c: (gpm_tray_icon_popup_menu_cb)
	Don't error when we right click. Also disable the statistics thing
	for now as it doesn't do much.

2006-09-18  Richard Hughes  <richard@hughsie.com>

	* src/gpm-prefs-core.c: (prefs_setup_processor):
	Setup the sliders before the combo-bosex else we re-enable the sliders
	for the non-custom policy.

2006-09-17  Richard Hughes  <richard@hughsie.com>

	* configure.in:
	* src/Makefile.am:
	* src/gpm-prefs-core.c:
	* src/gpm-prefs-core.h:
	* src/gpm-prefs.c:
	Add guniqueapp shared library support. This is optional.

2006-09-17  Richard Hughes  <richard@hughsie.com>

	* src/gpm-debug.c:
	* src/gpm-hal-cpufreq.c:
	* src/gpm-hal.c:
	* src/gpm-info.c:
	* src/gpm-prefs-core.c:
	Remove duplicate includes thanks to the checkincludes.pl script.

2006-09-17  Richard Hughes  <richard@hughsie.com>

	* NEWS:
	Add in 2.16.0 info.

	* configure.in:
	Oops. We only want dbus 0.70 for the glib bindings.

	* src/Makefile.am:
	Don't ship the inhibit test application.

	* src/gpm-hal.c:
	Only include config.h once.

	* src/gpm-manager.c:
	Fix another icon name g_free.

	* src/run-valgrind-gpm.sh:
	* src/valgrind-gpm.sh:
	Rename.

2006-09-17  Richard Hughes  <richard@hughsie.com>

	* configure.in:
	Update dbus dep to 0.92.

	* src/gpm-hal.c:
	Remove obsolete dbus < 0.62 ifdef code.

	* src/gpm-info-data.c: (gpm_info_data_add_always):
	guint can never be negative. Instead check for zero.

2006-09-17  Richard Hughes  <richard@hughsie.com>

	* src/gpm-manager.c:
	Fix a couple of small memory leaks where we don't free the icon name.

2006-09-17  Richard Hughes  <richard@hughsie.com>

	* help/C/figures/gpm-critical.png:
	* help/C/figures/gpm-low.png:
	* help/C/figures/gpm-tooltip.png:
	* help/C/figures/gpm-unplugged.png:
	* help/C/figures/gs-prefs.png:
	Update to reflect 2-16.

	* src/gpm-tray-icon.c: (libnotify_event):
	Add in a note about the non-pointing libnotify bubbles.

2006-09-17  Richard Hughes  <richard@hughsie.com>

	* data/gnome-power-manager.schemas.in:
	* data/gpm-prefs.glade:
	* src/gpm-hal-brightness.c:
	* src/gpm-manager.c:
	* src/gpm-prefs-core.c:
	* src/gpm-prefs.h:
	Add elements in the UI to prevent g-p-m from modifying the brightness
	on AC state change. Also add in the UI for the keyboard light sensor
	but disable it for now. Fixes #356085

2006-09-17  Richard Hughes  <richard@hughsie.com>

	* src/gpm-manager.c: (gpm_manager_init):
	Don't rescan buttons every minute. This belongs in HAL. Fixes #356170.
	The HAL patch will be submitted this week.

2006-09-17  Richard Hughes  <richard@hughsie.com>

	* configure.in:
	* po/POTFILES.in:
	* src/Makefile.am:
	* src/eggtrayicon.c:
	* src/eggtrayicon.h:
	* src/gpm-tray-icon.c:
	* src/gpm-tray-icon.h:
	Remove eggtrayicon support. This means we depend on GTK+ 2.10.0
	This fixes #356150.

2006-09-14  Richard Hughes  <richard@hughsie.com>

	* src/gpm-hal-monitor.c:
	Fix hotplug add and remove of wireless mice.

	* src/gpm-power.c:
	Don't express the decimal point for the / 7 csr scale.

2006-09-14  Richard Hughes  <richard@hughsie.com>

	* man/gnome-power-manager.sgml:
	* src/gpm-debug.c:
	* src/gpm-debug.h:
	Add in the debug option so we can easier debug g-p-m.
	Now adding the options --debug=power --debug=manager will only display
	the gpm-power and gpm-manager debug output.

	* src/gpm-graph-core.c:
	* src/gpm-hal.c:
	* src/gpm-info.c:
	* src/gpm-main.c:
	* src/gpm-manager.c:
	* src/gpm-tray-icon.c:
	Convert some more g_debug's to gpm_debug so we can use the above.

2006-09-12  Richard Hughes  <richard@hughsie.com>

	* configure.in: Increase dep of libgnome to 2.14.0 because we are using
	GNOME_PARAM_GOPTION_CONTEXT, which was introduced in 2.14.0
	Spotted by Mart Raudsepp, to fix #355437, many thanks.

2006-09-09  Richard Hughes  <richard@hughsie.com>

	* data/.cvsignore:
	* data/gnome-power-statistics.desktop.in:
	Add the missing desktop file. OOps.

	* data/gnome-power-manager.schemas.in:
	* src/gpm-prefs-core.c: (prefs_setup_actions):
	* src/gpm-prefs.h:
	Add the low power policy key to complete the UPS prefs dialogue.
	Default to nothing for low, and shutdown for critical.

2006-09-08  Richard Hughes  <richard@hughsie.com>

	* data/Makefile.am:
	Fix make distcheck. OOps.

2006-09-08  Richard Hughes  <richard@hughsie.com>

	* BRANCHES:
	Create, and list all the cool stuff that happened in each branch.

	* docs/dbus-interface.html:
	Regenerate.

	* data/Makefile.am:
	* src/Makefile.am:
	* src/gpm-tray-icon.c: (gpm_tray_icon_show_statistics_cb):
	Make a clickable icon for the statistics option if we don't
	have the icon displayed.

2006-09-08  Richard Hughes  <richard@hughsie.com>

	* src/gpm-power.c:
	Remove the FIXME to fix #334212. It's breaking more laptops that it
	was intended to fix and also breaks my (already broken) iBook.

2006-09-08  Richard Hughes  <richard@hughsie.com>

	* src/gpm-proxy.c: (gpm_proxy_assign), (gpm_proxy_init):
	Make sure that priv->connection is NULL at startup, and check
	for a non-null value when we try to get the daemon.
	May fix #353769.

2006-09-08  Richard Hughes  <richard@hughsie.com>

	* docs/dbus-interface.xml:
	Move away from power measurements in Watts to percentages to better
	suit low power laptops and OLPC.
	Now we have 'on = 100%, standby < 50%, suspend < 20%, off < 5%'

2006-09-08  Richard Hughes  <richard@hughsie.com>

	* src/gpm-inhibit-test.c: (dbus_inhibit_gpm), (dbus_uninhibit_gpm):
	Don't treat error like a boolean.
	Also check for a NULL proxy and warn. From a comment in #344979

2006-09-03  Richard Hughes  <richard@hughsie.com>

	* po/POTFILES.in:
	Add a few missing files. Noticed by Marcel Telka <marcel@telka.sk>

2006-08-31  Richard Hughes  <richard@hughsie.com>

	* help/C/gnome-power-manager.xml:
	Make listitem entries actually different bullet points.

2006-08-30  Richard Hughes  <richard@hughsie.com>

	* src/gpm-graph-core.c:
	Make sure we hide all the battery panes when we are on AC.

	* src/gpm-graph-widget.c:
	* src/gpm-graph-widget.h:
	* src/gpm-info-data.h:
	* src/gpm-info.c:
	Impliment more of the graph interface, and add the line colour to the
	legend to fix #353583.

2006-08-30  Richard Hughes  <richard@hughsie.com>

	* data/gnome-power-manager.schemas.in:
	* src/gpm-manager.c:
	* src/gpm-prefs.h:
	Apply a patch to allow users to turn off the disconnect and reconnect
	of NetworkManager on sleep and resume.
	Patch from Khashayar Naderehvandi <khashayar_naderehvandi@yahoo.co.uk>,
	many thanks. Fixes #353431

2006-08-30  Richard Hughes  <richard@hughsie.com>

	* TODO:
	* help/C/gnome-power-manager.xml:
	Better format some of the text, and move some stuff about.

2006-08-29  Richard Hughes  <richard@hughsie.com>

	* TODO:
	Update, removing the cpufreq and ansi->gtype comments.

	* src/gpm-common.c:
	* src/gpm-common.h:
	* src/gpm-dbus-monitor.c:
	* src/gpm-dbus-monitor.h:
	* src/gpm-debug.c:
	* src/gpm-debug.h:
	* src/gpm-dpms-x11.c:
	* src/gpm-dpms.h:
	* src/gpm-feedback-widget.c:
	* src/gpm-feedback-widget.h:
	* src/gpm-graph-core.c:
	* src/gpm-graph-widget.c:
	* src/gpm-graph-widget.h:
	* src/gpm-hal-brightness.c:
	* src/gpm-hal-brightness.h:
	* src/gpm-hal-cpufreq.c:
	* src/gpm-hal-cpufreq.h:
	* src/gpm-hal-monitor.c:
	* src/gpm-hal-monitor.h:
	* src/gpm-hal-power.c:
	* src/gpm-hal-power.h:
	* src/gpm-hal.c:
	* src/gpm-hal.h:
	* src/gpm-info-data.c:
	* src/gpm-info-data.h:
	* src/gpm-info.c:
	* src/gpm-info.h:
	* src/gpm-inhibit-test.c:
	* src/gpm-inhibit.c:
	* src/gpm-inhibit.h:
	* src/gpm-manager.c:
	* src/gpm-manager.h:
	* src/gpm-polkit.c:
	* src/gpm-polkit.h:
	* src/gpm-power.c:
	* src/gpm-power.h:
	* src/gpm-prefs-core.c:
	* src/gpm-proxy.c:
	* src/gpm-proxy.h:
	* src/gpm-screensaver.c:
	* src/gpm-screensaver.h:
	* src/gpm-stock-icons.c:
	* src/gpm-tray-icon.c:
	* src/gpm-tray-icon.h:
	Convert lots of code to glib types, and making some more specific
	marking as constant or unsigned.
	I still want to make some more varibles more explit to optimise them,
	for instance having a percentage stored in a 32 bit guint32 makes
	no sense at all.

2006-08-29  Richard Hughes  <richard@hughsie.com>

	* help/C/gnome-power-manager.xml:
	* src/gpm-manager.c:
	Add some more entries to the yelp file for people without internet
	access and remove the URL. Fixes #337721

2006-08-28  Richard Hughes  <richard@hughsie.com>

	* src/.cvsignore:
	Add new generated files to keep cvs happy.

	* src/gpm-tray-icon.c:
	Rename graph to statistics in a few places.

2006-08-28  Richard Hughes  <richard@hughsie.com>

	* src/Makefile.am:
	Don't call files -glue, it confuses waf.

	* data/gnome-power-manager.schemas.in:
	* src/gpm-main.c:
	* src/gpm-manager.c:
	* src/gpm-prefs.h:
	Add /apps/gnome-power-manager/session_request_save so distros like
	Ubuntu can just switch a gconf key rather than patch the source.

2006-08-28  Richard Hughes  <richard@hughsie.com>

	* .cvsignore:
	* src/gpm-info.c:
	* src/gpm-info.h:
	* src/gpm-proxy.c:
	Implement the struct passing code for new DBUS versions for the
	statistics interface.

2006-08-28  Richard Hughes  <richard@hughsie.com>

	* TODO:
	Add more detail about the out of process interface.

	* help/C/gnome-power-manager.xml:
	Fix make distcheck. TODO: Find out why abstract doesn't work!

	* src/Makefile.am:
	* src/gpm-interface-manager.xml:
	* src/gpm-interface-statistics.xml:
	* src/gpm-main.c:
	* src/gpm-manager.c:
	* src/gpm-manager.xml:
	* src/gpm-statistics.xml:
	Rename the interface files so we can build with waf without overwriting
	existing .h files.

2006-08-28  Richard Hughes  <richard@hughsie.com>

	* src/gpm-info.c:
	* src/gpm-info.h:
	* src/gpm-statistics.xml:
	Start to implement org.gnome.PowerManager.Statistics.GetData.

2006-08-28  Richard Hughes  <richard@hughsie.com>

	* help/C/gnome-power-manager.xml:
	* help/gnome-power-manager.omf.in:
	Apply patch from Brent Smith <gnome@nextreality.net>:
	Change category from GNOME|Core Desktop to GNOME|System.
	Also, per the instructions at
	http://live.gnome.org/GnomeDocUtilsMigrationHowTo there should be
	elements within the docbook file with the attribute 'role' and
	the value 'maintainer' on one of the author tags. Fixes #353123

2006-08-28  Richard Hughes  <richard@hughsie.com>

	* src/Makefile.am:
	* src/gpm-graph-core.c:
	Remove dep on InfoData as we are splitting this now.

	* src/gpm-hal-power.c:
	Don't unref the proxy else subsequent actions fail.

	* src/gpm-info.c:
	* src/gpm-info.h:
	* src/gpm-statistics.xml:
	Add some more bits of the interface.

2006-08-25  Richard Hughes  <richard@hughsie.com>

	* src/gpm-power.c: (gpm_power_status_for_device_more):
	* src/gpm-tray-icon.c: (gpm_tray_icon_show_about_cb):
	* src/run-valgrind-gpm.sh:
	Patch from Paolo Borelli <pborelli@katamail.com> to cure some
	small memory leaks. Many Thanks. Fixes #352858.

2006-08-25  Richard Hughes  <richard@hughsie.com>

	* data/gnome-power-manager.desktop.in:
	* data/gnome-power-preferences.desktop.in:
	Manually hardcode the version to 2.17.x to fix #352840.

2006-08-25  Richard Hughes  <richard@hughsie.com>

	* src/gpm-power.c: (gpm_power_status_for_device_more):
	Be more specific for our device checks in the expanded device
	information to fix the display of CSR properties. Fixes rh:203849

2006-08-25  Richard Hughes  <richard@hughsie.com>

	* src/Makefile.am:
	* src/gpm-info.c: (gpm_statistics_moo):
	* src/gpm-info.h:
	* src/gpm-manager.c: (gpm_manager_init):
	* src/gpm-statistics.xml:
	Add in the initial work for the org.gnome.PowerManager.Statistics
	interface so we can push the data formatting out of process.

2006-08-25  Richard Hughes  <richard@hughsie.com>

	* src/Makefile.am:
	* src/gpm-info.c: (gpm_statistics_moo):
	* src/gpm-info.h:
	* src/gpm-manager.c: (gpm_manager_init):

2006-08-25  Richard Hughes  <richard@hughsie.com>

	* configure.in:
	Add some extra compiler warnings.

	* data/Makefile.am:
	* data/gpm-graph.glade:
	Add the glade file for the new graph application.

	* src/Makefile.am:
	* src/gpm-graph-core.c:
	* src/gpm-graph-core.h:
	* src/gpm-graph.c:
	Add the beginnings of the new graph application.

	* src/gpm-graph-widget.c:
	* src/gpm-graph-widget.h:
	* src/gpm-info-data.c:
	* src/gpm-info-data.h:
	* src/gpm-info.c:
	* src/gpm-info.h:
	* src/gpm-manager.c:
	Rename GpmGraph to GpmGraphWidget so we can do some other graphing
	stuff. Changes lots of code ;-)

	* src/gpm-tray-icon.c:
	Add an extra item to the menu for the out of process graph.

2006-08-24  Richard Hughes  <richard@hughsie.com>

	* configure.in:
	Add in the datadir in the final output.

	* data/gnome-power-manager.schemas.in:
	* src/gpm-prefs-core.c:
	* src/gpm-prefs.h:
	* src/gpm-manager.c:
	Split the panel dim into ac and battery halves.

	* help/C/gnome-power-manager.xml:
	* help/C/figures/gpm-cell-capacity.png
	* help/Makefile.am:
	Add a graph for explanation and comment about cell capacity over time.

	* src/gpm-hal-cpufreq.c:
	Get rid of the commented out code that doesn't apply now the addon
	as been merged to hal HEAD.

	* src/gpm-power.c:
	Add the new hal names for the battery descriptions now my patch has
	been merged. This need backporting for 2.16.1

2006-08-24  Richard Hughes  <richard@hughsie.com>

	* TODO:
	* configure.in:
	* data/gpm-prefs.glade:
	* docs/dbus-interface.html:
	* docs/faq.html:
	* docs/icon-scheme.html:
	* docs/index.html:
	* docs/sleep-names.html:
	* po/POTFILES.in:
	Somehow these missed the last commit. Oddball.

2006-08-23  Richard Hughes  <richard@hughsie.com>

	* configure.in:
	Update for the new branch, and add some more compiler flags for extra
	warnings.

	* data/gpm-prefs.glade:
	* src/gpm-prefs-core.c:
	Update the UI to be task-centric, rather than state centric.

	* src/gpm-brightness.c:
	* src/gpm-brightness.h:
	* src/gpm-hal-brightness.c:
	* src/gpm-hal-brightness.h:
	Rename.

	* src/gpm-dbus-session-monitor.c:
	* src/gpm-dbus-session-monitor.h:
	* src/gpm-dbus-system-monitor.c:
	* src/gpm-dbus-system-monitor.h:
	* src/gpm-dbus-monitor.c:
	* src/gpm-dbus-monitor.h:
	Move system and session functionality into one module.

	* src/gpm-hal-cpufreq.c:
	* src/gpm-hal-cpufreq.h:
	Add cpu freq support. Requires CVS HAL and Holgers patch.

	* src/gpm-hal-power.c:
	* src/gpm-hal-power.h:
	Abstract the power saving code from the hal module.

	* src/gpm-proxy.c:
	* src/gpm-proxy.h:
	Create a new class to handle a managed proxy, i.e. a DBusGProxy that
	copes with bus disconnects, and service restarts.

	* src/gpm-hal-monitor.c:
	* src/gpm-hal.c:
	* src/gpm-hal.h:
	* src/gpm-idle.c:
	* src/gpm-info-data.c:
	* src/gpm-info.c:
	* src/gpm-inhibit.c:
	* src/gpm-inhibit.h:
	* src/gpm-manager.c:
	* src/gpm-polkit.c:
	* src/gpm-power.c:
	* src/gpm-power.h:
	* src/gpm-screensaver.c:
	* src/gpm-screensaver.h:
	Use the new managed proxy class, rather than manually reconnecting each
	proxy. This means that all the bus reconnection code is common, as
	before each class did this it's own way.

	* po/POTFILES.in:
	* src/Makefile.am:
	Update with all the file changes.

2006-08-22  Richard Hughes  <richard@hughsie.com>

	* configure.in:
	Bump to 2.17.1 to signify we are now on the bleeding edge.

	* src/gpm-prefs.h:
	* data/gnome-power-manager.schemas.in:
	Add a whole load of new keys for the cpufreq stuff.

	* help/C/gnome-power-manager.xml:
	Start to document the cpufreq stuff (even tho nothing has hit CVS yet)

	* src/gpm-common.c:
	* src/gpm-power.c:
	* src/gpm-prefs-core.c:
	* src/gpm-screensaver.c:
	Fix some scope problems the compiler found with Wextra.

2006-08-22  Richard Hughes  <richard@hughsie.com>

	* TODO:
	Update to test the branching has gone okay.

2006-08-22  Richard Hughes  <richard@hughsie.com>

	* configure.in:
	Turn off Werror for the impending release. Fixes #352448.

2006-08-20  Richard Hughes  <richard@hughsie.com>

	* configure.in: Post release bump to 2.16.0

2006-08-20  Richard Hughes  <richard@hughsie.com>

	==== Version 2.15.92 ====

2006-08-20  Richard Hughes  <richard@hughsie.com>

	* TODO: Update.
	* src/gpm-idle.c:
	Work round a compiler bug which caused g-p-m compilation to fail when
	using a high optimising setting.
	Patch from Ed Catmur <ed@catmur.co.uk> many thanks. Fixes #352104.

2006-08-17  Richard Hughes  <richard@hughsie.com>

	* src/gpm-brightness.c:
	* src/gpm-brightness.h:
	* src/gpm-inhibit.c:
	* src/gpm-inhibit.h:
	Add some more gobject checks to make these objects more robust.

2006-08-15  Richard Hughes  <richard@hughsie.com>

	* src/gpm-hal.c:
	* src/gpm-manager.c:
	Beep to warn if the suspend or hibernate failed. Should fix #346542

2006-08-13  Richard Hughes  <richard@hughsie.com>

	* data/gnome-power-manager.desktop.in:
	* data/gnome-power-preferences.desktop.in:
	Fix up the desktop files with the version number.

2006-08-10  Richard Hughes  <richard@hughsie.com>

	Apply patch from Bruce Cowan <bruce.cowan@dsl.pipex.com>
	to change my incorrect spelling of loose to lose throughout the
	project. Many thanks.

	* help/C/gnome-power-manager.xml:
	* help/hu/hu.po:
	* help/ru/ru.po:
	* help/sv/sv.po:
	* src/gpm-debug.c:

2006-08-09  Richard Hughes  <richard@hughsie.com>

	* data/icons/24x24/.cvsignore:
	Keep CVS happy.

2006-08-08  Richard Hughes  <richard@hughsie.com>

	* configure.in:
	* data/icons/22x22/Makefile.am:
	* data/icons/24x24/Makefile.am:
	* data/icons/24x24/gpm-ac-adapter.png:
	* data/icons/24x24/gpm-brightness.png:
	* data/icons/24x24/gpm-hibernate.png:
	* data/icons/24x24/gpm-keyboard-000.png:
	* data/icons/24x24/gpm-keyboard-030.png:
	* data/icons/24x24/gpm-keyboard-060.png:
	* data/icons/24x24/gpm-keyboard-100.png:
	* data/icons/24x24/gpm-mouse-000.png:
	* data/icons/24x24/gpm-mouse-030.png:
	* data/icons/24x24/gpm-mouse-060.png:
	* data/icons/24x24/gpm-mouse-100.png:
	* data/icons/24x24/gpm-primary-000-charging.png:
	* data/icons/24x24/gpm-primary-000.png:
	* data/icons/24x24/gpm-primary-020-charging.png:
	* data/icons/24x24/gpm-primary-020.png:
	* data/icons/24x24/gpm-primary-040-charging.png:
	* data/icons/24x24/gpm-primary-040.png:
	* data/icons/24x24/gpm-primary-060-charging.png:
	* data/icons/24x24/gpm-primary-060.png:
	* data/icons/24x24/gpm-primary-080-charging.png:
	* data/icons/24x24/gpm-primary-080.png:
	* data/icons/24x24/gpm-primary-100-charging.png:
	* data/icons/24x24/gpm-primary-100.png:
	* data/icons/24x24/gpm-primary-charged.png:
	* data/icons/24x24/gpm-primary-missing.png:
	* data/icons/24x24/gpm-suspend.png:
	* data/icons/24x24/gpm-ups-000-charging.png:
	* data/icons/24x24/gpm-ups-000.png:
	* data/icons/24x24/gpm-ups-020-charging.png:
	* data/icons/24x24/gpm-ups-020.png:
	* data/icons/24x24/gpm-ups-040-charging.png:
	* data/icons/24x24/gpm-ups-040.png:
	* data/icons/24x24/gpm-ups-060-charging.png:
	* data/icons/24x24/gpm-ups-060.png:
	* data/icons/24x24/gpm-ups-080-charging.png:
	* data/icons/24x24/gpm-ups-080.png:
	* data/icons/24x24/gpm-ups-100-charging.png:
	* data/icons/24x24/gpm-ups-100.png:
	* data/icons/24x24/gpm-ups-charged.png:
	* data/icons/24x24/gpm-ups-missing.png:
	* data/icons/Makefile.am:
	* data/icons/generate_24x24_icons.sh:
	Add a copy of the 24x24 icons instead of generating them at install
	time. Doing clever tricks with imagemagick didn't work very well.
	Fixes #350321

2006-08-08  Richard Hughes  <richard@hughsie.com>

	* src/gpm-main.c:
	* src/run-valgrind-gpm.sh:
	Add a timed exit option to the daemon (--timed-exit).
	This helps running g-p-m under valgrind and was suggested by Jon.
	The HAL daemon has something similar. Fixes #350334

2006-08-08  Richard Hughes  <richard@hughsie.com>

	* TODO:
	Re-organize, and add a note about a GError audit.

	* src/gpm-manager.c: (screensaver_auth_request_cb):
	Apply a patch from William Jon McCann to fix a double free
	on the new smartcard code. Many thanks. #350436

2006-08-07  Richard Hughes  <richard@hughsie.com>

	* configure.in: Post release bump to 2.15.92

2006-08-07  Richard Hughes  <richard@hughsie.com>

	==== Version 2.15.91 ====

2006-08-07  Richard Hughes  <richard@hughsie.com>

	* src/gpm-manager.c: (screensaver_auth_request_cb):
	Turn on the monitor unconditionally, as we may be using a smartcard
	to authenticate and DPMS might still be on. Should fix #350291.

2006-08-07  Richard Hughes  <richard@hughsie.com>

	* docs/Makefile.am:
	Fix the build, by removing the roadmap stuff. OOps.

2006-08-07  Richard Hughes  <richard@hughsie.com>

	* src/gpm-info.c: (gpm_info_show_window):
	Hide the 'Device Information' window if we have no devices.

2006-08-07  Richard Hughes  <richard@hughsie.com>

	* src/.cvsignore:
	* src/run-gpm.sh:
	* src/run-valgrind-gpm.sh:
	Add these debugging files (not installed) as it makes starting g-p-m
	easier from CVS.

2006-08-07  Richard Hughes  <richard@hughsie.com>

	* src/gpm-manager.c:
	Add in an extra battery charged check to avoid repetition in the
	battery charged notification. Should fix #348938

2006-08-07  Richard Hughes  <richard@hughsie.com>

	* src/gpm-brightness.c:
	* src/gpm-brightness.h:
	Add gpm_brightness_has_hardware() so we can find out if we have lcd
	hardware.
	Also do some more error checking here like we did for the screensaver.

	* src/gpm-debug.c: (gpm_syslog):
	Reduce the log level from LOG_ALERT to LOG_NOTICE.
	We'll leave this hardcoded for now, as syslog is meant to be a simple
	debugging aid, not a full blown logging system.
	Also add the username into the syslog to fix #349971

	* src/gpm-manager.c:
	Only try to change the LCD if we have the hardware.

2006-08-07  Richard Hughes  <richard@hughsie.com>

	* src/gpm-debug.c: (gpm_syslog):

2006-08-07  Richard Hughes  <richard@hughsie.com>

	* src/gpm-manager.c:
	Make sure we check input for NULL (that Jon found in #350058).
	This should stop a g-p-m segfault with a misconstructed dbus packet.

2006-08-07  Richard Hughes  <richard@hughsie.com>

	* src/gpm-brightness.c:
	* src/gpm-debug.c:
	* src/gpm-graph-widget.c:
	* src/gpm-info.c:
	* src/gpm-inhibit.c:
	* src/gpm-manager.c:
	* src/gpm-power.c:
	* src/gpm-prefs-core.c:
	* src/gpm-tray-icon.c:
	This should fix all cases reported by sparse/gcc.
	This should make gnome-power-manager compile on gcc 2.95 and earlier.
	Patch from Kjartan Maraas, many thanks. Fixes #350058

2006-08-06  Richard Hughes  <richard@hughsie.com>

	* TODO:
	* docs/gnome-power-manager.xml.in:
	* docs/roadmap.html:
	* docs/roadmap.xml:
	Move the TODO to the file TODO to be more inline with other projects.
	You may have to re-configure afte this change.

2006-08-04  Richard Hughes  <richard@hughsie.com>

	* src/gpm-screensaver.c:
	* src/gpm-screensaver.h:
	Apply fix so that we do not crash when g-s is stopped and we change
	power source (and thus unthrottling).
	The fix makes the g-s module much more resilient to screensaver or
	proxy becoming NULL and handling the error. Should fix #349794.

2006-08-03  Richard Hughes  <richard@hughsie.com>

	* src/gpm-manager.c: (sync_dpms_policy):
	Make sure we free the error and be much more robust. Pointed out by
	William Jon McCann <mccann@jhu.edu>, many thanks.

2006-07-30  Richard Hughes  <richard@hughsie.com>

	* src/gpm-manager.c:
	Add manager_rescan_buttons() to poll all the buttons every minute.
	This should fix #346082

2006-07-30  Richard Hughes  <richard@hughsie.com>

	* src/gpm-manager.c:
	Reset the action timer after an ac_adapter event has been recieved.
	This should fix #348201

2006-07-30  Richard Hughes  <richard@hughsie.com>

	Commit a slightly modified patch from
	William Waghorn <willw@litany.me.uk> many thanks.

	* data/gnome-power-manager.schemas.in:
	* src/gpm-manager.c:
	* src/gpm-prefs.h:
	Add in two new gconf keys battery_dpms_sleep_method and
	ac_dpms_sleep_method to support systems that only support a specific
	DPMS sleep mode.

	* docs/faq.xml:
	Add a entry about the dpms sleep modes and broken monitors.

2006-07-30  Richard Hughes  <richard@hughsie.com>

	* data/gnome-power-manager.schemas.in:
	Make a difficult to translate string easier to understand.

2006-07-30  Richard Hughes  <richard@hughsie.com>

	* data/icons/22x22/Makefile.am:
	Fix 'make distcheck' by deleting the correct directory and also using
	destdir for the install location.

2006-07-30  Richard Hughes  <richard@hughsie.com>

	* docs/calculate-video-fdi.sh:
	Correct a typo in the header.

	* src/gpm-power.c:
	Reduce the precision to 100mW as the big numbers are too clumsy.
	The new format will be '24.5 W' rather than '24520mWh'

2006-07-29  Richard Hughes  <richard@hughsie.com>

	* help/sv/.cvsignore:
	Add to keep CVS happy.

2006-07-29  Richard Hughes  <richard@hughsie.com>

	* src/gpm-power.c:
	* src/gpm-stock-icons.h:
	Fix a typo where we were trying to assign the wrong icon names so
	the missing icon didn't show up (instead showed a gtk-broken-image)
	Fixes #348710

2006-07-29  Richard Hughes  <richard@hughsie.com>

	* configure.in:
	* data/icons/22x22/Makefile.am:
	Generate the 24x24 icons by using imagemagick to add a 1px border
	around the installed icons.
	This makes gnome generally happier, and should fix the fuzzyness for
	some people. Fixes #348994

2006-07-28  Richard Hughes  <richard@hughsie.com>

	* src/gpm-hal.c:
	Add some more error checking, and module sanity checking.

	* src/gpm-prefs-core.c:
	Fix a crasher where the g-s timeout is larger than the max range for
	gnome-power-preferences. #347932

2006-07-23  Richard Hughes  <richard@hughsie.com>

	* configure.in: Post release bump to 2.15.91

2006-07-23  Richard Hughes  <richard@hughsie.com>

	==== Version 2.15.90 ====

2006-07-22  Richard Hughes  <richard@hughsie.com>

	* src/gpm-hal.c: (gpm_hal_new_capability_cb):
	Fix a crash where we incorrectly g_error when we plug in a wireless
	mouse. My silly mistake...

2006-07-21  Richard Hughes  <richard@hughsie.com>

	* configure.in:
	Default to policykit being default off as most people will just be
	running configure with a prefix and not care about all the extra stuff.

2006-07-20  Richard Hughes  <richard@hughsie.com>

	* docs/dbus-interface.html:
	* docs/faq.html:
	* docs/icon-scheme.html:
	* docs/index.html:
	* docs/roadmap.html:
	* docs/sleep-names.html:
	Regenerate.

	* src/gpm-hal.c:
	Make sure we use the correct HAL method names (although HAL doesn't
	currently care) so we can work with an introspectable daemon.

	* src/gpm-manager.c:
	Watch for the 'daemon start' and 'daemon stop' signals so we update the
	tray icon when HAL is stopped or started.

2006-07-14  Richard Hughes  <richard@hughsie.com>

	* data/icons/22x22/gpm-primary-000-charging.png:
	* data/icons/22x22/gpm-primary-020-charging.png:
	Make icons green, as a charging battery shouldn't convey bad things.

	* src/Makefile.am:
	Add dbus-system to gpm-prefs for the new hal stuff.

	* src/gpm-brightness.c:
	* src/gpm-hal-monitor.c:
	* src/gpm-hal-monitor.h:
	* src/gpm-hal.c:
	* src/gpm-hal.h:
	* src/gpm-info-data.c:
	* src/gpm-info.c:
	* src/gpm-manager.c:
	* src/gpm-marshal.list:
	* src/gpm-power.c:
	* src/gpm-prefs-core.c:
	Rewrite the GpmHal and GpmHalMonitor as the old versions made me very
	confused. Now GpmHal acts as an interface to HAL, and the monitor stuff
	just manages the abstraction suitable for GpmPower class.
	Also convert a metric boat-load of doxygen comments to gtk-doc comments
	and add a whole load more. No string changes.

	* src/gpm-polkit.c:
	* src/gpm-polkit.h:
	* src/gpm-screensaver.c:
	* src/gpm-screensaver.h:
	Emit an event when the daemon starts or stops. No string changes.

	* src/gpm-manager.xml:
	Comment out signal 'low_power_mode_changed' for now to prevent a
	warning. Fixes #347363.

2006-07-09  Richard Hughes  <richard@hughsie.com>

	* configure.in: Post release bump to 2.15.90

2006-07-09  Richard Hughes  <richard@hughsie.com>

	==== Version 2.15.4 ====

2006-07-08  Richard Hughes  <richard@hughsie.com>

	* data/gpm-prefs.glade:
	Add the hidden checkbox 'Always sleep when the lid is closed' so we can
	add this string before the string freeze. We can connect it up next
	week so it does something useful.

2006-07-08  Richard Hughes  <richard@hughsie.com>

	* data/gnome-power-manager.schemas.in:
	Change /apps/gnome-power-manager/check_type_cpu default to false after
	discussion in #326742. Power users doing legacy simulations are able
	to change this setting themselves.
	This should probably go into the FAQ.

2006-07-08  Richard Hughes  <richard@hughsie.com>

	* src/gpm-prefs-core.c:
	Replace the word 'Interactive' in the UI with 'Ask me' to fix #345960

2006-06-28  Richard Hughes  <richard@hughsie.com>

	* src/gpm-hal.h:
	* src/gpm-hal.c:
	Add gpm_hal_device_rescan() and gpm_hal_device_rescan_capability()
	so we can start to fix #346082.
	I've still got to plumb this into the power or manager classes, but I'm
	not sure how best to do this yet. Give me a few hours.

2006-06-28  Richard Hughes  <richard@hughsie.com>

	* data/gnome-power-manager.schemas.in:
	Increase the graph time size to 6 hours.

	* src/gpm-brightness.c:
	Support MacBook Pro with it's crazy number of brightness states.
	Might fix #346080

	* src/gpm-dbus-session-monitor.c:
	* src/gpm-dbus-system-monitor.c:
	* src/gpm-power.c:
	Make singleton classes to save memory and CPU.

	* src/gpm-info.c:
	* src/gpm-info.h:
	* src/gpm-manager.c:
	Remove the bodge of passing the pointer to the power class now we are
	using singletons.

2006-06-26  Richard Hughes  <richard@hughsie.com>

	* help/C/gnome-power-manager.xml:
	Correct a figure title to match the screenshot.

	* configure.in:
	* src/Makefile.am:
	* src/gpm-manager.c:
	* src/gpm-polkit.c:
	* src/gpm-polkit.h:
	Add in initial support to check with PolicyKit over dbus. Fixes #344171

2006-06-23  Richard Hughes  <richard@hughsie.com>

	* configure.in:
	* data/Makefile.am:
	* data/gnome-power-manager.spec.in:
	Remove the Fedora spec file from CVS. It's outdated, and doesn't work.

	* help/C/gnome-power-manager.xml:
	Better logically seporate the help file, and add some new content.
	More to come...

2006-06-23  Richard Hughes  <richard@hughsie.com>

	* data/gnome-power-manager.schemas.in:
	* src/gpm-manager.c:
	* src/gpm-prefs.h:
	In hindsight, not everyone likes beeping as commented on in #345595.
	Add a gconf variable /apps/gnome-power-manager/enable_pcskr_beeping
	to enable the user or distro to turn this off and on. Default on.

	* data/gnome-power-manager.schemas.in:
	* src/gpm-manager.c:
	* src/gpm-prefs.h:
	Allow the user to ignore the inhibit requests from stopping a policy
	action. The key /apps/gnome-power-manager/ignore_inhibit_requests can
	be set to true, and the action will still go ahead. Default off.

2006-06-23  Richard Hughes  <richard@hughsie.com>

	* src/gpm-manager.c: (battery_status_changed_primary):
	Use the same logic as the tooltip for the notification.
	This has caused a lot of problems, see #345698 for all the gory details.
	This means if the policy is set to 'show icon when charging' then the
	icon removes itself and the 'fully charged' notification is shown in
	the bottom right of the screen, which I think is sane.

	* help/C/gnome-power-manager.xml:
	Add a note mentioning the battery has to go down to 95% before a repeat
	notification will be shown.

	* src/gpm-hal-monitor.c: (watch_device_property_modified),
	(watch_device_properties_modified):
	* src/gpm-hal-monitor.h:
	Add a boolean 'finally' for the battery_property_modified so we know
	when a split PropertyModified HAL event has finished, and we can update
	the caches and recompute only when we have all the information.
	This seems like a pain in the arse, but actually reduces our CPU usage
	by nearly *5* times on a typical /org/freedesktop/Hal/devices/acpi_BAT1
	type event update so was worth doing.

	* src/gpm-power.c: (hal_battery_property_modified_cb):
	Only refresh the caches on the last PropertyModified split event.

2006-06-22  Richard Hughes  <richard@hughsie.com>

	* data/gpm-prefs.glade:
	Increase the spacing between vertical spacing of groups of components
	to better follow the GNOME HIG.
	Also fix the issue where the space between 'Running on AC/Battery' and
	'Put display to sleep...' is different between the AC and Battery tabs.
	Pointed out by Ian McIntosh <ian@openanswers.org>, many thanks.
	Fixes #345693, (no string changes)

2006-06-22  Richard Hughes  <richard@hughsie.com>

	* help/C/figures/gpm-info-event-log.png:
	* help/C/figures/gpm-info-percentage.png:
	* help/C/figures/gpm-info-rate.png:
	* help/C/figures/gpm-info-time.png:
	* help/C/gnome-power-manager.xml:
	* help/Makefile.am:
	Add four new figures for the documentation.

2006-06-21  Richard Hughes  <richard@hughsie.com>

	* src/gpm-common.c:
	* src/gpm-common.h:
	Add gpm_warning_beep () to allow us to make a sound when an important
	event has occurred.

	* src/gpm-manager.c: (gpm_manager_is_inhibit_valid):
	Beep if we stopped the action due to an inhibit to warn the user.
	Also beep if we are low on power for primary, UPS or mouse as these are
	important. This fixes bug #345595

2006-06-19  Richard Hughes  <richard@hughsie.com>

	* src/gpm-graph-widget.c: (gpm_graph_auto_range):
	Fix the horizontal time scaling now we have the max time gconf stuff.

2006-06-19  Richard Hughes  <richard@hughsie.com>

	* data/gpm-info.glade:
	Add more sensible names for the widgets.

	* docs/calculate-video-fdi.sh:
	Add this file as an experimental fdi generator. Don't send results to
	me or hal@fd.o as it's still very immature and gets stuff wrong.

2006-06-19  Richard Hughes  <richard@hughsie.com>

	* data/gpm-info.glade:
	* src/gpm-info.c:
	For non-laptops, hide the new power graphs and do not keep polling the
	values.

2006-06-18  Richard Hughes  <richard@hughsie.com>

	* docs/Makefile.am:
	Fix build by including every html file. Oops.

2006-06-18  Richard Hughes  <richard@hughsie.com>

	* src/gpm-brightness.c (gpm_brightness_dim_hw):
	Make sure machines that do their own dimming get special cased and
	just set the brightness once.
	This really *ought* to be a HAL propery. Fixes #345258.

2006-06-18  Richard Hughes  <richard@hughsie.com>

	* docs/faq.html:
	* docs/faq.xml:
	* docs/index.html:
	* docs/sleep-names.html:
	Update a few xml things, and move the FAQ here from the wiki entries.

	* src/gpm-manager.c:
	* src/gpm-power.c:
	Patch from Paweł Marciniak <pmarciniak@lodz.home.pl> to fix missing _()
	macros on some strings, so they can be translated.

2006-06-18  Richard Hughes  <richard@hughsie.com>

	* docs/gnome-power-manager.html:
	Remove this as I've split up the documentation

	* docs/Makefile.am:
	* docs/config.xsl:
	Chunk the output files indervidually.

	* docs/gnome-power-manager.xml.in:
	* docs/faq.xml:
	* docs/icon-scheme.xml:
	* docs/roadmap.xml:
	* docs/sleep-names.xml:
	Add the newest data, taking it from the wiki.

	* docs/index.html:
	* docs/icon-scheme.html:
	* docs/roadmap.html:
	* docs/sleep-names.html:
	* docs/dbus-interface.html:
	* docs/faq.html:
	Add these generated files.

2006-06-18  Crispin Flowerday  <gnome@flowerday.cx>

	* src/gpm-info.c (gpm_info_init):
	Read the correct gconf key to get the graph data max time (fixes
	bug #345256)

2006-06-18  Richard Hughes  <richard@hughsie.com>

	* docs/dbus-interface.xml:
	* docs/gnome-power-manager.html:
	* src/gpm-manager.c:
	* src/gpm-manager.h:
	* src/gpm-manager.xml:
	Add gpm_manager_get_low_power_mode and the dbus method GetLowPowerMode
	for #340355. Still need to do the signal, but that needs some more
	refactoring of the state code.

	* src/gpm-info-data.c: (gpm_info_data_set_max_time):
	Only allow greater than 10 minutes as a sanity check.

2006-06-18  Richard Hughes  <richard@hughsie.com>

	* data/gnome-power-manager.schemas.in:
	* src/gpm-prefs.h:
	Add in /apps/gnome-power-manager/graph_data_max_time so we can specify
	the amount of time to show on the graph.

	* src/gpm-info-data.h:
	* src/gpm-info-data.c:
	Add the functions gpm_info_data_set_max_points and
	gpm_info_data_set_max_time so we can set this externally.

	* src/gpm-info.c:
	Use graph_data_max_time to limit the GpmInfoData.

2006-06-18  Richard Hughes  <richard@hughsie.com>

	* src/gpm-graph-widget.c:
	* src/gpm-graph-widget.h:
	* src/gpm-info.c:
	Use the GpmInfoData pointer rather than the list pointer so we can keep
	track of the list and free when not required anymore.

	* src/gpm-info-data.c:
	Big re-write, which should squash some bugs. Switch to using GPtrArray
	rather than a GList as it makes things much simpler.
	I've also added the initial support for limiting the time shown on the
	graph, configuration to come in a little bit.

2006-06-18  Richard Hughes  <richard@hughsie.com>

	* po/POTFILES.in:
	Add the new inhibit stuff. Poked by Marcel Telka <marcel@telka.sk>

	* src/gpm-inhibit.c: (gpm_inhibit_get_message):
	Removed the joining word 'because' and replaced it with ':' as it was
	difficult to translate.

2006-06-17  Richard Hughes  <richard@hughsie.com>

	* src/gpm-inhibit-test.c:
	Make less stuff less global, and add better comments.

2006-06-14  Richard Hughes  <richard@hughsie.com>

	* src/gpm-manager.xml:
	* docs/dbus-interface.xml:
	* docs/gnome-power-manager.html:
	Change dbus Inhibit and UnInhibit methods to use a UINT32, as this is
	already specified in the spec. Using a INT32 is wrong.

	* data/Makefile.am:
	* data/gpm-inhibit-test.glade:
	* src/Makefile.am:
	* src/gpm-inhibit-test.c:
	Add a test program that allows us to test the multiple inhibit stuff,
	and also to show people how easy it is adding Inhibit and UnInhibit
	calls into an existing program.

2006-06-13  Richard Hughes  <richard@hughsie.com>

	* src/gpm-manager.c: (gpm_manager_is_policy_timout_valid):
	Log the ignored policy action in the event log, rather than printing
	to the console.

2006-06-12  Richard Hughes  <richard@hughsie.com>

	* src/gpm-tray-icon.c: (libnotify_event):
	Fix a compile error when we are compiling the non-libnotify sections of
	the code, which probably don't happen that often.
	Noticed and reported by Elijah Newren, many thanks. #344674

2006-06-12  Richard Hughes  <richard@hughsie.com>

	* data/Makefile.am:
	Apply a patch from Tomasz Kłoczko <kloczek@rudy.mif.pg.gda.pl>
	In src/Makefile.am unconditionaly are registered GConf schemas.
	In case installing GPM from non-root account (for example during
	prepare rpm from non-root account) it produces tons warning.
	In attachemt is simple patch which allows use --disable-schemas-install
	on autoconf level for disable registering GConf schemas.

2006-06-11  Richard Hughes  <richard@hughsie.com>

	* src/gpm-main.c:
	Fix a typo in the spelling of computer, and remove italics.
	Also remove references to messagebus. Fixes lp:46468

2006-06-11  Richard Hughes  <richard@hughsie.com>

	* configure.in: Post release bump to 2.15.4

2006-06-11  Richard Hughes  <richard@hughsie.com>

	==== Version 2.15.3 ====

2006-06-11  Richard Hughes  <richard@hughsie.com>

	* data/gnome-power-manager.schemas.in:
	Add 'nothing' to schema as it's set in the GUI: lp:48290

	* data/gpm-info.glade:
	Remove the save buttons as this is a bad idea.

	* help/C/figures/gpm-info-devices.png:
	* help/C/figures/gpm-prefs-ac.png:
	* help/C/figures/gpm-prefs-battery.png:
	* help/C/figures/gpm-prefs-options.png:
	* help/Makefile.am:
	Update, and add to the screenshots.

	* help/C/gnome-power-manager.xml:
	Update with more details on the information window.

	* src/gpm-hal.c:
	Check for NULL, although it shouldn't be...

	* src/gpm-manager.c:
	Make sure we free the gconf string as this is a little leak.

2006-06-08  Richard Hughes  <richard@hughsie.com>

	* data/gpm-prefs.glade:
	* src/gpm-prefs-core.c:
	Add the configurable action for power button press in the UI.
	Saves me explaining to another person how to change it in gconf-editor.
	Fixes #344325.

2006-06-08  Richard Hughes  <richard@hughsie.com>

	* docs/dbus-interface.xml:
	* docs/gnome-power-manager.html:
	Add to the spec the GetOnAc method and the OnAcChanged signal as it's
	not currently documented.

2006-06-07  William Jon McCann  <mccann@jhu.edu>

	* src/gpm-screensaver.c: (gpm_screensaver_check_running),
	(gpm_screensaver_poke), (gpm_screensaver_get_idle):
	Update for g-s API changes.  Fixes #344103

2006-06-07  Richard Hughes  <richard@hughsie.com>

	* docs/dbus-interface.xml:
	* docs/gnome-power-manager.html:
	Add a section on API compatibility with 2.14.x so people can easily
	convert to the new API.

2006-06-07  Richard Hughes  <richard@hughsie.com>

	* docs/dbus-interface.xml:
	* docs/gnome-power-manager.html:
	* src/gpm-manager.xml:
	According to http://dbus.freedesktop.org/doc/dbus-specification.html
	we should be using an uppercase first letter. Change the API like this:
	getOnAc			->	GetOnAc
	getDpmsMode		->	GetDpmsMode
	setDpmsMode		->	SetDpmsMode

2006-06-06  Richard Hughes  <richard@hughsie.com>

	* docs/Makefile.am:
	* docs/config.xsl:
	* docs/docbook.css:
	Add the xsl file so that we can use a css file to style the html.

	* docs/gnome-power-manager.html:
	Regenerate this file.

2006-06-06  Richard Hughes  <richard@hughsie.com>

	* src/gpm-hal.c:
	* src/gpm-hal.h:
	Add the new Reboot functionality (already present in HAL).

	* docs/dbus-interface.xml:
	* src/gpm-manager.c:
	* src/gpm-manager.h:
	* src/gpm-manager.xml:
	Add the following DBUS methods and functionality for API completeness:
	- Reboot()
	- AllowedShutdown()
	- AllowedReboot()

2006-06-06  Richard Hughes  <richard@hughsie.com>

	* docs/icon-scheme.txt:
	Remove this file as we have an xml version now.

	* docs/release-plan.txt:
	Remove as we can get the same info from the web.

	* docs/dbus-interface.xml:
	* docs/dbus-test-inhibit.py:
	* docs/gnome-power-manager.html:
	* src/gpm-inhibit.c:
	* src/gpm-manager.c:
	* src/gpm-manager.h:
	* src/gpm-manager.xml:
	* src/gpm-prefs-core.c:
	Rename a few DBUS methods from feedback on XDG list:
	CanSuspend		->	AllowedSuspend
	CanHibernate		->	AllowedHibernate
	InhibitInactiveSleep	->	Inhibit
	AllowInactiveSleep	->	UnInhibit

2006-06-05  William Jon McCann  <mccann@jhu.edu>

	* src/gpm-tray-icon.c: (gpm_tray_icon_activate_cb):
	Use the correct type of activate signal handler.

	Fixes #343957

2006-06-02  Richard Hughes  <richard@hughsie.com>

	* configure.in:
	* docs/.cvsignore:
	* docs/Makefile.am:
	* docs/dbus-interface.xml:
	* docs/gnome-power-manager.xml.in:
	* docs/gnome-power-manager.html:
	* docs/icon-scheme.xml:
	Add in new docbook documentation about the dbus interface.

	* docs/dbus-interface.txt:
	Removed as now obsolete.

2006-05-31  Richard Hughes  <richard@hughsie.com>

	* src/gpm-brightness.c:
	* src/gpm-brightness.h:
	* src/gpm-manager.c:
	Rework the brightness handling so that we only have one way of doing
	the transitions. This simplifies things greatly. Fixes #341616

2006-05-30  Jaap Haitsma  <jaap@haitsma.org>

	* src/gpm-tray-icon.c:
	Use GtkStatusIcon when GTK version >= 2.9.0

2006-05-30  Richard Hughes  <richard@hughsie.com>

	* data/gnome-power-manager.desktop.in:
	Add in XFCE so we display in the menu. From ubuntu patchset. lp:43077

	* man/gnome-power-manager.sgml:
	Fix spelling error. From ubuntu patchset.

2006-05-30  Richard Hughes  <richard@hughsie.com>

	* src/gpm-info-data.c: (gpm_info_data_limit_truncate):
	Use the GSList in a sane way.

2006-05-30  Richard Hughes  <richard@hughsie.com>

	* src/gpm-graph-widget.c: (gpm_graph_interpolate_value):
	Limit the y intersect to the last height, so we don't extend the graph
	into the unknown.

	* src/gpm-info.c: (gpm_info_log_do_poll):
	Set the correct colours of the line depending on discharging/charging
	status. Fixes #338175.

2006-05-30  Richard Hughes  <richard@hughsie.com>

	* data/gnome-power-manager.schemas.in:
	One more grammar fix that I missed in #343017.

2006-05-29  Richard Hughes  <richard@hughsie.com>

	* data/gnome-power-manager.schemas.in:
	* data/gpm-info.glade:
	Grammar fixes from Clytie Siddall <clytie@riverland.net.au> to make
	the strings a bit more sane. See #343017 for details.

2006-05-24  Øivind Hoel  <ohoel@cvs.gnome.org>

	* src/gpm-manager.c (gpm_manager_tray_icon_suspend):
	Fix a small typo (susspend -> suspend)

2006-05-24  Richard Hughes  <richard@hughsie.com>

	* src/gpm-manager.c (screensaver_auth_request_cb):
	Undim the screen when we have to unlock returning from resume.
	This should fix #333290.

2006-05-24  Richard Hughes  <richard@hughsie.com>

	* src/gpm-manager.c: (battery_status_changed_primary):
	Make sure we duplicate the message string so we don't crash on
	the action warning when we try to g_free it.

2006-05-21  Richard Hughes  <richard@hughsie.com>

	* src/gpm-power.c:
	Limit the capacity to 100% as some batteries can be a bit screwy.

2006-05-21  Richard Hughes  <richard@hughsie.com>

	* data/gnome-power-manager.schemas.in:
	* src/gpm-manager.c: (power_on_ac_changed_cb):
	* src/gpm-prefs.h:
	Add the /apps/gnome-power-manager/battery_event_when_closed gconf key
	so we can disable per-machine the action for when the lid is previously
	shut and the AC power then removed at a later time.
	This is prompting lots of confusion for users and consequently lots of
	bugzillas for me. This should let power users toggle this setting.

2006-05-21  Richard Hughes  <richard@hughsie.com>

	* src/gpm-info-data.c: (gpm_info_data_add_always):
	Limit saved values to positive numbers. From Byeong-taek Lee.

	* src/gpm-info.c: (gpm_info_specific_device_widgets):
	Warn if device NULL so we don't segfault - NOTE: This is probably a bug
	in g-p-m as we shouldn't get to this function if there is no device.
	From Byeong-taek Lee.

	* src/gpm-manager.c: (idle_changed_cb), (lid_button_pressed):
	Formatting fixes.

	* src/gpm-power.c: (gpm_power_exp_aver):
	Make sure values cannot be negative. From Byeong-taek Lee.

2006-05-17  Richard Hughes  richard@hughsie.com>

	* configure.in: Depend on intltool 0.35.0 to build.

2006-05-17  Richard Hughes  richard@hughsie.com>

	* data/icons/22x22/gpm-keyboard-030.png:
	* data/icons/22x22/gpm-keyboard-060.png:
	* data/icons/22x22/gpm-keyboard-100.png:
	* data/icons/22x22/gpm-mouse-030.png:
	* data/icons/22x22/gpm-mouse-060.png:
	* data/icons/22x22/gpm-mouse-100.png:
	* data/icons/scalable/gpm-keyboard-030.svg:
	* data/icons/scalable/gpm-keyboard-060.svg:
	* data/icons/scalable/gpm-keyboard-100.svg:
	* data/icons/scalable/gpm-mouse-030.svg:
	* data/icons/scalable/gpm-mouse-060.svg:
	* data/icons/scalable/gpm-mouse-100.svg:
	Actually show the correct levels in the pixmaps and svg's.

2006-05-15  Richard Hughes  <richard@hughsie.com>

	* configure.in: Post release bump to 2.15.3

2006-05-15  Richard Hughes  <richard@hughsie.com>

	==== Version 2.15.2 ====

2006-05-14  Richard Hughes  <richard@hughsie.com>

	* src/gpm-tray-icon.c:
	Add in the #ifdef's and new code to allow the use of GtkStatusIcon
	as eggtrayicon is depreciated. The code still defaults to use
	eggtrayicon, as quite a few distros can't use GtkStatusIcon yet.
	You can test by changing the define USE_EGGTRAYICON to FALSE in the
	file src/gpm-tray-icon.c

2006-05-14  Richard Hughes  <richard@hughsie.com>

	* src/gpm-manager.c (change_power_policy):
	Ensure we set the icon to visible for desktops, as before we had to
	toggle the state in g-p-p to get it to show.

2006-05-14  Richard Hughes  <richard@hughsie.com>

	* src/gpm-tray-icon.c (gpm_tray_icon_set_image_from_stock):
	Make sure we only set the icon if it is different to the one already
	displayed to fix the case where the icons get renamed on package
	upgrade (and because it's a good idea). Should fix #340557.

2006-05-14  Richard Hughes  <richard@hughsie.com>

	* src/gpm-brightness.c (gpm_brightness_init):
	Add support for laptop_panel.brightness_in_hardware if present. We can
	trivially rename this if the HAL name is to change, but the checks
	are in place now. This starts to fix #340231.

2006-05-14  Richard Hughes  <richard@hughsie.com>

	* src/gpm-power.c: (power_get_summary_for_battery_kind):
	Make strings printf's a bit more translation friendly. Fixes #341582.

2006-05-14  Richard Hughes  <richard@hughsie.com>

	* src/gpm-manager.c: (battery_status_changed_primary),
	(battery_status_changed_ups):
	Do not warn multiple times about the critical action by using the event
	level system we use for the other notifications. Should fix #333622.

2006-05-10  Richard Hughes  <richard@hughsie.com>

	* src/eggtrayicon.c: (egg_tray_icon_class_init),
	(transparent_expose_event), (make_transparent_again),
	(make_transparent), (egg_tray_icon_realize), (egg_tray_icon_add):
	Patch from Peter Grundström <pete@openfestis.org> to adds the ability
	to handle a transparent background in the tray icon the version of
	eggtrayicon in gnome-power-manager. Fixes #341227

2006-05-05  Richard Hughes  <richard@hughsie.com>

	* data/icons/16x16/Makefile.am:
	* data/icons/22x22/Makefile.am:
	* data/icons/scalable/Makefile.am:
	* docs/icon-scheme.txt:
	Rename the icons from gpm-suspend-to-{x} to gpm-suspend and
	gpm-hibernate as per the new recommendations:
	http://live.gnome.org/GnomePowerManager/SleepNames

	* man/gnome-power-manager.sgml:
	* src/gpm-stock-icons.c: (gpm_stock_icons_init):
	* src/gpm-stock-icons.h:
	* src/gpm-tray-icon.c:
	Remove all suspend-to-{x} terminology in the code and documentation.

2006-05-05  Richard Hughes  <richard@hughsie.com>

	* src/gpm-hal.c: (gpm_hal_enable_power_save):
	Add debugging comment.

	* src/gpm-manager.c: (change_power_policy): Respect the user policy
	enabling low power mode when required.

	* src/gpm-prefs-core.c: (setup_ac_actions): Hide the AC actions vbox
	when it is empty like we used to do.

2006-05-04  Richard Hughes  <richard@hughsie.com>

	* src/gpm-screensaver.{c|h}: Add gpm_screensaver_auth_begin() and
	gpm_screensaver_auth_end() so that we can create a signal
	'auth-request' when gnome-screensaver shows the password dialogue.
	This is needed so we can undim the screen when we resume and show the
	password box. Needed for #333290, but still need to connect this up to
	the manager stuff to solve the problem.

2006-05-02  Richard Hughes  <richard@hughsie.com>

	* data/gnome-power-manager.schemas.in, src/gpm-prefs.h:
	Add the /apps/gnome-power-manager/use_lowpower_{ac|ups|battery} keys.

	* data/gpm-prefs.glade:
	Add the checkboxes to enable the lowpower mode checkboxes.

	* src/gpm-prefs-core.c (setup_ac_actions, setup_battery_actions,
	setup_ups_actions): Support the new checkboxes and tie the values into
	gconf keys. Starting to work towards a fix for #340355.

	* src/gpm-prefs-core.c (gpm_prefs_init): Use gconf_key_changed_cb()
	to act on gconf keys changing outside of g-p-p. Should help out the
	Ubuntu guys with their modifications also.

2006-05-02  Richard Hughes  <richard@hughsie.com>

	* src/gpm-brightness.c (gpm_brightness_level_{down|up}):
	Add in initial functionality so we can support laptop panels that have
	hardware step support. Hardcoded for now, awaiting HAL property.

2006-04-30  Richard Hughes  <richard@hughsie.com>

	* src/gpm-graph-widget.c: (gpm_graph_auto_range): Make sure the
	time scale cannot be less than 10 minutes as smaller values show the
	errors in the event-logging code. Fixes #340217.

2006-04-30  Richard Hughes  <richard@hughsie.com>

	* src/gpm-manager.c: Fix the GPM_BUTTON_BRIGHT_UP_DEP and
	GPM_BUTTON_BRIGHT_DOWN_DEP values to what were shipped in the HAL 0.5.7
	tarball. This fixes the hardware brightness keys for Ubuntu Dapper.

2006-04-30  Richard Hughes  <richard@hughsie.com>

	* src/gpm-graph-widget.c (gpm_graph_draw_graph): Use the new function
	gpm_graph_legend_calculate_width() so we compute the legend width
	instead of hardcoding it. Fixes #340218.

2006-04-30  Richard Hughes  <richard@hughsie.com>

	* src/gpm-common.h: Update GPM_FAQ_URL. #330889

2006-04-30  Richard Hughes  <richard@hughsie.com>

	* src/gpm-info-data.c: (gpm_info_data_add):
	Use the correct format string so we don't crash on ppc platform.
	I'm surprised GCC didn't warn me about that. Should fix #339974

	* src/gpm-manager.c: Use the new manager_explain_reason() calls so we
	don't have to play games with the reason and actions.
	This should mean we get more description in the event log, for why we
	do particular actions.

	* src/gpm-power.c: (battery_kind_cache_update):
	Don't fallback to broken battery support if we have 0% percentage
	charge else we start on 'charging' with a full battery.

2006-04-29  Richard Hughes  <richard@hughsie.com>

	* help/C/figures/gpm-suspend-problem.png: Add missing file to CVS.

2006-04-28  William Jon McCann  <mccann@jhu.edu>

	* src/gpm-manager.c: (update_ac_throttle), (update_dpms_throttle),
	(update_lid_throttle), (change_power_policy),
	(dpms_mode_changed_cb), (lid_button_pressed),
	(screensaver_connection_changed_cb), (gpm_manager_init):
	* src/gpm-screensaver.c: (gpm_screensaver_connect),
	(gpm_screensaver_disconnect), (gpm_screensaver_add_throttle),
	(gpm_screensaver_remove_throttle), (gpm_screensaver_class_init):
	* src/gpm-screensaver.h:
	Rework the way throttling is done so that it properly ref-counted.
	Remove the compatibility with the old g-s API.  Fixes #340024

2006-04-28  Richard Hughes  <richard@hughsie.com>

	* help/C/figures/gpm-suspend-problem.png:
	* help/C/figures/gpm-unplugged.png:
	* help/C/gnome-power-manager.xml:
	* help/Makefile.am:
	Add another figure and update the documenation.

	* src/gpm-power.c (battery_kind_cache_update):
	Slightly re-work a patch from Paul Betts <paul.betts@gmail.com>
	To handle batteries that report they are neither charging or
	discharging by using ac_adaptor value instead.

2006-04-26  Richard Hughes  <richard@hughsie.com>

	* src/gpm-hal-monitor.c: (watch_device_connect_property_modified):
	* configure.in: Depend on a lower version of DBUS, as I've upset
	crispin and I need his help. #339809.

2006-04-25  Richard Hughes  <richard@hughsie.com>

	* data/gnome-power-manager.desktop.in:
	Remove the --sm-disable from the .desktop file in autostart since the
	gnome-power-manager daemon can cope with being run more than one in a
	session and it breaks the logout dialog (e.g. on powerbutton) if it
	is not run with session access. Fixes lp:31103 and #339168

	* data/gnome-power-manager.desktop.in:
	* data/gnome-power-preferences.desktop.in:
	Change the icon to be gpm-battery-charged

	* src/gpm-hal-monitor.c: (emit_button_pressed):
	Also watch the PropertyModified signal, as when HAL resumes and rescans
	the lid value it does not send a button pressed signal.
	This means the lid value can get confused *again* when we resume from
	standby on some machines. Fixes rh:187396

	* src/gpm-manager.c: (lid_button_pressed): Ignore duplicated lid button
	presses so we don't display them on the info graphs.

2006-04-24  Richard Hughes  <richard@hughsie.com>

	* src/gpm-manager.c (power_on_ac_changed_cb): Fix an operator
	precedence problem where the logic was all messed up.
	This was triggering the not-on-ac lid-closed behavior and causing
	seemingly random suspends. Big thanks to Koichi Takahashi for spotting
	the problem.

	* src/gpm-graph-widget.{c|h}: Add the new notification event type.

	* src/gpm-info-data.{c|h}, src/gpm-info.{c|h}: Add descriptions to the
	events so we can capture more data about events and key points.

	* src/gpm-manager.c: Add the extra descriptions where required.

2006-04-23  Richard Hughes  <richard@hughsie.com>

	* configure.in: Post release bump to 2.15.2

2006-04-23  Richard Hughes  <richard@hughsie.com>

	* help/C/figures/gpm-prefs-*.png: Update to a bit more recent.

2006-04-22  Jaap Haitsma  <jaap@haitsma.org>

	* configure.in, po/LINGUAS: Gnome Goal #2 PoLinguas
	See: http://live.gnome.org/GnomeGoals/PoLinguas

2006-04-22  Richard Hughes  <richard@hughsie.com>

	* docs/icon-scheme.txt: Add this file describing the logic an rationale
	of the new icon naming scheme.

	* data/icons/*/*: Rename the icons to the common syntax so we can get
	rid of some of the bodges in the source, and make everything logical.
	Also add the extra CSR icons, although they are still the low power
	icon and need to be updated.

	* src/gpm-tray-icon.c, src/gpm-stock-icons.h, src/gpm-manager.c,
	src/gpm-power.c: Update the source and get rid of the nasty bodges and
	hardcoded constants for the icons.

2006-04-21  Richard Hughes  <richard@hughsie.com>

	* src/gpm-inhibit.{c|h} (gpm_inhibit_generate_cookie): Make sure the
	cookie we generate is really unique. Fixes bug #339307.

	(gpm_inhibit_find_cookie, gpm_inhibit_cookie_compare_func): Create
	these functions so we can easily find data in the list from another
	cookie.

	* src/gpm-common.c: Convert to gtk-doc format comments.

2006-04-21  Richard Hughes  <richard@hughsie.com>

	* src/gpm-info.c (gpm_info_populate_device_information): Abstract out
	the device blobs so that we can do each one in a nice way.

	* src/gpm-power.{c|h}: Rename gpm_power_kind_to_string() to
	gpm_power_kind_to_localised_string() and create a proper
	gpm_power_kind_to_string() function. N.B. The icons -battery- should
	really be renamed to -primary- for consistancy with all the other
	parts of g-p-m. I'll do this when Jakub is finished.

	* data/gpm-info.glade: Put a proper grid round the elements, and add
	the keyboard hardware blob. Should fix #339262.

2006-04-21  William Jon McCann  <mccann@jhu.edu>

	* src/gpm-screensaver.c: (gpm_screensaver_enable_throttle):
	Update for new throttle API.  Provide a fallback for now.

	Fixes #339209

2006-04-21  Rodrigo Moya <rodrigo@novell.com>

	* src/gpm-manager.c (tray_icon_destroyed, gpm_manager_init): respond
	correctly to systray crashing by readding the icon to the tray when
	destroyed.

	* src/gpm-tray-icon.c (gpm_tray_icon_show): no need to call _unrealize
	on the icon.

2006-04-21  Richard Hughes  <richard@hughsie.com>

	* src/gpm-info.c (gpm_info_populate_device_information): Fix logic so
	multi-battery code can trigger. Nearly fixes #339262.

2006-04-21  Richard Hughes  <richard@hughsie.com>

	* data/gnome-power-manager.spec.in: Fix up the spec file (Paul Ionescu)
	to fix bug #339263.

2006-04-20  Richard Hughes  <richard@hughsie.com>

	* src/gpm-graph-widget.c (gpm_graph_draw_line): Only print the event
	dots if they are going to fit on the graph.

	* src/gpm-graph-widget.c (gpm_graph_draw_line),
	(gpm_graph_interpolate_value): Put the dots back on the line by popular
	request. Doing the interpolation means the event and data are still
	separate, but we can 'link' them on the graph.

2006-04-20  Jakub Steiner <jimmac@ximian.com>

	* gpm-suspend-to-ram.svg:
	* gpm-suspend-to-disk.svg: provide artwork as SVGs
	* gpm-ups-broken: provide sharp bitmaps, few tweaks.
	* gpm-brightness: bitmaps + SVG

2006-04-20  Richard Hughes  <richard@hughsie.com>

	* data/gpm-prefs.glade, src/gpm-prefs-core.c (gpm_prefs_init): Make
	sure we only remove the correct tabs from the notebook. This fixes
	the problem where desktop systems were shown the UPS tab, but not the
	General tab.

2006-04-20  Richard Hughes  <richard@hughsie.com>

	* data/icons/*/gpm-suspend-to-*.png: Tangoify these icons, thanks again
	to Jakub Steiner.

	* src/gpm-graph-widget.c: Stack the circles with 8px, not 5px.

2006-04-19  Richard Hughes  <richard@hughsie.com>

	* src/gpm-power.{c|h}, src/gpm-manager.c, src/gpm-info.c:
	Make some of the GpmPower structure names shorter, and also expose
	a device so we can easily get more that just the battery status.

	* data/gpm-info.glade, src/gpm-info.glade, src/gpm-power.c: Get rid of
	all that array and listview mess, and now have a pretty info page with
	icons, labels and all that jazz.

2006-04-18  Richard Hughes  <richard@hughsie.com>

	* data/gpm-info.glade: Add a clear button for all graphs.

	* src/gpm-info.c (gpm_info_show_window): Connect up the new buttons.

2006-04-18  Richard Hughes  <richard@hughsie.com>

	* src/gpm-main.c (main): Don't tell the user to use dbus-launch
	as it's the wrong way to do this. rh:188972

2006-04-18  Richard Hughes  <richard@hughsie.com>

	* src/gpm-try-icon.c (gpm_tray_icon_set_image_from_stock): Use the
	named SVG icon rather than getting the icon from a pixmap.

2006-04-18  Richard Hughes  <richard@hughsie.com>

	* src/gpm-manager.c (gpm_manager_get_warning_type): Add special case
	for CSR mice, as 1/7 is still above our low warning.

2006-04-17  Richard Hughes  <richard@hughsie.com>

	* src/gpm-feedback-widget.c (gpm_feedback_init): Use the named SVG icon
	rather than getting the icon from a pixmap.

	* data/gpm-feedback-widget.glade: Add in 5px spacing as the icon
	displays correctly now.

	* data/icons/scalable/Makefile.am: Put gpm-brightness.svg in the
	tarball so we can use it above.

2006-04-17  Richard Hughes  <richard@hughsie.com>

	* data/gnome-power-manager.schemas.in: Set the default for
	/apps/gnome-power-manager/display_icon_policy to 'present' so we don't
	display by default on desktops. Fixes rh:187140.

2006-04-17  Richard Hughes  <richard@hughsie.com>

	* src/gpm-prefs-core.c (setup_ac_actions): Add the action 'Do nothing'
	so we don't do the DPMS action off for the external monitor.
	Fixes #338689.

2006-04-17  Richard Hughes  <richard@hughsie.com>

	* src/gpm-tray-icon.c (gpm_tray_icon_show_about_cb): Add Jakub Steiner
	to the artists list in the 'About' box.

2006-04-17  Richard Hughes  <richard@hughsie.com>

	* data/icons/*/*: Switch to using the Tango style.
	Thanks go to Jakub Steiner for a very nice icon set. Fixes #331761.

	* src/gpm-tray-icon.h: use gpm-battery-charged as our application icon.

2006-04-17  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Remove obsolete entry for no_NO
	* po/no.po: And the translation.

2006-04-17  Richard Hughes  <richard@hughsie.com>

	* src/gpm-graph-widget.c (gpm_graph_draw_line): Stack the points
	according to thier pixel position on the grid, rather than checking
	the time. Also allow < 5px diffrence to stack, as auto-ranging makes
	the points more squished-up.

2006-04-17  Richard Hughes  <richard@hughsie.com>

	* src/gpm-graph-widget.{c|h}, src/gpm-manager.c: Add an event for the
	LCD brightness resume, so we can explain why the power consumption
	has gone up.

2006-04-17  Richard Hughes  <richard@hughsie.com>

	* src/gpm-info-data.{c|h}: Add in the code to limit the data by time,
	so we can set a maximum time period. Disabled for now as the code
	crashes, but the idea is there. Working towards #338174.
	Also make adding a point *loads* quicker by cacheing the length
	and the last added point so we don't have to walk the complete GList
	every time we add a point.

	* src/gpm-graph-widget.c: Only show the events if the legend is enabled
	for the specific graph.

2006-04-16  Richard Hughes  <richard@hughsie.com>

	* src/*.c, src/*.h: Lots of whitespace fixes in nearly every file.
	No actual code change.

2006-04-16  Richard Hughes  <richard@hughsie.com>

	* src/gpm-tray-icon.c (libnotify_event): Point to the center of the
	icon so we conform to the GNOME HIG and match the behaviour of
	NetworkManager.	Fixes #338638.

2006-04-15  Richard Hughes  <richard@hughsie.com>

	* src/gpm-info.c, src/gpm-graph-widget.c: Start adding infrastructure
	so that the graphs (and data) can start at non-zero. This means the
	event log stays valid, and the graphs make more sense. This is required
	so that we can limit the data to a maximum time period without
	displaying the time 'backwards'.

2006-04-15  Richard Hughes  <richard@hughsie.com>

	* src/gpm-info.c: Only load the glade file (and all the widgets) when
	we want to show the window, rather that unconditionally at startup.
	Also destroy the widget when we are finished as it saves memory.

2006-04-15  Richard Hughes  <richard@hughsie.com>

	* src/gpm-info-data.c (gpm_info_data_finalize): set the list to NULL
	on unref, so we go boom if we try to access a unref'd object (which I
	suspect we might be doing once in a blue moon).

2006-04-15  Richard Hughes  <richard@hughsie.com>

	* src/gpm-brightness.{c|h} (gpm_brightness_level_get): Add this new
	function so we can get at the current percentage value.

	* src/gpm-manager.c (idle_changed_cb): Check that we do not set a
	higher brightness when we try to lower the brightness on idle.
	Should fix #338630.

2006-04-15  Richard Hughes  <richard@hughsie.com>

	* src/gpm-power.c (battery_kind_cache_add_device): Make sure we add
	the new device to the *end*, not the *start* of the device list.
	Should fix #338634, where the batteries are listed in the reverse order
	to what ACPI and HAL reports.

2006-04-15  Richard Hughes  <richard@hughsie.com>

	* src/gpm-manager.c (gconf_key_changed_cb): Monitor
	/apps/gnome-power-manager/laptop_panel_dim_brightness so we don't have
	to restart to get the new setting. Should fix #338628

2006-04-15  Richard Hughes  <richard@hughsie.com>

	* src/gpm-info.c (gpm_info_get_time_string): Write the event log
	text like 'Sat Apr 15, 15:35:40' rather than just a random integer.

2006-04-15  Dennis Cranston  <dennis_cranston@yahoo.com>

	* src/gpm-debug.c: (gpm_critical_error):  Error alerts should use
        an OK button.  Also, fix it so the error dialog can be dismissed.
	Fixes #336997.

2006-04-15  Richard Hughes  <richard@hughsie.com>

	* data/gpm-info.glade: Make the button names sensible.

	* src/gpm-graph-widget.c (gpm_graph_draw_line, gpm_graph_draw_graph):
	Make the graphs instantly appear, rather than waiting for the first
	update to trigger the expose event.

	* src/gpm-info.c (gpm_info_show_window, gpm_info_clear_cb):
	Add the 'Clear' button to clear the data from memory, so that the
	event log and the graphs reset. Should fix the second half of #338174.

2006-04-15  Richard Hughes  <richard@hughsie.com>

	* src/gpm-manager.c (battery_status_changed_primary): use the new
	variable done_notify_fully_charged to track whether we have already
	done the 'Fully charged' notification.
	We only re-enable the fully charged notification when the battery
	drops down to 95% as some batteries charge to 100% and then fluctuate
	from ~98% to 100%. Should fix #338281.

2006-04-14  Richard Hughes  <richard@hughsie.com>

	* src/gpm-prefs.h: Remove the obsolete GPM_PREF_USE_ICON_DESKTOPS

	* src/gpm-manager.c: Remove some superfluous debugging code.

	* help/C/gnome-power-manager.xml: Add a couple of <note>'s describing
	how we can disable certain notifications.

2006-04-13  Richard Hughes  <richard@hughsie.com>

	* src/Makefile.am, src/gpm-info.{c|h}: Added these files, abstracting
	out the complex data structures in gpm-info.c

	* data/gpm-info.glade: Added the event log tab.

	* src/gpm-manager.c, src/gpm-info.{c|h}, src/gpm-graph-widget.{c|h}:
	Use the event data rather than adding fake points. This work is
	on-going, so expect a little unstability while the new infrastructure
	settles in. Seporating was done due to the graphing formulaes becoming
	really complex, and also saving twice the information we needed to.
	Also, we make the GpmInfoData unit the one-and-only as we have enough
	confusion as there is. This should reduce the 'random' crashes, and
	sure makes things more stable for me. Plus this lets us create an
	event-log in the GUI, to keep more people happy.

2006-04-06  Richard Hughes  <richard@hughsie.com>

	* src/gpm-graph-widget.{c|h}: Add the new function
	gpm_graph_enable_legend() and start with the legend disabled.

	* src/gpm-info.c: Enable the legend only when we get a power event.

2006-04-06  Richard Hughes  <richard@hughsie.com>

	* configure.in: Post release bump to 2.15.1

2006-04-06  Richard Hughes  <richard@hughsie.com>

	==== Version 2.15.0 ====

2006-04-06  Richard Hughes  <richard@hughsie.com>

	* src/gpm-power.c (battery_device_cache_entry_update_all): Fix the
	capacity calculation so that we don't always display 100%.

2006-04-06  Richard Hughes  <richard@hughsie.com>

	* src/gpm-debug.{c|h}: Seporate bugzilla functonality, sometimes we
	just want to give the user a warning.

	* src/gpm-graph-widget.c: (gpm_graph_set_colour): Make the colours more
	correct.

	* src/gpm-info.c: (gpm_info_data_point_limit): Add this new
	functionality so that we can reduce the number of points to a pre-set
	level using a time division algorithm so we don't keep diluting the
	previous data with a conventional 1-in-x type algorithm like we were
	doing before.

2006-04-04  Richard Hughes  <richard@hughsie.com>

	* src/gpm-graph-widget.c (gpm_graph_draw_graph): Fix
	'legend_height may be used uninitialized in this function' -- this is
	incorrect and probably a GCC bug, but initialising them won't hurt.

2006-04-04  Richard Hughes  <richard@hughsie.com>

	* src/gpm-dbus-monitor.{c|h}: Remove these files.

	* src/gpm-dbus-session-monitor.{c|h}, src/gpm-dbus-system-monitor.{c|h}:
	Add these files, splitting the system and session functionality.

	* po/POTFILES.in: Update.

	* src/gpm-idle.{c|h}, src/gpm-screensaver.{c|h}, src/gpm-power.{c|h},
	src/gpm-power.c, src/Makefile.am: Move the session/system dbus n-o-c
	watchers into the correct modules so we don't have the confusing
	'proxy'ing situation we used to have, where all the class encapsulation
	rules were being broken.
	I know this means we now have two session dbus n-o-c monitors for one
	program, but the class is small, and the watch is cheap.

	* src/gpm-prefs.c, src/gpm-main.c: Free the context so we don't leak
	memory, so that valgrind stays that little bit happier.

2006-04-04  Richard Hughes  <richard@hughsie.com>

	* src/gpm-manager.c (gpm_manager_init): Pretend we just resumed when
	we start to let actions settle. Taken from the Ubuntu patchset,
	thanks to Daniel Silverstone.

2006-04-04  Richard Hughes  <richard@hughsie.com>

	* data/gpm-prefs.glade: Delete the brightness change for UPS, and make
	the UPS widgets have sensible names.

	* data/gnome-power-manager.schemas.in: Add a new GConf key
	/apps/gnome-power-manager/action_ups_critical for the ups critical
	action. Default to shutdown, but allow hibernate and nothing.

	* src/gpm-prefs.h: Add GPM_PREF_UPS_CRITICAL.

	* src/gpm-manager.c: (battery_status_changed_ups): Do the action when
	the UPS	is critical. Should fix #337116.

	* src/gpm-prefs-core.c: (setup_ups_actions, gpm_prefs_init): Setup the
	UPS action combobox.

2006-04-04  Richard Hughes  <richard@hughsie.com>

	* src/gpm-info.c: (gpm_info_graph_update, gpm_info_interest_point):
